Getting Started

Getting Started ElecNetKit Documentation

This section takes you through some of the basic tasks required to set up and get started with ElecNetKit.

In This Section
  • Setting up a Development Environment covers the installation of Visual Studio and OpenDSS.
  • Walkthrough: A Minimal Working Example walks through the steps required to run, output and graph the results of a simple network experiment.
  • Traversing the Network Model covers the exploration of ElecNetKit electrical network models, including topology traversal (what's connected to what), and obtaining characteristics and results.


Setting up a Development Environment

Setting up a Development Environment ElecNetKit Documentation

This article walks you through the procedure of setting up a development and experimentation environment on Windows, using ElecNetKit with the OpenDSS simulator.

Setting Up a Development Environment on Windows

  1. Navigate to the Online Visual Studio Express 2012 for Windows Desktop Download Page, and download the installer.

  2. Follow through the installation procedure. Don't forget to register Visual Studio at some stage - you get temporarily locked out of the environment if you leave it for more than 30 days.

  3. Once Visual Studio is installed, a simulator backend needs to be installed for ElecNetKit. Currently, the only simulator supported by ElecNetKit is Online OpenDSS. Go to the Online OpenDSS download page, download the latest version and follow the installer prompts. Ensure that the default feature set is installed:

    OpenDSS Feature Install Set required for use with ElecNetKit
    OpenDSS Feature Set

That's it! You've installed everything you need to run network experiments using ElecNetKit.

Next Steps

Now that you've installed a working development environment, you might want to try the simple example Walkthrough: A Minimal Working Example.


Walkthrough: A Minimal Working Example

Walkthrough: A Minimal Working Example ElecNetKit Documentation

This walkthrough demonstrates a (very) simple use-case of ElecNetKit. The goal of this experiment is to measure the change in network voltages due to loads increasing by 10%.

Prerequisites

Before you get started with this walkthrough, make sure you've got a proper environment set up for using ElecNetKit. More instructions are provided in Setting up a Development Environment.

A Minimal Working Example

  • Before we start coding, download the Example Networks Package, and locate the file IEEE13mod.dss. We'll run our experiment on this network.

  • Create a new Visual C# console application targeting the .NET Framework 4.5. Name it MinimalWorkingExample.

  • Add the following references (either from local copies, with Project | Add Reference... or with Online NuGet, using Project | Manage NuGet Packages...):

    • ElecNetKit.Core - contains the core functionality of ElecNetKit,
    • ElecNetKit.Engines.OpenDSS - provides access to the OpenDSS Simulator, and
    • System.Numerics - required for interacting with complex numbers.

  • We need to write an experimentor that increases the size of each load by 10%. Choose Project | Add Class ... and type the name LoadScalingExperimentor.

  • Modify the LoadScalingExperimentor.cs file as shown:

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    using System;
using System.Collections.Generic;
using System.Linq;
using ElecNetKit.Experimentation;

namespace MinimalWorkingExample
{
    class LoadScalingExperimentor : IExperimentor
    {
        public double LoadScalingFactor { set; get; }

        //Convenience constructor, to set scaling factor when object is initialised.
        public LoadScalingExperimentor(double factor)
        {
            LoadScalingFactor = factor;
        }

        //Implements IExperimentor.Experiment()
        public List<string> Experiment(ElecNetKit.NetworkModelling.NetworkModel Network)
        {
            return Network.Loads.Select(
                load => String.Format("edit load.{0} kW={1:F6} kVAr={2:F6}",
                                      load.ID,
                                      load.ActualKVA.Real * LoadScalingFactor,
                                      load.ActualKVA.Imaginary * LoadScalingFactor
                                      )
                    ).ToList();
        }
    }
}
    using System;
using System.Collections.Generic;
using System.Linq;
using ElecNetKit.Experimentation;

namespace MinimalWorkingExample
{
    class LoadScalingExperimentor : IExperimentor
    {
        public double LoadScalingFactor { set; get; }

        //Convenience constructor, to set scaling factor when object is initialised.
        public LoadScalingExperimentor(double factor)
        {
            LoadScalingFactor = factor;
        }

        //Implements IExperimentor.Experiment()
        public List<string> Experiment(ElecNetKit.NetworkModelling.NetworkModel Network)
        {
            return Network.Loads.Select(
                load => String.Format("edit load.{0} kW={1:F6} kVAr={2:F6}",
                                      load.ID,
                                      load.ActualKVA.Real * LoadScalingFactor,
                                      load.ActualKVA.Imaginary * LoadScalingFactor
                                      )
                    ).ToList();
        }
    }
}
  •
              Now, we're ready to chain it all together. Add the following using directives at the top of the Program.cs file:

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    using ElecNetKit.Simulator; //Contains NetworkController
using ElecNetKit.Transform; //Contains DifferenceTransform
using ElecNetKit.Engines;   //Contains OpenDSSSimulator
    using ElecNetKit.Simulator; //Contains NetworkController
using ElecNetKit.Transform; //Contains DifferenceTransform
using ElecNetKit.Engines;   //Contains OpenDSSSimulator
  •
              Add the following code to your Main() method:

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    //Setup a network controller and choose a network definition file
// appropriate to the simulator in use
NetworkController controller =
    new NetworkController(new OpenDSSSimulator());
//Set this to the absolute path to the IEEE13mod.dss file, e.g.
controller.NetworkFilename = @"C:\temp\IEEE13mod.dss";

//Add our new experiment, with +10% load scaling.
controller.ExperimentDriver = new LoadScalingExperimentor(1.1);

//Use a DifferenceTransform so that the controller returns the
// differences between pre- and post- experiment voltages.
controller.ResultsTransformer = new DifferenceTransform();

//Run the simulation
controller.Execute();

//Output the change in voltage at every network bus.
foreach (var bus in controller.Network.Buses.Values)
{
    Console.WriteLine(
    "Bus " + bus.ID + " has changed in voltage (pu) by "
    + bus.VoltagePU.Magnitude);
}
    //Setup a network controller and choose a network definition file
// appropriate to the simulator in use
NetworkController controller =
    new NetworkController(new OpenDSSSimulator());
//Set this to the absolute path to the IEEE13mod.dss file, e.g.
controller.NetworkFilename = @"C:\temp\IEEE13mod.dss";

//Add our new experiment, with +10% load scaling.
controller.ExperimentDriver = new LoadScalingExperimentor(1.1);

//Use a DifferenceTransform so that the controller returns the
// differences between pre- and post- experiment voltages.
controller.ResultsTransformer = new DifferenceTransform();

//Run the simulation
controller.Execute();

//Output the change in voltage at every network bus.
foreach (var bus in controller.Network.Buses.Values)
{
    Console.WriteLine(
    "Bus " + bus.ID + " has changed in voltage (pu) by "
    + bus.VoltagePU.Magnitude);
}

              Don't forget to change the path in the above code to the location of the IEEE13mod.dss file!

  • Build and run the project. You should get output that looks like:
    View Colorized Copy to Clipboard Print
    Bus b3 has changed in voltage (pu) by 9.90281601181795E-07
Bus b2 has changed in voltage (pu) by 0.000152791122413823
Bus b4 has changed in voltage (pu) by 6.14747056342346E-05
Bus b5 has changed in voltage (pu) by 6.94041141638226E-05
Bus b9 has changed in voltage (pu) by 0.00919099297670996
Bus b10 has changed in voltage (pu) by 0.00938955885082126
Bus b11 has changed in voltage (pu) by 0.00822162582756408
Bus b12 has changed in voltage (pu) by 0.00929166004717853
Bus b1 has changed in voltage (pu) by 0.000152776792402134
Bus b8 has changed in voltage (pu) by 0.00775142309783684
Bus b7 has changed in voltage (pu) by 0.00794701668149591
Bus b6 has changed in voltage (pu) by 0.00785302751323394
    Bus b3 has changed in voltage (pu) by 9.90281601181795E-07
Bus b2 has changed in voltage (pu) by 0.000152791122413823
Bus b4 has changed in voltage (pu) by 6.14747056342346E-05
Bus b5 has changed in voltage (pu) by 6.94041141638226E-05
Bus b9 has changed in voltage (pu) by 0.00919099297670996
Bus b10 has changed in voltage (pu) by 0.00938955885082126
Bus b11 has changed in voltage (pu) by 0.00822162582756408
Bus b12 has changed in voltage (pu) by 0.00929166004717853
Bus b1 has changed in voltage (pu) by 0.000152776792402134
Bus b8 has changed in voltage (pu) by 0.00775142309783684
Bus b7 has changed in voltage (pu) by 0.00794701668149591
Bus b6 has changed in voltage (pu) by 0.00785302751323394
Remarks
  •
              Note that the implementation of IExperimentor in this example returns a list of strings that define commands to run on the network. These commands are specific syntax to OpenDSS, the simulator used in this example, and will not work in another simulator.

Displaying Network Graphs
  • Add the following references to your project:
    •
                Using either   Online NuGet or Project | Add References...:

      • ElecNetKit.Graphing - provides access to graphing functionality.
    • Using Project | Add References... | Assemblies | Framework:

      • PresentationCore
      • PresentationFramework
      • System.Xaml
      • WindowsBase
        Tip  Tip
      If you added ElecNetKit.Graphing with NuGet, these framework references should have been automatically added for you.

        Note  Note
      This last set of framework references are required because ElecNetKit uses Windows Presentation Foundation (WPF) for graphing.
              In a WPF application, you will not need to add these references - the graphing components will Just Work™.
  • Add the following using directives, right underneath the currently existing ones:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    using ElecNetKit.Graphing.Graphs;   //Contains ValueTransformableTreeGraph
using ElecNetKit.Graphing.Controls; //Contains GraphHostWindow.
    using ElecNetKit.Graphing.Graphs;   //Contains ValueTransformableTreeGraph
using ElecNetKit.Graphing.Controls; //Contains GraphHostWindow.
  • Add the following code at the very bottom of your Main() method:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    var graph = new ValueTransformableTreeGraph();  // make a new graph.
graph.Network = controller.Network;             // assign the output of the experiment to the graph.
GraphHostWindow.StartGraphHostWindow(graph);    // put the graph in a window and display it.
    var graph = new ValueTransformableTreeGraph();  // make a new graph.
graph.Network = controller.Network;             // assign the output of the experiment to the graph.
GraphHostWindow.StartGraphHostWindow(graph);    // put the graph in a window and display it.
  • That's it! Build and run the program, and behold your lovely new graph:
    Graph Output

Additional Remarks
The ElecNetKit Graphing suite is very powerful, and what you've seen here is a very simple example. You might like to take a look at Graphing with ElecNetKit for more information as to what's available.
Next Steps
Now that you've set up a development environment and built a minimal working example, you might like to read about Traversing the Network Model.


Traversing the Network Model

Traversing the Network Model ElecNetKit Documentation

This article discusses techniques for accessing properties of electrical network elements, and for navigating between elements of the electrical network model.

  • Accessing Network Element Properties
  • Traversing the Network Topology
Accessing Network Element Properties

Each NetworkElement has a number of properties that define network characteristics. For information on which properties are defined by which network elements, see:

  • Bus
  • Generator
  • Line
  • Load
  • NetworkElement
  • NetworkModel

As a general pattern, phased properties (any property that contains information on a per-phase basis) has the word Phased as a suffix, e.g. VoltagePhased and ConnectedToPhased. These Phased properties often have a corresponding aggregate property useful for analysing single-phase or balanced three-phase networks. As an example, Bus has the property Voltage, which specifies the average voltage across all bus phases, as well as the aforementioned VoltagePhased. Likewise, NetworkElement contains the property ConnectedTo, which returns all elements connected on any phase, in addition to the phased equivalent ConnectedToPhased.

Traversing the Network Topology

Upon obtaining a NetworkModel, networks can be explored in a consistent manner. The NetworkModel object maintains separate lists of Buses, Lines, Generators and Loads, and the relationships between them. Each network element has the property ConnectedTo, which maintains a list of all NetworkElements that a specific element is connected to. When used in conjunction with Online LINQ, means that executing complex queries for circuit details can be done in very few lines of code. It is strongly recommended that users familiarise themselves with LINQ if planning to traverse network topologies in ElecNetKit. The Related Content section contains a number of resources useful for understanding LINQ.

As an example of ElecNetKit model traversal, the code below finds all lines connected to a bus where the voltage is higher at the other end. This could be used iteratively, for example, to analytically detect the presence of DG when coordinated between a subset of network buses.

C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Bus myBus = Circuit.Buses["myBus"];
//Find all connected lines where:
myBus.ConnectedTo.OfType<Line>().Where(
  //the other bus the line connects to
  line => line.ConnectedTo.OfType<Bus>().Where(x => x != myBus)
  .First() //Convert from list to single element
  //check to see if the connected bus has a higher voltage than myBus.
  .Voltage.Magnitude > myBus.Voltage.Magnitude
);
Bus myBus = Circuit.Buses["myBus"];
//Find all connected lines where:
myBus.ConnectedTo.OfType<Line>().Where(
  //the other bus the line connects to
  line => line.ConnectedTo.OfType<Bus>().Where(x => x != myBus)
  .First() //Convert from list to single element
  //check to see if the connected bus has a higher voltage than myBus.
  .Voltage.Magnitude > myBus.Voltage.Magnitude
);
As of version 1.1, NetworkModels can also be traversed using the phased property ConnectedToPhased. The object model for phased connections is slightly different, with each element of ConnectedToPhased specifying a target element and a target phase (see NetworkElementConnection).
See Also
Other Resources
  Online LINQ on MSDN
  Online Getting started with LINQ (C#) on MSDN


Example Networks Package

Example Networks Package ElecNetKit Documentation

This article contains a links to sample networks package.

You can download the Online Sample Networks Package here.

Important note Important
Please note that some of the sample files depend on other sample files, and as such, please ensure you maintain the original directory structure contained in the Sample Networks package.


Perturb-and-Observe Style Experiments and Sensitivity Generation

Perturb-and-Observe Style Experiments and Sensitivity Generation ElecNetKit Documentation

One of the core strengths of ElecNetKit lies in data manipulation and transformation. To that effect, the generation of sensitivity data has been found to be incredibly helpful for the purposes of exploring network P-Q-V relationships and planning for the installation of distributed generation, storage, and voltage support systems.

ElecNetKit features a module designed for simplifying perturb-and-observe-style experiments, and for generating sensitivity information from these experiments. This module is introduced in this topic.

This topic contains the following sections.

  • Perturb-and-Observe Experiments
  • Determining Sensitivities with Perturb-and-Observe Results
Perturb-and-Observe Experiments

Perturb-and-Observe Experiments are run using the PerturbAndObserveRunner TObserve class.

Setting Up a Perturb-and-Observe Experiment

  • Specify the NetworkFilename of the network to run the perturb-and-observe experiment on.

  • Specify selector functions, that take a NetworkModel and return a set of NetworkElements. You should specify a selector function for all elements that are to be perturbed (PerturbElementSelector) and for all elements that are to be observed (ObserveElementSelector). It is common to set the observed elements to the buses in the network, for example:

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    myPerturbAndObserveRunner.ObserveElementSelector = network => network.Buses.Values;
    myPerturbAndObserveRunner.ObserveElementSelector = network => network.Buses.Values;

                  The choice of PerturbElementSelector is a little more arbitrary due to the way that perturbation commands are issued to the simulator (this will be explained later).

  • Specify value selector functions PerturbElementValuesSelector and ObserveElementValuesSelector. These take the network elements selected by PerturbElementSelector and ObserveElementSelector, and obtain values that will be observed or used in the perturbation command. For example, if we wish to observe the bus voltages, we can use the statement:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    myPerturbAndObserveRunner.ObserveElementValuesSelector = networkElement => ((Bus)networkElement).Voltage.Magnitude;
    myPerturbAndObserveRunner.ObserveElementValuesSelector = networkElement => ((Bus)networkElement).Voltage.Magnitude;

                  As an example of pulling data from perturbation elements to be used in the perturbation command, the following two commands specify perturbation on buses, and select some values to populate the perturbation commands:

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    myPerturbAndObserveRunner.PerturbElementSelector = network => network.Buses.Values;
myPerturbAndObserveRunner.PerturbElementValuesSelector = bus => new Object[] {bus.ID};
    myPerturbAndObserveRunner.PerturbElementSelector = network => network.Buses.Values;
myPerturbAndObserveRunner.PerturbElementValuesSelector = bus => new Object[] {bus.ID};
    In the above example, only the bus ID is selected. The data that needs to be selected depends upon the specific use case and perturbation commands.
  • Specify a set of PerturbCommands. Each command can have optional placeholders that will be filled in with values from the PerturbElementValuesSelector specified earlier. Placeholders are specified as {0}, {1}, {2} etc., where the number between the curly braces is the index in the array of objects returned by the value selector. For example, if the PerturbElementValuesSelector
              returned {25, "myBus", 11}, the command string

    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    "new Generator.testgenerator-{1} bus1={1} phases=3 model=1 status=fixed kV={2} Vminpu=0.9 Vmaxpu=1.1 kW={0} kvAR=0"
    "new Generator.testgenerator-{1} bus1={1} phases=3 model=1 status=fixed kV={2} Vminpu=0.9 Vmaxpu=1.1 kW={0} kvAR=0"
    would resolve to
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    "new Generator.testgenerator-myBus bus1=myBus phases=3 model=1 status=fixed kV=11 Vminpu=0.9 Vmaxpu=1.1 kW=25 kvAR=0"
    "new Generator.testgenerator-myBus bus1=myBus phases=3 model=1 status=fixed kV=11 Vminpu=0.9 Vmaxpu=1.1 kW=25 kvAR=0"
    You can set up this command string using the code:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    myPerturbAndObserveRunner.PerturbCommands = new String[] { "new Generator.testgenerator-{1} bus1={1} phases=3 model=1 status=fixed kV={2} Vminpu=0.9 Vmaxpu=1.1 kW={0} kvAR=0"};
    myPerturbAndObserveRunner.PerturbCommands = new String[] { "new Generator.testgenerator-{1} bus1={1} phases=3 model=1 status=fixed kV={2} Vminpu=0.9 Vmaxpu=1.1 kW={0} kvAR=0"};
      Tip  Tip
    You can specify multiple commands to be run in sequence by adding a comma and another command immediately before the closing curly brace:

    myPerturbAndObserveRunner.PerturbCommands = new String[] { "command1", "command2"};

  • Now, call RunPerturbAndObserve to run the perturb-and-observe experiment. The perturbations given by the PerturbCommands will be applied at each element in PerturbElementSelector individually. The observed values before and after perturbation will be stored in BeforeValues and AfterValues. See the documentation for each of those members for a description of the way that observed data is stored.
Determining Sensitivities with Perturb-and-Observe Results
Once a Perturb-and-Observe experiment has been run, the PerturbAndObserveRunner TObserve  can be passed to a SensitivityGenerator T  to generate the sensitivities of the observed quantities to the perturbed quantities.
Generating Sensitivity Information from Perturb-and-Observe Results
  • Instantiate a new SensitivityGenerator T .
  • Set the ResultSelector to a function that takes the observed results provided by the PerturbAndObserveRunner TObserve
               and transforms them into some numerical quantity that can be converted to   Online Double. For most cases, one of these lines of code will suffice:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    //Use this if you're observing a complex number and the magnitude component is important.
mySensitivityGenerator.ResultSelector = complex => complex.Magnitude;
//Use this if you're observing a simple number (double, int, etc)
mySensitivityGenerator.ResultSelector = x => x;
    //Use this if you're observing a complex number and the magnitude component is important.
mySensitivityGenerator.ResultSelector = complex => complex.Magnitude;
//Use this if you're observing a simple number (double, int, etc)
mySensitivityGenerator.ResultSelector = x => x;
  •
                  Set the RecordedPerturbationSelector to obtain a value from the recorded perturbation values. Remember how before we had set of values that we got from PerturbElementValuesSelector? These got passed to the PerturbCommands, and the example we used was {25, "myBus", 11}. We need to extract a numerical value from this array to obtain some kind of quantifiable cause-and-effect relationship. The way to do this is through the RecordedPerturbationSelector, but we've got a couple of options:

    • Option 1: Limit what gets recorded by the PerturbAndObserveRunner TObserve  with the PerturbValuesToRecord property, and then just select that:
      C#
      VB
      C++
      F#
      View Colorized Copy to Clipboard Print
      //Take {25, "myBus", 11} and only save 25
myPerturbAndObserveRunner.PerturbValuesToRecord = array => array[0];
//do the rest of the setup and call myPerturbAndObserveRunner.RunPerturbAndObserve();

//Just pull in that 25
mySensitivityGenerator.RecordedPerturbationSelector = x => x;
      //Take {25, "myBus", 11} and only save 25
myPerturbAndObserveRunner.PerturbValuesToRecord = array => array[0];
//do the rest of the setup and call myPerturbAndObserveRunner.RunPerturbAndObserve();

//Just pull in that 25
mySensitivityGenerator.RecordedPerturbationSelector = x => x;
    • Option 2: Record everything from the perturb-and-observe experiment and then just select the relevant data with RecordedPerturbationSelector:
      C#
      VB
      C++
      F#
      View Colorized Copy to Clipboard Print
      //run the Perturb and Observe experiment without setting PerturbAndObserveRunner.PerturbValuesToRecord

//pull in that 25, the first recorded element of the array.
mySensitivityGenerator.RecordedPerturbationSelector = data => ((Object[])data)[0];
      //run the Perturb and Observe experiment without setting PerturbAndObserveRunner.PerturbValuesToRecord

//pull in that 25, the first recorded element of the array.
mySensitivityGenerator.RecordedPerturbationSelector = data => ((Object[])data)[0];

              Option 2 is especially useful for situations in which you would use the same perturb-and-observe results for multiple purposes, including a sensitivity calculation, because no loss of data occurs.

      Note  Note

                The output of RecordedPerturbationSelector needs to be convertible to   Online Double, and thus needs to be a simple number.
  • Call GenerateSensitivities, passing the PerturbAndObserveRunner TObserve  as a parameter:
    C#
    VB
    C++
    F#
    View Colorized Copy to Clipboard Print
    mySensitivityGenerator.GenerateSensitivities(myPerturbAndObserveRunner);
    mySensitivityGenerator.GenerateSensitivities(myPerturbAndObserveRunner);


ElecNetKit Architecture

ElecNetKit Architecture ElecNetKit Documentation

This article illustrates the component architecture of ElecNetKit.

Block Diagram And Description

The components in ElecNetKit interact in the fashion demonstrated in the block digram, below.

The core components of ElecNetKit are:

NetworkController
The NetworkController is responsible for coordinating the entire experimentation / simulation process. It invokes all other modules at the appropriate time and tightly controls access to the NetworkModel to ensure reliability of results.
ISimulator
The ISimulator 'abstracts away' the complexity of the raw simulator software interface. Upon receiving commands from the NetworkController, it sends and extracts data to and from the underlying simulation engine. ISimulators are not directly interacted with for the purposes of running network experiments. The only time that ISimulators should be directly used is when passed to NetworkController.
IExperimentor
The IExperimentor defines an interface for conducting experiments on the simulated network. When the NetworkController runs a simulation, it invokes the assigned IExperimentor, alerting it to the current state of the electrical network and expecting a list of simulator commands that will be used to manipulate the network.
IResultsTransform
The IResultsTransform class offers a way to read the network results both before and after the experiment is undertaken, and can modify the results and topology of the final network immediately before it is returned by the NetworkController. This allows for perturb-and-observe style measurements, or logarithmic scaling of results, for example.
NetworkModel
The NetworkModel represents the entire electrical network that is being operated upon. For futher information, see Traversing the Network Model.
INetworkGraph
The INetworkGraph interface specifies a consistent means for producing visual representations of NetworkModels. Some graphs are included with ElecNetKit for convenience. These are discussed in Graphing with ElecNetKit.

To get a feel for the interaction between these modules, take a look at the Walkthrough: A Minimal Working Example example.

See Also

Reference

NetworkController
IExperimentor
IResultsTransform
NetworkModel
INetworkGraph


Graphing with ElecNetKit

Graphing with ElecNetKit ElecNetKit Documentation

ElecNetKit ships with a couple of very powerful graphing tools. This article outlines the use of the graphs included with ElecNetKit, as well as the use of a window and control for hosting these graphs.

This topic contains the following sections.

  • Hosting Graphs
  • Included Graphs
Hosting Graphs

ElecNetKit provides two methods for hosting graphs within WPF or console applications: GraphHost and GraphHostWindow. Each of these methods are outlined here.

GraphHost

GraphHost is a control that can be used in WPF windows. If you're writing an application with a custom user interface, this is probably what you're looking for. GraphHost is inherited from Online FrameworkElement, which means it provides all the usual events that WPF controls provide.

GraphHostWindow

If you don't really want to have to deal with your own UI, or plan on writing a console application, GraphHostWindow is the way to go. It launches a window that contains the specified graph. Incorporating GraphHostWindow in console applications entails a couple of extra requirements. If you're thinking of using GraphHostWindow for such applications, you may find Walkthrough: A Minimal Working Example helpful.

Included Graphs

A couple of graphs come included with ElecNetKit. They are:

  • ValueTransformableTreeGraph
  • FeederProfileGraph

ValueTransformableTreeGraph

ValueTransformableTreeGraphs are top-down graphs that represent a network in terms of its geographical location.

Sample ValueTransformableTreeGraph output
Value Transformable Tree Graph

The positioning of network elements is a given, but the colour of buses (those small dots) and the lines connecting them, the size of buses and even the distance and visibility of those rings are controllable. Each one of these items is controlled by a Value Transform, a custom function that takes a Bus, and uses network model traversal (see Traversing the Network Model) to return some kind of data that should be displayed. In the example presented above, both BusColorTransform and BusSizeTransform are scaled with the lambda function:

C#
VB
C++
F#
View Colorized Copy to Clipboard Print
bus => bus.VoltagePU.Magnitude
bus => bus.VoltagePU.Magnitude

              Rings are only to be displayed on buses that have generation attached. As such,
              BusVisibleTransform is set with:

C#
VB
C++
F#
View Colorized Copy to Clipboard Print
bus => bus.ConnectedTo.OfType<Generator>().Any()
bus => bus.ConnectedTo.OfType<Generator>().Any()

              We don't care what size the ring is, just that it's visible, so we set to the RingDistanceTransform with:

C#
VB
C++
F#
View Colorized Copy to Clipboard Print
bus => 2 //constant
bus => 2 //constant
Putting it all together, you can configure the graph as follows:
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
var graph = new ValueTransformableTreeGraph(); //new graph
graph.BusSizeMin = 2;
graph.BusSizeMax = 10;
graph.BusSizeTransform = bus => bus.VoltagePU.Magnitude;
graph.BusColorTransform = bus => bus.VoltagePU.Magnitude;
graph.RingEnabledTransform = bus => bus.ConnectedTo.OfType<Generator>().Any();
graph.RingDistanceTransform = bus => 2; //constant
graph.Network = network;
var graph = new ValueTransformableTreeGraph(); //new graph
graph.BusSizeMin = 2;
graph.BusSizeMax = 10;
graph.BusSizeTransform = bus => bus.VoltagePU.Magnitude;
graph.BusColorTransform = bus => bus.VoltagePU.Magnitude;
graph.RingEnabledTransform = bus => bus.ConnectedTo.OfType<Generator>().Any();
graph.RingDistanceTransform = bus => 2; //constant
graph.Network = network;

              If you drop that code in instead of the graphing code outlined in Walkthrough: A Minimal Working Example, then you should get a result similar to the following image:
Graphing the IEEE13bus.dss example

FeederProfileGraph
FeederProfileGraphs behave quite differently, plotting the voltage along the feeder against the cable distance from the source bus:

A sample FeederProfileGraph plot. The vertical axis represents per unit voltage, and the horizontal axis represents distance from the source bus.
  Feeder Profile Graph
FeederProfileGraphs require a SelectedElement to be set - this governs the feeder that should be plotted. Any line that is required for connection of the SelectedElement to the SourceBus is included in the plot, along with any line from the SelectedElement away from the SourceBus to the end of the feeder. In the example above, then, the SelectedElement is located to the left of the first branch-point on the graph.


ElecNetKit.Convenience Namespace

ElecNetKit.Convenience Namespace ElecNetKit Documentation
The ElecNetKit.Convenience namespace defines miscellaneous utility classes.
Classes
 | Class | Description
Public class | ComplexExtensions | Utility functions for Online IEnumerable T .


ComplexExtensions Class

ComplexExtensions Class ElecNetKit Documentation
Utility functions for Online IEnumerable T .
Inheritance Hierarchy
Online System Object
ElecNetKit.Convenience ComplexExtensions

Namespace: ElecNetKit.Convenience
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class ComplexExtensions
public static class ComplexExtensions
<ExtensionAttribute> _
Public NotInheritable Class ComplexExtensions
<ExtensionAttribute> _
Public NotInheritable Class ComplexExtensions
[ExtensionAttribute]
public ref class ComplexExtensions abstract sealed
[ExtensionAttribute]
public ref class ComplexExtensions abstract sealed
See Also
ComplexExtensions Members
ElecNetKit.Convenience Namespace


ComplexExtensions Members

ComplexExtensions Members ElecNetKit Documentation

The ComplexExtensions type exposes the following members.
Methods
Name | Description
Sum | Returns the sum of a set of complex numbers.
Back to Top
See Also
ComplexExtensions Class
ElecNetKit.Convenience Namespace


ComplexExtensions Methods

ComplexExtensions Methods ElecNetKit Documentation
The ComplexExtensions type exposes the following members.
Methods
Name | Description
Sum | Returns the sum of a set of complex numbers.
Back to Top
See Also
ComplexExtensions Class
ElecNetKit.Convenience Namespace


Sum Method

ComplexExtensions Sum Method ElecNetKit Documentation
Returns the sum of a set of complex numbers.

Namespace: ElecNetKit.Convenience
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Complex Sum(
    this IEnumerable<Complex> enumerable
)
public static Complex Sum(
    this IEnumerable<Complex> enumerable
)
<ExtensionAttribute> _
Public Shared Function Sum ( _
    enumerable As IEnumerable(Of Complex) _
) As Complex
<ExtensionAttribute> _
Public Shared Function Sum ( _
    enumerable As IEnumerable(Of Complex) _
) As Complex
public:
[ExtensionAttribute]
static Complex Sum(
    IEnumerable<Complex>^ enumerable
)
public:
[ExtensionAttribute]
static Complex Sum(
    IEnumerable<Complex>^ enumerable
)
Parameters
enumerable
Type:   Online System.Collections.Generic IEnumerable    Online Complex
The set of complex numbers to sum.
Return Value
The sum of the complex numbers in enumerable.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online IEnumerable    Online Complex  . When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
ComplexExtensions Class
ComplexExtensions Members
ElecNetKit.Convenience Namespace


ElecNetKit.Engines Namespace

ElecNetKit.Engines Namespace ElecNetKit Documentation
The ElecNetKit.Engines namespace contains simulator backends for the Electric Network Toolkit. Note that no engines are provided within the core assembly, so references to ElecNetKit.Engines.* assemblies should be added before use of these backends.
Classes
 | Class | Description
Public class | OpenDSSSimulator | A simulator backend that connects ElecNetKit to the OpenDSS Engine. Should rarely be used directly, only instantiated and passed to the NetworkController constructor. If you're looking to get information, obtain results etc, use a NetworkController instead.


OpenDSSSimulator Class

OpenDSSSimulator Class ElecNetKit Documentation
A simulator backend that connects ElecNetKit to the OpenDSS Engine. Should rarely be used directly, only instantiated and passed to the NetworkController constructor. If you're looking to get information, obtain results etc, use a NetworkController instead.
Inheritance Hierarchy
Online System Object
ElecNetKit.Engines OpenDSSSimulator

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class OpenDSSSimulator : ISimulator
public class OpenDSSSimulator : ISimulator
Public Class OpenDSSSimulator _
    Implements ISimulator
Public Class OpenDSSSimulator _
    Implements ISimulator
public ref class OpenDSSSimulator : ISimulator
public ref class OpenDSSSimulator : ISimulator
See Also
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


OpenDSSSimulator Members

OpenDSSSimulator Members ElecNetKit Documentation

The OpenDSSSimulator type exposes the following members.
Constructors
 | Name | Description
Public method | OpenDSSSimulator | Instantiates a new OpenDSSSimulator.
Back to Top
Methods
 | Name | Description
Public method | GetNetworkModel | Obtains a model of the network from the DSS Engine.
Public method | PrepareNetwork | Loads a network from filename, but does not solve.
 | ResolveOpenDSSBusString | Translates an OpenDSS bus connection string into a bus ID and a set of phases.
Public method | RunCommand | Run a single OpenDSS command through the OpenDSS Text interface.
Back to Top
Properties
 | Name | Description
Public property | ResultAccuracy | The required accuracy of convergence (in pu voltage) of the results. Defaults to 1e-7. Increase this for easier and faster convergence. This level of accuracy is required for sensitivity applications.
Back to Top
See Also
OpenDSSSimulator Class
ElecNetKit.Engines Namespace


OpenDSSSimulator Constructor

OpenDSSSimulator Constructor ElecNetKit Documentation
Instantiates a new OpenDSSSimulator.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public OpenDSSSimulator()
public OpenDSSSimulator()
Public Sub New
Public Sub New
public:
OpenDSSSimulator()
public:
OpenDSSSimulator()
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


OpenDSSSimulator Methods

OpenDSSSimulator Methods ElecNetKit Documentation
The OpenDSSSimulator type exposes the following members.
Methods
 | Name | Description
Public method | GetNetworkModel | Obtains a model of the network from the DSS Engine.
Public method | PrepareNetwork | Loads a network from filename, but does not solve.
 | ResolveOpenDSSBusString | Translates an OpenDSS bus connection string into a bus ID and a set of phases.
Public method | RunCommand | Run a single OpenDSS command through the OpenDSS Text interface.
Back to Top
See Also
OpenDSSSimulator Class
ElecNetKit.Engines Namespace


GetNetworkModel Method

OpenDSSSimulator GetNetworkModel Method ElecNetKit Documentation
Obtains a model of the network from the DSS Engine.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkModel GetNetworkModel()
public NetworkModel GetNetworkModel()
Public Function GetNetworkModel As NetworkModel
Public Function GetNetworkModel As NetworkModel
public:
virtual NetworkModel^ GetNetworkModel() sealed
public:
virtual NetworkModel^ GetNetworkModel() sealed
Return Value
A network model for the OpenDSS Active Circuit.
Implements
ISimulator GetNetworkModel
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


PrepareNetwork Method

OpenDSSSimulator PrepareNetwork Method ElecNetKit Documentation
Loads a network from filename, but does not solve.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void PrepareNetwork(
    string filename
)
public void PrepareNetwork(
    string filename
)
Public Sub PrepareNetwork ( _
    filename As String _
)
Public Sub PrepareNetwork ( _
    filename As String _
)
public:
virtual void PrepareNetwork(
    String^ filename
) sealed
public:
virtual void PrepareNetwork(
    String^ filename
) sealed
Parameters
filename
Type:   Online System String
The filename to load the network from.
Implements
ISimulator PrepareNetwork(String)
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


ResolveOpenDSSBusString Method

OpenDSSSimulator ResolveOpenDSSBusString Method ElecNetKit Documentation
Translates an OpenDSS bus connection string into a bus ID and a set of phases.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected static Tuple<string, List<int>> ResolveOpenDSSBusString(
    string busConnString,
    int numPhases
)
protected static Tuple<string, List<int>> ResolveOpenDSSBusString(
    string busConnString,
    int numPhases
)
Protected Shared Function ResolveOpenDSSBusString ( _
    busConnString As String, _
    numPhases As Integer _
) As Tuple(Of String, List(Of Integer))
Protected Shared Function ResolveOpenDSSBusString ( _
    busConnString As String, _
    numPhases As Integer _
) As Tuple(Of String, List(Of Integer))
protected:
static Tuple<String^, List<int>^>^ ResolveOpenDSSBusString(
    String^ busConnString,
    int numPhases
)
protected:
static Tuple<String^, List<int>^>^ ResolveOpenDSSBusString(
    String^ busConnString,
    int numPhases
)
Parameters
busConnString
Type:   Online System String
The bus connection string from OpenDSS.
numPhases
Type:   Online System Int32
The number of phases to consider.
Return Value
A tuple containing the bus ID, and a list of phases.
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


RunCommand Method

OpenDSSSimulator RunCommand Method ElecNetKit Documentation
Run a single OpenDSS command through the OpenDSS Text interface.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void RunCommand(
    string command
)
public void RunCommand(
    string command
)
Public Sub RunCommand ( _
    command As String _
)
Public Sub RunCommand ( _
    command As String _
)
public:
virtual void RunCommand(
    String^ command
) sealed
public:
virtual void RunCommand(
    String^ command
) sealed
Parameters
command
Type:   Online System String
The OpenDSS command to run.
Implements
ISimulator RunCommand(String)
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


OpenDSSSimulator Properties

OpenDSSSimulator Properties ElecNetKit Documentation
The OpenDSSSimulator type exposes the following members.
Properties
 | Name | Description
Public property | ResultAccuracy | The required accuracy of convergence (in pu voltage) of the results. Defaults to 1e-7. Increase this for easier and faster convergence. This level of accuracy is required for sensitivity applications.
Back to Top
See Also
OpenDSSSimulator Class
ElecNetKit.Engines Namespace


ResultAccuracy Property

OpenDSSSimulator ResultAccuracy Property ElecNetKit Documentation
The required accuracy of convergence (in pu voltage) of the results. Defaults to 1e-7. Increase this for easier and faster convergence. This level of accuracy is required for sensitivity applications.

Namespace: ElecNetKit.Engines
Assembly: ElecNetKit.Engines.OpenDSS (in ElecNetKit.Engines.OpenDSS.dll) Version: 1.1.4771.27371 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double ResultAccuracy { get; set; }
public double ResultAccuracy { get; set; }
Public Property ResultAccuracy As Double
    Get
    Set
Public Property ResultAccuracy As Double
    Get
    Set
public:
property double ResultAccuracy {
    double get ();
    void set (double value);
}
public:
property double ResultAccuracy {
    double get ();
    void set (double value);
}
See Also
OpenDSSSimulator Class
OpenDSSSimulator Members
ElecNetKit.Engines Namespace


ElecNetKit.Experimentation Namespace

ElecNetKit.Experimentation Namespace ElecNetKit Documentation
The ElecNetKit.Experimentation namespace contains classes that govern the definition of electrical network simulation experiments.
Classes
 | Class | Description
Public class | ChainExperimentor | Chains multiple experimentors together. Each sub-experimentor is given the same initial input network, and should provide commands that will be run on the network in the order given by Experimentors.
Interfaces
 | Interface | Description
Public interface | IExperimentor | Defines an interface for conducting experiments on the network.


ChainExperimentor Class

ChainExperimentor Class ElecNetKit Documentation
Chains multiple experimentors together. Each sub-experimentor is given the same initial input network, and should provide commands that will be run on the network in the order given by Experimentors.
Inheritance Hierarchy
Online System Object
ElecNetKit.Experimentation ChainExperimentor

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ChainExperimentor : IExperimentor
public class ChainExperimentor : IExperimentor
Public Class ChainExperimentor _
    Implements IExperimentor
Public Class ChainExperimentor _
    Implements IExperimentor
public ref class ChainExperimentor : IExperimentor
public ref class ChainExperimentor : IExperimentor
See Also
ChainExperimentor Members
ElecNetKit.Experimentation Namespace


ChainExperimentor Members

ChainExperimentor Members ElecNetKit Documentation

The ChainExperimentor type exposes the following members.
Constructors
 | Name | Description
Public method | ChainExperimentor | Instantiates a new ChainExperimentor with an empty experiment chain.
Back to Top
Methods
 | Name | Description
Public method | Experiment | Obtains simulator-specific experiment commands pertaining to each IExperimentor in order and aggregates them into a single experiment.
Back to Top
Properties
 | Name | Description
Public property | Experimentors | A list of sub-experiments. Sub-experiments will be executed in order.
Back to Top
See Also
ChainExperimentor Class
ElecNetKit.Experimentation Namespace


ChainExperimentor Constructor

ChainExperimentor Constructor ElecNetKit Documentation
Instantiates a new ChainExperimentor with an empty experiment chain.

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ChainExperimentor()
public ChainExperimentor()
Public Sub New
Public Sub New
public:
ChainExperimentor()
public:
ChainExperimentor()
See Also
ChainExperimentor Class
ChainExperimentor Members
ElecNetKit.Experimentation Namespace


ChainExperimentor Methods

ChainExperimentor Methods ElecNetKit Documentation
The ChainExperimentor type exposes the following members.
Methods
 | Name | Description
Public method | Experiment | Obtains simulator-specific experiment commands pertaining to each IExperimentor in order and aggregates them into a single experiment.
Back to Top
See Also
ChainExperimentor Class
ElecNetKit.Experimentation Namespace


Experiment Method

ChainExperimentor Experiment Method ElecNetKit Documentation
Obtains simulator-specific experiment commands pertaining to each IExperimentor in order and aggregates them into a single experiment.

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<string> Experiment(
    NetworkModel Network
)
public List<string> Experiment(
    NetworkModel Network
)
Public Function Experiment ( _
    Network As NetworkModel _
) As List(Of String)
Public Function Experiment ( _
    Network As NetworkModel _
) As List(Of String)
public:
virtual List<String^>^ Experiment(
    NetworkModel^ Network
) sealed
public:
virtual List<String^>^ Experiment(
    NetworkModel^ Network
) sealed
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The network to experiment upon.
Return Value
A list of simulator-specific experiment commands.
Implements
IExperimentor Experiment(NetworkModel)
See Also
ChainExperimentor Class
ChainExperimentor Members
ElecNetKit.Experimentation Namespace


ChainExperimentor Properties

ChainExperimentor Properties ElecNetKit Documentation
The ChainExperimentor type exposes the following members.
Properties
 | Name | Description
Public property | Experimentors | A list of sub-experiments. Sub-experiments will be executed in order.
Back to Top
See Also
ChainExperimentor Class
ElecNetKit.Experimentation Namespace


Experimentors Property

ChainExperimentor Experimentors Property ElecNetKit Documentation
A list of sub-experiments. Sub-experiments will be executed in order.

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public List<IExperimentor> Experimentors { get; protected set; }
public List<IExperimentor> Experimentors { get; protected set; }
Public Property Experimentors As List(Of IExperimentor)
    Get
    Protected Set
Public Property Experimentors As List(Of IExperimentor)
    Get
    Protected Set
public:
property List<IExperimentor^>^ Experimentors {
    List<IExperimentor^>^ get ();
    protected: void set (List<IExperimentor^>^ value);
}
public:
property List<IExperimentor^>^ Experimentors {
    List<IExperimentor^>^ get ();
    protected: void set (List<IExperimentor^>^ value);
}
See Also
ChainExperimentor Class
ChainExperimentor Members
ElecNetKit.Experimentation Namespace


IExperimentor Interface

IExperimentor Interface ElecNetKit Documentation
Defines an interface for conducting experiments on the network.

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IExperimentor
public interface IExperimentor
Public Interface IExperimentor
Public Interface IExperimentor
public interface class IExperimentor
public interface class IExperimentor
Remarks

            When the NetworkController runs a simulation, it calls Experiment(NetworkModel),
            passing a NetworkModel and expecting a list of simulator-specific commands to manipulate the network.
            Results are then fed through to a Results Core.Transform or a graph.

See Also
IExperimentor Members
ElecNetKit.Experimentation Namespace


IExperimentor Members

IExperimentor Members ElecNetKit Documentation

The IExperimentor type exposes the following members.
Methods
 | Name | Description
Public method | Experiment | Examines the network model and issues commands in order to manipulate or experiment upon the network model. Called by Execute .
Back to Top
See Also
IExperimentor Interface
ElecNetKit.Experimentation Namespace


IExperimentor Methods

IExperimentor Methods ElecNetKit Documentation
The IExperimentor type exposes the following members.
Methods
 | Name | Description
Public method | Experiment | Examines the network model and issues commands in order to manipulate or experiment upon the network model. Called by Execute .
Back to Top
See Also
IExperimentor Interface
ElecNetKit.Experimentation Namespace


Experiment Method

IExperimentor Experiment Method ElecNetKit Documentation
Examines the network model and issues commands in order to manipulate or experiment upon the network model. Called by Execute .

Namespace: ElecNetKit.Experimentation
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
List<string> Experiment(
    NetworkModel Network
)
List<string> Experiment(
    NetworkModel Network
)
Function Experiment ( _
    Network As NetworkModel _
) As List(Of String)
Function Experiment ( _
    Network As NetworkModel _
) As List(Of String)
List<String^>^ Experiment(
    NetworkModel^ Network
)
List<String^>^ Experiment(
    NetworkModel^ Network
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
A network to experiment on.
Return Value
A list of simulator-specific commands to be fed into the
            simulator by the associated NetworkController.
See Also
IExperimentor Interface
IExperimentor Members
ElecNetKit.Experimentation Namespace


ElecNetKit.Graphing Namespace

ElecNetKit.Graphing Namespace ElecNetKit Documentation
The ElecNetKit.Graphing namespace contains classes that assist in the production of graphical representations of electrical network models.
Classes
 | Class | Description
Public class | TreeGraph | A class that provides basic layout management functions for a top-down geographic network map. Provides functions for scaling from 'Network Coordinates' to 'Image Coordinates' and vice-versa.
Interfaces
 | Interface | Description
Public interface | IElementLocatable | Any INetworkGraph that implements IElementLocatable can provide reverse-lookup capabilities, that is, can find network elements based on a point in the graph.
Public interface | IElementSelectable | Indicates that the graphical output of an INetworkGraph will vary based upon a specific selected NetworkElement.
Public interface | INetworkGraph | INetworkGraphs plot aspects of the information embedded into the electrical network model.
Public interface | IPresentationMode | If PresentationMode is true when an INetworkGraph is drawing, the INetworkGraph should ensure that the primary information displayed by the graph is represented geometrically.


IElementLocatable Interface

IElementLocatable Interface ElecNetKit Documentation
Any INetworkGraph that implements IElementLocatable can provide reverse-lookup capabilities, that is, can find network elements based on a point in the graph.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IElementLocatable
public interface IElementLocatable
Public Interface IElementLocatable
Public Interface IElementLocatable
public interface class IElementLocatable
public interface class IElementLocatable
See Also
IElementLocatable Members
ElecNetKit.Graphing Namespace


IElementLocatable Members

IElementLocatable Members ElecNetKit Documentation

The IElementLocatable type exposes the following members.
Methods
 | Name | Description
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location.
Back to Top
See Also
IElementLocatable Interface
ElecNetKit.Graphing Namespace


IElementLocatable Methods

IElementLocatable Methods ElecNetKit Documentation
The IElementLocatable type exposes the following members.
Methods
 | Name | Description
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location.
Back to Top
See Also
IElementLocatable Interface
ElecNetKit.Graphing Namespace


GetObjectAtLocation Method

IElementLocatable GetObjectAtLocation Method ElecNetKit Documentation
Finds the network element at the specified (device-independent) pixel location.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
NetworkElement GetObjectAtLocation(
    Point Location
)
NetworkElement GetObjectAtLocation(
    Point Location
)
Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
NetworkElement^ GetObjectAtLocation(
    Point Location
)
NetworkElement^ GetObjectAtLocation(
    Point Location
)
Parameters
Location
Type:   Online System.Windows Point
the pixel to find a NetworkElement at.
Return Value
The NetworkElement nearest the pixel.
See Also
IElementLocatable Interface
IElementLocatable Members
ElecNetKit.Graphing Namespace


IElementSelectable Interface

IElementSelectable Interface ElecNetKit Documentation
Indicates that the graphical output of an INetworkGraph will vary based upon a specific selected NetworkElement.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IElementSelectable
public interface IElementSelectable
Public Interface IElementSelectable
Public Interface IElementSelectable
public interface class IElementSelectable
public interface class IElementSelectable
Examples

            For an example, see the implementation of FeederProfileGraph
See Also
IElementSelectable Members
ElecNetKit.Graphing Namespace


IElementSelectable Members

IElementSelectable Members ElecNetKit Documentation

The IElementSelectable type exposes the following members.
Properties
 | Name | Description
Public property | SelectedElement | The NetworkElement that will be used to vary, modify or focus the graph.
Back to Top
See Also
IElementSelectable Interface
ElecNetKit.Graphing Namespace


IElementSelectable Properties

IElementSelectable Properties ElecNetKit Documentation
The IElementSelectable type exposes the following members.
Properties
 | Name | Description
Public property | SelectedElement | The NetworkElement that will be used to vary, modify or focus the graph.
Back to Top
See Also
IElementSelectable Interface
ElecNetKit.Graphing Namespace


SelectedElement Property

IElementSelectable SelectedElement Property ElecNetKit Documentation
The NetworkElement that will be used to vary, modify or focus the graph.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
NetworkElement SelectedElement { get; set; }
NetworkElement SelectedElement { get; set; }
Property SelectedElement As NetworkElement
    Get
    Set
Property SelectedElement As NetworkElement
    Get
    Set
property NetworkElement^ SelectedElement {
    NetworkElement^ get ();
    void set (NetworkElement^ value);
}
property NetworkElement^ SelectedElement {
    NetworkElement^ get ();
    void set (NetworkElement^ value);
}
See Also
IElementSelectable Interface
IElementSelectable Members
ElecNetKit.Graphing Namespace


INetworkGraph Interface

INetworkGraph Interface ElecNetKit Documentation
INetworkGraphs plot aspects of the information embedded into the electrical network model.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface INetworkGraph
public interface INetworkGraph
Public Interface INetworkGraph
Public Interface INetworkGraph
public interface class INetworkGraph
public interface class INetworkGraph
See Also
INetworkGraph Members
ElecNetKit.Graphing Namespace


INetworkGraph Members

INetworkGraph Members ElecNetKit Documentation

The INetworkGraph type exposes the following members.
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Back to Top
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | An electrical network model to render.
Back to Top
See Also
INetworkGraph Interface
ElecNetKit.Graphing Namespace


INetworkGraph Methods

INetworkGraph Methods ElecNetKit Documentation
The INetworkGraph type exposes the following members.
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Back to Top
See Also
INetworkGraph Interface
ElecNetKit.Graphing Namespace


Draw Method

INetworkGraph Draw Method ElecNetKit Documentation
Draws the graph for the NetworkModel provided by Network.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Visual Draw()
Visual Draw()
Function Draw As Visual
Function Draw As Visual
Visual^ Draw()
Visual^ Draw()
Return Value
A   Online Visual that contains the completed graph.
See Also
INetworkGraph Interface
INetworkGraph Members
ElecNetKit.Graphing Namespace


INetworkGraph Properties

INetworkGraph Properties ElecNetKit Documentation
The INetworkGraph type exposes the following members.
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | An electrical network model to render.
Back to Top
See Also
INetworkGraph Interface
ElecNetKit.Graphing Namespace


ImgCoords Property

INetworkGraph ImgCoords Property ElecNetKit Documentation
The coordinates within which the image is to be displayed.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Rect ImgCoords { get; set; }
Rect ImgCoords { get; set; }
Property ImgCoords As Rect
    Get
    Set
Property ImgCoords As Rect
    Get
    Set
property Rect ImgCoords {
    Rect get ();
    void set (Rect value);
}
property Rect ImgCoords {
    Rect get ();
    void set (Rect value);
}
Remarks
The INetworkGraph should confine all drawing
            to within the coordinates given by ImgCoords, shrunk by
            the values of the Margin property.
See Also
INetworkGraph Interface
INetworkGraph Members
ElecNetKit.Graphing Namespace


Margin Property

INetworkGraph Margin Property ElecNetKit Documentation
A margin around the edge of the graph.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
Thickness Margin { get; set; }
Thickness Margin { get; set; }
Property Margin As Thickness
    Get
    Set
Property Margin As Thickness
    Get
    Set
property Thickness Margin {
    Thickness get ();
    void set (Thickness value);
}
property Thickness Margin {
    Thickness get ();
    void set (Thickness value);
}
See Also
INetworkGraph Interface
INetworkGraph Members
ElecNetKit.Graphing Namespace


Network Property

INetworkGraph Network Property ElecNetKit Documentation
An electrical network model to render.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
NetworkModel Network { get; set; }
NetworkModel Network { get; set; }
Property Network As NetworkModel
    Get
    Set
Property Network As NetworkModel
    Get
    Set
property NetworkModel^ Network {
    NetworkModel^ get ();
    void set (NetworkModel^ value);
}
property NetworkModel^ Network {
    NetworkModel^ get ();
    void set (NetworkModel^ value);
}
See Also
INetworkGraph Interface
INetworkGraph Members
ElecNetKit.Graphing Namespace


IPresentationMode Interface

IPresentationMode Interface ElecNetKit Documentation
If PresentationMode is true when an INetworkGraph is drawing, the INetworkGraph should ensure that the primary information displayed by the graph is represented geometrically.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IPresentationMode
public interface IPresentationMode
Public Interface IPresentationMode
Public Interface IPresentationMode
public interface class IPresentationMode
public interface class IPresentationMode
Remarks
Implement IPresentationMode if
            your INetworkGraph has a lot of colour-based or fiddly
            detail, and especially if part of your audience is visually-impaired,
            colour-blind, or sitting a long way from the screen.
See Also
IPresentationMode Members
ElecNetKit.Graphing Namespace


IPresentationMode Members

IPresentationMode Members ElecNetKit Documentation

The IPresentationMode type exposes the following members.
Properties
 | Name | Description
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Back to Top
See Also
IPresentationMode Interface
ElecNetKit.Graphing Namespace


IPresentationMode Properties

IPresentationMode Properties ElecNetKit Documentation
The IPresentationMode type exposes the following members.
Properties
 | Name | Description
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Back to Top
See Also
IPresentationMode Interface
ElecNetKit.Graphing Namespace


PresentationMode Property

IPresentationMode PresentationMode Property ElecNetKit Documentation
If true, specifies that the graph should be drawn in presentation mode.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
bool PresentationMode { get; set; }
bool PresentationMode { get; set; }
Property PresentationMode As Boolean
    Get
    Set
Property PresentationMode As Boolean
    Get
    Set
property bool PresentationMode {
    bool get ();
    void set (bool value);
}
property bool PresentationMode {
    bool get ();
    void set (bool value);
}
See Also
IPresentationMode Interface
IPresentationMode Members
ElecNetKit.Graphing Namespace


TreeGraph Class

TreeGraph Class ElecNetKit Documentation
A class that provides basic layout management functions for a top-down geographic network map. Provides functions for scaling from 'Network Coordinates' to 'Image Coordinates' and vice-versa.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing TreeGraph
ElecNetKit.Graphing.Graphs ValueTransformableTreeGraph

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract class TreeGraph : INetworkGraph,
    IElementLocatable, IPresentationMode
public abstract class TreeGraph : INetworkGraph,
    IElementLocatable, IPresentationMode
Public MustInherit Class TreeGraph _
    Implements INetworkGraph, IElementLocatable, IPresentationMode
Public MustInherit Class TreeGraph _
    Implements INetworkGraph, IElementLocatable, IPresentationMode
public ref class TreeGraph abstract : INetworkGraph,
    IElementLocatable, IPresentationMode
public ref class TreeGraph abstract : INetworkGraph,
    IElementLocatable, IPresentationMode
See Also
TreeGraph Members
ElecNetKit.Graphing Namespace


TreeGraph Members

TreeGraph Members ElecNetKit Documentation

The TreeGraph type exposes the following members.
Constructors
 | Name | Description
Public method | TreeGraph | Instantiates a new TreeGraph, with a default image size of 900x700 and a default margin of 20.
Back to Top
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location.
Public method | ScaledLocation | Scales a Online Point from Network Coordinates to Image Coordinates.
Public method | ScaledRectangle | Scales a rectangle from Network Coordinates to Image Coordinates.
Public method | UnscaledLocation | Unscales a Online Point from Image Coordinates to Network Coordinates.
Public method | UnscaledRectangle | Unscales a rectangle from Image Coordinates to Network Coordinates.
Back to Top
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | The electrical network model that the TreeGraph is to draw with the Draw function.
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Back to Top
See Also
TreeGraph Class
ElecNetKit.Graphing Namespace


TreeGraph Constructor

TreeGraph Constructor ElecNetKit Documentation
Instantiates a new TreeGraph, with a default image size of 900x700 and a default margin of 20.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TreeGraph()
public TreeGraph()
Public Sub New
Public Sub New
public:
TreeGraph()
public:
TreeGraph()
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


TreeGraph Methods

TreeGraph Methods ElecNetKit Documentation
The TreeGraph type exposes the following members.
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location.
Public method | ScaledLocation | Scales a Online Point from Network Coordinates to Image Coordinates.
Public method | ScaledRectangle | Scales a rectangle from Network Coordinates to Image Coordinates.
Public method | UnscaledLocation | Unscales a Online Point from Image Coordinates to Network Coordinates.
Public method | UnscaledRectangle | Unscales a rectangle from Image Coordinates to Network Coordinates.
Back to Top
See Also
TreeGraph Class
ElecNetKit.Graphing Namespace


Draw Method

TreeGraph Draw Method ElecNetKit Documentation
Draws the graph for the NetworkModel provided by Network.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public abstract Visual Draw()
public abstract Visual Draw()
Public MustOverride Function Draw As Visual
Public MustOverride Function Draw As Visual
public:
virtual Visual^ Draw() abstract
public:
virtual Visual^ Draw() abstract
Return Value
A   Online Visual that contains the completed graph.
Implements
INetworkGraph Draw
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


GetObjectAtLocation Method

TreeGraph GetObjectAtLocation Method ElecNetKit Documentation
Finds the network element at the specified (device-independent) pixel location.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual NetworkElement GetObjectAtLocation(
    Point Location
)
public virtual NetworkElement GetObjectAtLocation(
    Point Location
)
Public Overridable Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
Public Overridable Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
public:
virtual NetworkElement^ GetObjectAtLocation(
    Point Location
)
public:
virtual NetworkElement^ GetObjectAtLocation(
    Point Location
)
Parameters
Location
Type:   Online System.Windows Point
the pixel to find a NetworkElement at.
Return Value
The NetworkElement nearest the pixel.
Implements
IElementLocatable GetObjectAtLocation(Point)
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


ScaledLocation Method

TreeGraph ScaledLocation Method ElecNetKit Documentation
Scales a Online Point from Network Coordinates to Image Coordinates.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Point ScaledLocation(
    Point location
)
public Point ScaledLocation(
    Point location
)
Public Function ScaledLocation ( _
    location As Point _
) As Point
Public Function ScaledLocation ( _
    location As Point _
) As Point
public:
Point ScaledLocation(
    Point location
)
public:
Point ScaledLocation(
    Point location
)
Parameters
location
Type:   Online System.Windows Point
The point to scale, in Network Coordinates.
Return Value
The point, in Image Coordinates.
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


ScaledRectangle Method

TreeGraph ScaledRectangle Method ElecNetKit Documentation
Scales a rectangle from Network Coordinates to Image Coordinates.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Rect ScaledRectangle(
    Rect NetworkCoords
)
public Rect ScaledRectangle(
    Rect NetworkCoords
)
Public Function ScaledRectangle ( _
    NetworkCoords As Rect _
) As Rect
Public Function ScaledRectangle ( _
    NetworkCoords As Rect _
) As Rect
public:
Rect ScaledRectangle(
    Rect NetworkCoords
)
public:
Rect ScaledRectangle(
    Rect NetworkCoords
)
Parameters
NetworkCoords
Type:   Online System.Windows Rect
A rectangle, in Network Coordinates.
Return Value
The same rectange, in Image Coordinates.
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


UnscaledLocation Method

TreeGraph UnscaledLocation Method ElecNetKit Documentation
Unscales a Online Point from Image Coordinates to Network Coordinates.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Point UnscaledLocation(
    Point location
)
public Point UnscaledLocation(
    Point location
)
Public Function UnscaledLocation ( _
    location As Point _
) As Point
Public Function UnscaledLocation ( _
    location As Point _
) As Point
public:
Point UnscaledLocation(
    Point location
)
public:
Point UnscaledLocation(
    Point location
)
Parameters
location
Type:   Online System.Windows Point
The point to unscale, in Image Coordinates.
Return Value
The same point, in Network Coordinates.
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


UnscaledRectangle Method

TreeGraph UnscaledRectangle Method ElecNetKit Documentation
Unscales a rectangle from Image Coordinates to Network Coordinates.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Rect UnscaledRectangle(
    Rect ImgCoords
)
public Rect UnscaledRectangle(
    Rect ImgCoords
)
Public Function UnscaledRectangle ( _
    ImgCoords As Rect _
) As Rect
Public Function UnscaledRectangle ( _
    ImgCoords As Rect _
) As Rect
public:
Rect UnscaledRectangle(
    Rect ImgCoords
)
public:
Rect UnscaledRectangle(
    Rect ImgCoords
)
Parameters
ImgCoords
Type:   Online System.Windows Rect
A rectangle, in Image Coordinates.
Return Value
The same rectange, in Network Coordinates.
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


TreeGraph Properties

TreeGraph Properties ElecNetKit Documentation
The TreeGraph type exposes the following members.
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | The electrical network model that the TreeGraph is to draw with the Draw function.
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Back to Top
See Also
TreeGraph Class
ElecNetKit.Graphing Namespace


ImgCoords Property

TreeGraph ImgCoords Property ElecNetKit Documentation
The coordinates within which the image is to be displayed.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Rect ImgCoords { get; set; }
public Rect ImgCoords { get; set; }
Public Property ImgCoords As Rect
    Get
    Set
Public Property ImgCoords As Rect
    Get
    Set
public:
virtual property Rect ImgCoords {
    Rect get () sealed;
    void set (Rect value) sealed;
}
public:
virtual property Rect ImgCoords {
    Rect get () sealed;
    void set (Rect value) sealed;
}
Implements
INetworkGraph ImgCoords
Remarks
The INetworkGraph should confine all drawing
            to within the coordinates given by ImgCoords, shrunk by
            the values of the Margin property.
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


Margin Property

TreeGraph Margin Property ElecNetKit Documentation
A margin around the edge of the graph.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Thickness Margin { get; set; }
public Thickness Margin { get; set; }
Public Property Margin As Thickness
    Get
    Set
Public Property Margin As Thickness
    Get
    Set
public:
virtual property Thickness Margin {
    Thickness get () sealed;
    void set (Thickness value) sealed;
}
public:
virtual property Thickness Margin {
    Thickness get () sealed;
    void set (Thickness value) sealed;
}
Implements
INetworkGraph Margin
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


Network Property

TreeGraph Network Property ElecNetKit Documentation
The electrical network model that the TreeGraph is to draw with the Draw function.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkModel Network { get; set; }
public NetworkModel Network { get; set; }
Public Property Network As NetworkModel
    Get
    Set
Public Property Network As NetworkModel
    Get
    Set
public:
virtual property NetworkModel^ Network {
    NetworkModel^ get () sealed;
    void set (NetworkModel^ value) sealed;
}
public:
virtual property NetworkModel^ Network {
    NetworkModel^ get () sealed;
    void set (NetworkModel^ value) sealed;
}
Implements
INetworkGraph Network
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


PresentationMode Property

TreeGraph PresentationMode Property ElecNetKit Documentation
If true, specifies that the graph should be drawn in presentation mode.

Namespace: ElecNetKit.Graphing
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool PresentationMode { get; set; }
public bool PresentationMode { get; set; }
Public Property PresentationMode As Boolean
    Get
    Set
Public Property PresentationMode As Boolean
    Get
    Set
public:
virtual property bool PresentationMode {
    bool get () sealed;
    void set (bool value) sealed;
}
public:
virtual property bool PresentationMode {
    bool get () sealed;
    void set (bool value) sealed;
}
Implements
IPresentationMode PresentationMode
See Also
TreeGraph Class
TreeGraph Members
ElecNetKit.Graphing Namespace


ElecNetKit.Graphing.AdaptiveGradients Namespace

ElecNetKit.Graphing.AdaptiveGradients Namespace ElecNetKit Documentation
The ElecNetKit.Graphing.AdaptiveGradients namespace contains classes that provide Adaptive Gradient capabilities to electrical network graphs.
Classes
 | Class | Description
Public class | AdaptiveGradient | Provides functions for building gradients around data. Colours can be anchored to not only fixed data points (see StaticValue), but also to the minimum value (MinValue) and maximum value (MaxValue) of the data-set, for example.
Public class | AdaptiveGradientMap T | Maps inputs to coloured objects based on an AdaptiveGradient.
Public class | AdaptiveGradientMapBuilder | Builds AdaptiveGradientMap T s from AdaptiveGradients.
Public class | AdaptiveGradientStop | Represents a Gradient Stop, comprised of a Color and an Anchor.
Public class | MaxValue | Anchors a gradient stop at the Maximum value in the data set.
Public class | MinValue | Anchors a gradient stop at the Minimum value in the data set.
Public class | StaticValue | Anchors a gradient stop to a static value.
Interfaces
 | Interface | Description
Public interface | IAdaptiveGradientAnchor | An Adaptive Gradient Anchor. Adaptive Gradients use these to determine postition of Gradient Stops. IAdaptiveGradientAnchors process a data set and spit out a specific anchor value. Can be reset and used again.


AdaptiveGradient Class

AdaptiveGradient Class ElecNetKit Documentation
Provides functions for building gradients around data. Colours can be anchored to not only fixed data points (see StaticValue), but also to the minimum value (MinValue) and maximum value (MaxValue) of the data-set, for example.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic List AdaptiveGradientStop
ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradient

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class AdaptiveGradient : List<AdaptiveGradientStop>
public class AdaptiveGradient : List<AdaptiveGradientStop>
Public Class AdaptiveGradient _
    Inherits List(Of AdaptiveGradientStop)
Public Class AdaptiveGradient _
    Inherits List(Of AdaptiveGradientStop)
public ref class AdaptiveGradient : public List<AdaptiveGradientStop^>
public ref class AdaptiveGradient : public List<AdaptiveGradientStop^>
See Also
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradient Members

AdaptiveGradient Members ElecNetKit Documentation

The AdaptiveGradient type exposes the following members.
Constructors
 | Name | Description
Public method | AdaptiveGradient | Instantiates a new AdaptiveGradient.
Back to Top
Methods
 | Name | Description
 | BlueBlackRedGradient | Generate a gradient, with Online Blue at the minimum value of the dataset, Online Black at zero, and Online Red at the maximum. Useful for differential measures.
 | BlueRedGradient | Generate a default gradient, with Online Blue at the minimum value of the dataset and Online Red at the maximum.
Public method | ProcessData | Takes a piece of data to adapt the gradient to, and sends it to all child AdaptiveGradientStops, for adaptation to the new data.
Public method | ResetAutoData | Resets all Auto Data in the gradient.
Back to Top
See Also
AdaptiveGradient Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradient Constructor

AdaptiveGradient Constructor ElecNetKit Documentation
Instantiates a new AdaptiveGradient.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradient()
public AdaptiveGradient()
Public Sub New
Public Sub New
public:
AdaptiveGradient()
public:
AdaptiveGradient()
Remarks

            Note: If you're after a default gradient,
            use BlueRedGradient  or
            BlueBlackRedGradient .
See Also
AdaptiveGradient Class
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradient Methods

AdaptiveGradient Methods ElecNetKit Documentation
The AdaptiveGradient type exposes the following members.
Methods
 | Name | Description
 | BlueBlackRedGradient | Generate a gradient, with Online Blue at the minimum value of the dataset, Online Black at zero, and Online Red at the maximum. Useful for differential measures.
 | BlueRedGradient | Generate a default gradient, with Online Blue at the minimum value of the dataset and Online Red at the maximum.
Public method | ProcessData | Takes a piece of data to adapt the gradient to, and sends it to all child AdaptiveGradientStops, for adaptation to the new data.
Public method | ResetAutoData | Resets all Auto Data in the gradient.
Back to Top
See Also
AdaptiveGradient Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


BlueBlackRedGradient Method

AdaptiveGradient BlueBlackRedGradient Method ElecNetKit Documentation
Generate a gradient, with Online Blue at the minimum value of the dataset, Online Black at zero, and Online Red at the maximum. Useful for differential measures.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static AdaptiveGradient BlueBlackRedGradient()
public static AdaptiveGradient BlueBlackRedGradient()
Public Shared Function BlueBlackRedGradient As AdaptiveGradient
Public Shared Function BlueBlackRedGradient As AdaptiveGradient
public:
static AdaptiveGradient^ BlueBlackRedGradient()
public:
static AdaptiveGradient^ BlueBlackRedGradient()
Return Value
An AdaptiveGradient, ready to go!
See Also
AdaptiveGradient Class
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


BlueRedGradient Method

AdaptiveGradient BlueRedGradient Method ElecNetKit Documentation
Generate a default gradient, with Online Blue at the minimum value of the dataset and Online Red at the maximum.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static AdaptiveGradient BlueRedGradient()
public static AdaptiveGradient BlueRedGradient()
Public Shared Function BlueRedGradient As AdaptiveGradient
Public Shared Function BlueRedGradient As AdaptiveGradient
public:
static AdaptiveGradient^ BlueRedGradient()
public:
static AdaptiveGradient^ BlueRedGradient()
Return Value
A default gradient, auto scaled from blue to red.
See Also
AdaptiveGradient Class
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


ProcessData Method

AdaptiveGradient ProcessData Method ElecNetKit Documentation
Takes a piece of data to adapt the gradient to, and sends it to all child AdaptiveGradientStops, for adaptation to the new data.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    double data
)
public void ProcessData(
    double data
)
Public Sub ProcessData ( _
    data As Double _
)
Public Sub ProcessData ( _
    data As Double _
)
public:
void ProcessData(
    double data
)
public:
void ProcessData(
    double data
)
Parameters
data
Type:   Online System Double
The data to process.
See Also
AdaptiveGradient Class
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


ResetAutoData Method

AdaptiveGradient ResetAutoData Method ElecNetKit Documentation
Resets all Auto Data in the gradient.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ResetAutoData()
public void ResetAutoData()
Public Sub ResetAutoData
Public Sub ResetAutoData
public:
void ResetAutoData()
public:
void ResetAutoData()
See Also
AdaptiveGradient Class
AdaptiveGradient Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMap(T) Class

AdaptiveGradientMap T Class ElecNetKit Documentation
Maps inputs to coloured objects based on an AdaptiveGradient.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradientMap T

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class AdaptiveGradientMap<T>
public class AdaptiveGradientMap<T>
Public Class AdaptiveGradientMap(Of T)
Public Class AdaptiveGradientMap(Of T)
generic<typename T>
public ref class AdaptiveGradientMap
generic<typename T>
public ref class AdaptiveGradientMap
Type Parameters
T
The type of object to map to and output.
See Also
AdaptiveGradientMap T  Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMap(T) Members

AdaptiveGradientMap T Members ElecNetKit Documentation

The AdaptiveGradientMap T type exposes the following members.
Constructors
 | Name | Description
Public method | AdaptiveGradientMap T | Make a new AdaptiveGradientMap
Back to Top
Methods
 | Name | Description
Public method | Map | Obtain the nearest coloured match to part of the gradient for the specified value.
Back to Top
See Also
AdaptiveGradientMap T Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMap(T) Constructor

AdaptiveGradientMap T Constructor ElecNetKit Documentation
Make a new AdaptiveGradientMap

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradientMap(
    double[] targetValues,
    T[] options
)
public AdaptiveGradientMap(
    double[] targetValues,
    T[] options
)
Public Sub New ( _
    targetValues As Double(), _
    options As T() _
)
Public Sub New ( _
    targetValues As Double(), _
    options As T() _
)
public:
AdaptiveGradientMap(
    array<double>^ targetValues,
    array<T>^ options
)
public:
AdaptiveGradientMap(
    array<double>^ targetValues,
    array<T>^ options
)
Parameters
targetValues
Type:    Online System Double
A set of target values to interpolate
            between
options
Type:  T
A set of options to choose from (interpolate
            to).
See Also
AdaptiveGradientMap T  Class
AdaptiveGradientMap T  Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMap(T) Methods

AdaptiveGradientMap T Methods ElecNetKit Documentation
The AdaptiveGradientMap T type exposes the following members.
Methods
 | Name | Description
Public method | Map | Obtain the nearest coloured match to part of the gradient for the specified value.
Back to Top
See Also
AdaptiveGradientMap T Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


Map Method

AdaptiveGradientMap T Map Method ElecNetKit Documentation
Obtain the nearest coloured match to part of the gradient for the specified value.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T Map(
    double value
)
public T Map(
    double value
)
Public Function Map ( _
    value As Double _
) As T
Public Function Map ( _
    value As Double _
) As T
public:
T Map(
    double value
)
public:
T Map(
    double value
)
Parameters
value
Type:   Online System Double
The value to interpolate into the gradient.
Return Value
The nearest mapped object.
See Also
AdaptiveGradientMap T  Class
AdaptiveGradientMap T  Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMapBuilder Class

AdaptiveGradientMapBuilder Class ElecNetKit Documentation
Builds AdaptiveGradientMap T s from AdaptiveGradients.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradientMapBuilder

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class AdaptiveGradientMapBuilder
public class AdaptiveGradientMapBuilder
Public Class AdaptiveGradientMapBuilder
Public Class AdaptiveGradientMapBuilder
public ref class AdaptiveGradientMapBuilder
public ref class AdaptiveGradientMapBuilder
See Also
AdaptiveGradientMapBuilder Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMapBuilder Members

AdaptiveGradientMapBuilder Members ElecNetKit Documentation

The AdaptiveGradientMapBuilder type exposes the following members.
Constructors
 | Name | Description
Public method | AdaptiveGradientMapBuilder | Generates AdaptiveGradientMap T s based upon the specified AdaptiveGradient and a number of samples.
Back to Top
Methods
 | Name | Description
Public method | BuildGradientMap T | Builds a gradient map with a transform function.
Back to Top
Properties
 | Name | Description
Public property | NumSamples | The number of samples to provide in the gradient map.
Back to Top
See Also
AdaptiveGradientMapBuilder Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMapBuilder Constructor

AdaptiveGradientMapBuilder Constructor ElecNetKit Documentation
Generates AdaptiveGradientMap T s based upon the specified AdaptiveGradient and a number of samples.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradientMapBuilder(
    AdaptiveGradient gradient,
    uint numSamples = 10
)
public AdaptiveGradientMapBuilder(
    AdaptiveGradient gradient,
    uint numSamples = 10
)
Public Sub New ( _
    gradient As AdaptiveGradient, _
    Optional numSamples As UInteger = 10 _
)
Public Sub New ( _
    gradient As AdaptiveGradient, _
    Optional numSamples As UInteger = 10 _
)
public:
AdaptiveGradientMapBuilder(
    AdaptiveGradient^ gradient,
    unsigned int numSamples = 10
)
public:
AdaptiveGradientMapBuilder(
    AdaptiveGradient^ gradient,
    unsigned int numSamples = 10
)
Parameters
gradient
Type: ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradient
The gradient to generate a map with.
numSamples (Optional)
Type:   Online System UInt32
The number of samples to interpolate on the
            gradient.
See Also
AdaptiveGradientMapBuilder Class
AdaptiveGradientMapBuilder Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMapBuilder Methods

AdaptiveGradientMapBuilder Methods ElecNetKit Documentation
The AdaptiveGradientMapBuilder type exposes the following members.
Methods
 | Name | Description
Public method | BuildGradientMap T | Builds a gradient map with a transform function.
Back to Top
See Also
AdaptiveGradientMapBuilder Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


BuildGradientMap(T) Method

AdaptiveGradientMapBuilder BuildGradientMap T Method ElecNetKit Documentation
Builds a gradient map with a transform function.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradientMap<T> BuildGradientMap<T>(
    Func<Color, T> TransformFunction
)
public AdaptiveGradientMap<T> BuildGradientMap<T>(
    Func<Color, T> TransformFunction
)
Public Function BuildGradientMap(Of T) ( _
    TransformFunction As Func(Of Color, T) _
) As AdaptiveGradientMap(Of T)
Public Function BuildGradientMap(Of T) ( _
    TransformFunction As Func(Of Color, T) _
) As AdaptiveGradientMap(Of T)
public:
generic<typename T>
AdaptiveGradientMap<T>^ BuildGradientMap(
    Func<Color, T>^ TransformFunction
)
public:
generic<typename T>
AdaptiveGradientMap<T>^ BuildGradientMap(
    Func<Color, T>^ TransformFunction
)
Parameters
TransformFunction
Type:   Online System Func    Online Color, T
A function that transforms a   Online Color
            into a T.
Type Parameters
T
The type of AdaptiveGradientMap T
            to build (think   Online Brush,   Online Pen, etc).
Return Value
The corresponding map.
See Also
AdaptiveGradientMapBuilder Class
AdaptiveGradientMapBuilder Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientMapBuilder Properties

AdaptiveGradientMapBuilder Properties ElecNetKit Documentation
The AdaptiveGradientMapBuilder type exposes the following members.
Properties
 | Name | Description
Public property | NumSamples | The number of samples to provide in the gradient map.
Back to Top
See Also
AdaptiveGradientMapBuilder Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


NumSamples Property

AdaptiveGradientMapBuilder NumSamples Property ElecNetKit Documentation
The number of samples to provide in the gradient map.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint NumSamples { get; protected set; }
public uint NumSamples { get; protected set; }
Public Property NumSamples As UInteger
    Get
    Protected Set
Public Property NumSamples As UInteger
    Get
    Protected Set
public:
property unsigned int NumSamples {
    unsigned int get ();
    protected: void set (unsigned int value);
}
public:
property unsigned int NumSamples {
    unsigned int get ();
    protected: void set (unsigned int value);
}
See Also
AdaptiveGradientMapBuilder Class
AdaptiveGradientMapBuilder Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientStop Class

AdaptiveGradientStop Class ElecNetKit Documentation
Represents a Gradient Stop, comprised of a Color and an Anchor.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradientStop

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class AdaptiveGradientStop
public class AdaptiveGradientStop
Public Class AdaptiveGradientStop
Public Class AdaptiveGradientStop
public ref class AdaptiveGradientStop
public ref class AdaptiveGradientStop
See Also
AdaptiveGradientStop Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientStop Members

AdaptiveGradientStop Members ElecNetKit Documentation

The AdaptiveGradientStop type exposes the following members.
Constructors
 | Name | Description
Public method | AdaptiveGradientStop | Instantiates a new AdaptiveGradientStop.
Back to Top
Properties
 | Name | Description
Public property | Anchor | The location of the color stop. Because it's an *Adaptive* Gradient, can be anything that implements the IAdaptiveGradientAnchor interface (any function of a dataset).
Public property | Color | The color of the gradient stop. A gradient lookup at Anchor will return this color.
Back to Top
See Also
AdaptiveGradientStop Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientStop Constructor

AdaptiveGradientStop Constructor ElecNetKit Documentation
Instantiates a new AdaptiveGradientStop.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradientStop(
    Color Color,
    IAdaptiveGradientAnchor Anchor
)
public AdaptiveGradientStop(
    Color Color,
    IAdaptiveGradientAnchor Anchor
)
Public Sub New ( _
    Color As Color, _
    Anchor As IAdaptiveGradientAnchor _
)
Public Sub New ( _
    Color As Color, _
    Anchor As IAdaptiveGradientAnchor _
)
public:
AdaptiveGradientStop(
    Color Color,
    IAdaptiveGradientAnchor^ Anchor
)
public:
AdaptiveGradientStop(
    Color Color,
    IAdaptiveGradientAnchor^ Anchor
)
Parameters
Color
Type:   Online System.Windows.Media Color
The Color of the stop.
Anchor
Type: ElecNetKit.Graphing.AdaptiveGradients IAdaptiveGradientAnchor
The location of the stop.
See Also
AdaptiveGradientStop Class
AdaptiveGradientStop Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


AdaptiveGradientStop Properties

AdaptiveGradientStop Properties ElecNetKit Documentation
The AdaptiveGradientStop type exposes the following members.
Properties
 | Name | Description
Public property | Anchor | The location of the color stop. Because it's an *Adaptive* Gradient, can be anything that implements the IAdaptiveGradientAnchor interface (any function of a dataset).
Public property | Color | The color of the gradient stop. A gradient lookup at Anchor will return this color.
Back to Top
See Also
AdaptiveGradientStop Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


Anchor Property

AdaptiveGradientStop Anchor Property ElecNetKit Documentation
The location of the color stop. Because it's an *Adaptive* Gradient, can be anything that implements the IAdaptiveGradientAnchor interface (any function of a dataset).

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IAdaptiveGradientAnchor Anchor { get; private set; }
public IAdaptiveGradientAnchor Anchor { get; private set; }
Public Property Anchor As IAdaptiveGradientAnchor
    Get
    Private Set
Public Property Anchor As IAdaptiveGradientAnchor
    Get
    Private Set
public:
property IAdaptiveGradientAnchor^ Anchor {
    IAdaptiveGradientAnchor^ get ();
    private: void set (IAdaptiveGradientAnchor^ value);
}
public:
property IAdaptiveGradientAnchor^ Anchor {
    IAdaptiveGradientAnchor^ get ();
    private: void set (IAdaptiveGradientAnchor^ value);
}
See Also
AdaptiveGradientStop Class
AdaptiveGradientStop Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


Color Property

AdaptiveGradientStop Color Property ElecNetKit Documentation
The color of the gradient stop. A gradient lookup at Anchor will return this color.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Color Color { get; private set; }
public Color Color { get; private set; }
Public Property Color As Color
    Get
    Private Set
Public Property Color As Color
    Get
    Private Set
public:
property Color Color {
    Color get ();
    private: void set (Color value);
}
public:
property Color Color {
    Color get ();
    private: void set (Color value);
}
See Also
AdaptiveGradientStop Class
AdaptiveGradientStop Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


IAdaptiveGradientAnchor Interface

IAdaptiveGradientAnchor Interface ElecNetKit Documentation
An Adaptive Gradient Anchor. Adaptive Gradients use these to determine postition of Gradient Stops. IAdaptiveGradientAnchors process a data set and spit out a specific anchor value. Can be reset and used again.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IAdaptiveGradientAnchor
public interface IAdaptiveGradientAnchor
Public Interface IAdaptiveGradientAnchor
Public Interface IAdaptiveGradientAnchor
public interface class IAdaptiveGradientAnchor
public interface class IAdaptiveGradientAnchor
See Also
IAdaptiveGradientAnchor Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


IAdaptiveGradientAnchor Members

IAdaptiveGradientAnchor Members ElecNetKit Documentation

The IAdaptiveGradientAnchor type exposes the following members.
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
IAdaptiveGradientAnchor Interface
ElecNetKit.Graphing.AdaptiveGradients Namespace


IAdaptiveGradientAnchor Methods

IAdaptiveGradientAnchor Methods ElecNetKit Documentation
The IAdaptiveGradientAnchor type exposes the following members.
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
See Also
IAdaptiveGradientAnchor Interface
ElecNetKit.Graphing.AdaptiveGradients Namespace


ProcessData Method

IAdaptiveGradientAnchor ProcessData Method ElecNetKit Documentation
Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void ProcessData(
    double data
)
void ProcessData(
    double data
)
Sub ProcessData ( _
    data As Double _
)
Sub ProcessData ( _
    data As Double _
)
void ProcessData(
    double data
)
void ProcessData(
    double data
)
Parameters
data
Type:   Online System Double
The data to process.
See Also
IAdaptiveGradientAnchor Interface
IAdaptiveGradientAnchor Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


Reset Method

IAdaptiveGradientAnchor Reset Method ElecNetKit Documentation
Prime the Anchor to work on a new set of data.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void Reset()
void Reset()
Sub Reset
Sub Reset
void Reset()
void Reset()
See Also
IAdaptiveGradientAnchor Interface
IAdaptiveGradientAnchor Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


IAdaptiveGradientAnchor Properties

IAdaptiveGradientAnchor Properties ElecNetKit Documentation
The IAdaptiveGradientAnchor type exposes the following members.
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
IAdaptiveGradientAnchor Interface
ElecNetKit.Graphing.AdaptiveGradients Namespace


AnchorValue Property

IAdaptiveGradientAnchor AnchorValue Property ElecNetKit Documentation
The adapted Anchor value, after all the data has been processed.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
double AnchorValue { get; }
double AnchorValue { get; }
ReadOnly Property AnchorValue As Double
    Get
ReadOnly Property AnchorValue As Double
    Get
property double AnchorValue {
    double get ();
}
property double AnchorValue {
    double get ();
}
See Also
IAdaptiveGradientAnchor Interface
IAdaptiveGradientAnchor Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MaxValue Class

MaxValue Class ElecNetKit Documentation
Anchors a gradient stop at the Maximum value in the data set.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients MaxValue

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class MaxValue : IAdaptiveGradientAnchor
public class MaxValue : IAdaptiveGradientAnchor
Public Class MaxValue _
    Implements IAdaptiveGradientAnchor
Public Class MaxValue _
    Implements IAdaptiveGradientAnchor
public ref class MaxValue : IAdaptiveGradientAnchor
public ref class MaxValue : IAdaptiveGradientAnchor
See Also
MaxValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MaxValue Members

MaxValue Members ElecNetKit Documentation

The MaxValue type exposes the following members.
Constructors
 | Name | Description
Public method | MaxValue | Initialises a new MaxValue.
Back to Top
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
MaxValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


MaxValue Constructor

MaxValue Constructor ElecNetKit Documentation
Initialises a new MaxValue.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MaxValue()
public MaxValue()
Public Sub New
Public Sub New
public:
MaxValue()
public:
MaxValue()
See Also
MaxValue Class
MaxValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MaxValue Methods

MaxValue Methods ElecNetKit Documentation
The MaxValue type exposes the following members.
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
See Also
MaxValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


ProcessData Method

MaxValue ProcessData Method ElecNetKit Documentation
Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    double data
)
public void ProcessData(
    double data
)
Public Sub ProcessData ( _
    data As Double _
)
Public Sub ProcessData ( _
    data As Double _
)
public:
virtual void ProcessData(
    double data
) sealed
public:
virtual void ProcessData(
    double data
) sealed
Parameters
data
Type:   Online System Double
The data to process.
Implements
IAdaptiveGradientAnchor ProcessData(Double)
See Also
MaxValue Class
MaxValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


Reset Method

MaxValue Reset Method ElecNetKit Documentation
Prime the Anchor to work on a new set of data.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Reset()
public void Reset()
Public Sub Reset
Public Sub Reset
public:
virtual void Reset() sealed
public:
virtual void Reset() sealed
Implements
IAdaptiveGradientAnchor Reset
See Also
MaxValue Class
MaxValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MaxValue Properties

MaxValue Properties ElecNetKit Documentation
The MaxValue type exposes the following members.
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
MaxValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AnchorValue Property

MaxValue AnchorValue Property ElecNetKit Documentation
The adapted Anchor value, after all the data has been processed.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double AnchorValue { get; }
public double AnchorValue { get; }
Public ReadOnly Property AnchorValue As Double
    Get
Public ReadOnly Property AnchorValue As Double
    Get
public:
virtual property double AnchorValue {
    double get () sealed;
}
public:
virtual property double AnchorValue {
    double get () sealed;
}
Implements
IAdaptiveGradientAnchor AnchorValue
See Also
MaxValue Class
MaxValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MinValue Class

MinValue Class ElecNetKit Documentation
Anchors a gradient stop at the Minimum value in the data set.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients MinValue

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class MinValue : IAdaptiveGradientAnchor
public class MinValue : IAdaptiveGradientAnchor
Public Class MinValue _
    Implements IAdaptiveGradientAnchor
Public Class MinValue _
    Implements IAdaptiveGradientAnchor
public ref class MinValue : IAdaptiveGradientAnchor
public ref class MinValue : IAdaptiveGradientAnchor
See Also
MinValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MinValue Members

MinValue Members ElecNetKit Documentation

The MinValue type exposes the following members.
Constructors
 | Name | Description
Public method | MinValue | Initialises a new MinValue.
Back to Top
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
MinValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


MinValue Constructor

MinValue Constructor ElecNetKit Documentation
Initialises a new MinValue.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MinValue()
public MinValue()
Public Sub New
Public Sub New
public:
MinValue()
public:
MinValue()
See Also
MinValue Class
MinValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MinValue Methods

MinValue Methods ElecNetKit Documentation
The MinValue type exposes the following members.
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
See Also
MinValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


ProcessData Method

MinValue ProcessData Method ElecNetKit Documentation
Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    double data
)
public void ProcessData(
    double data
)
Public Sub ProcessData ( _
    data As Double _
)
Public Sub ProcessData ( _
    data As Double _
)
public:
virtual void ProcessData(
    double data
) sealed
public:
virtual void ProcessData(
    double data
) sealed
Parameters
data
Type:   Online System Double
The data to process.
Implements
IAdaptiveGradientAnchor ProcessData(Double)
See Also
MinValue Class
MinValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


Reset Method

MinValue Reset Method ElecNetKit Documentation
Prime the Anchor to work on a new set of data.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Reset()
public void Reset()
Public Sub Reset
Public Sub Reset
public:
virtual void Reset() sealed
public:
virtual void Reset() sealed
Implements
IAdaptiveGradientAnchor Reset
See Also
MinValue Class
MinValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


MinValue Properties

MinValue Properties ElecNetKit Documentation
The MinValue type exposes the following members.
Properties
 | Name | Description
Public property | AnchorValue | The adapted Anchor value, after all the data has been processed.
Back to Top
See Also
MinValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AnchorValue Property

MinValue AnchorValue Property ElecNetKit Documentation
The adapted Anchor value, after all the data has been processed.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double AnchorValue { get; }
public double AnchorValue { get; }
Public ReadOnly Property AnchorValue As Double
    Get
Public ReadOnly Property AnchorValue As Double
    Get
public:
virtual property double AnchorValue {
    double get () sealed;
}
public:
virtual property double AnchorValue {
    double get () sealed;
}
Implements
IAdaptiveGradientAnchor AnchorValue
See Also
MinValue Class
MinValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


StaticValue Class

StaticValue Class ElecNetKit Documentation
Anchors a gradient stop to a static value.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.AdaptiveGradients StaticValue

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class StaticValue : IAdaptiveGradientAnchor
public class StaticValue : IAdaptiveGradientAnchor
Public Class StaticValue _
    Implements IAdaptiveGradientAnchor
Public Class StaticValue _
    Implements IAdaptiveGradientAnchor
public ref class StaticValue : IAdaptiveGradientAnchor
public ref class StaticValue : IAdaptiveGradientAnchor
See Also
StaticValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


StaticValue Members

StaticValue Members ElecNetKit Documentation

The StaticValue type exposes the following members.
Constructors
 | Name | Description
Public method | StaticValue | Initialise a new StaticValue gradient anchor.
Back to Top
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
Properties
 | Name | Description
Public property | AnchorValue | The value that the anchor is fixed to.
Back to Top
See Also
StaticValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


StaticValue Constructor

StaticValue Constructor ElecNetKit Documentation
Initialise a new StaticValue gradient anchor.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public StaticValue(
    double d
)
public StaticValue(
    double d
)
Public Sub New ( _
    d As Double _
)
Public Sub New ( _
    d As Double _
)
public:
StaticValue(
    double d
)
public:
StaticValue(
    double d
)
Parameters
d
Type:   Online System Double
The fixed value to anchor the gradient stop to.
See Also
StaticValue Class
StaticValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


StaticValue Methods

StaticValue Methods ElecNetKit Documentation
The StaticValue type exposes the following members.
Methods
 | Name | Description
Public method | ProcessData | Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.
Public method | Reset | Prime the Anchor to work on a new set of data.
Back to Top
See Also
StaticValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


ProcessData Method

StaticValue ProcessData Method ElecNetKit Documentation
Process a single item of data. Do whatever you need to do with it To spit out a dataset-adapted value.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    double data
)
public void ProcessData(
    double data
)
Public Sub ProcessData ( _
    data As Double _
)
Public Sub ProcessData ( _
    data As Double _
)
public:
virtual void ProcessData(
    double data
) sealed
public:
virtual void ProcessData(
    double data
) sealed
Parameters
data
Type:   Online System Double
The data to process.
Implements
IAdaptiveGradientAnchor ProcessData(Double)
See Also
StaticValue Class
StaticValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


Reset Method

StaticValue Reset Method ElecNetKit Documentation
Prime the Anchor to work on a new set of data.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Reset()
public void Reset()
Public Sub Reset
Public Sub Reset
public:
virtual void Reset() sealed
public:
virtual void Reset() sealed
Implements
IAdaptiveGradientAnchor Reset
See Also
StaticValue Class
StaticValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


StaticValue Properties

StaticValue Properties ElecNetKit Documentation
The StaticValue type exposes the following members.
Properties
 | Name | Description
Public property | AnchorValue | The value that the anchor is fixed to.
Back to Top
See Also
StaticValue Class
ElecNetKit.Graphing.AdaptiveGradients Namespace


AnchorValue Property

StaticValue AnchorValue Property ElecNetKit Documentation
The value that the anchor is fixed to.

Namespace: ElecNetKit.Graphing.AdaptiveGradients
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double AnchorValue { get; set; }
public double AnchorValue { get; set; }
Public Property AnchorValue As Double
    Get
    Set
Public Property AnchorValue As Double
    Get
    Set
public:
virtual property double AnchorValue {
    double get () sealed;
    void set (double value) sealed;
}
public:
virtual property double AnchorValue {
    double get () sealed;
    void set (double value) sealed;
}
Implements
IAdaptiveGradientAnchor AnchorValue
See Also
StaticValue Class
StaticValue Members
ElecNetKit.Graphing.AdaptiveGradients Namespace


ElecNetKit.Graphing.Controls Namespace

ElecNetKit.Graphing.Controls Namespace ElecNetKit Documentation
The ElecNetKit.Graphing.Controls namespace contains controls that assist with the layout and display of INetworkGraphs within Windows Presentation Foundation (WPF) applications.
Classes
 | Class | Description
Public class | GraphHost | A WPF control that can display one INetworkGraph, and handles layout, redrawing etc. Simply assign an INetworkGraph to the Graph property and you're good to go.
Public class | GraphHostWindow | Enables pop-up INetworkGraphs to be displayed from a console or GUI application with minimum fuss.
Public class | VisualHost | A control that can display one Online Visual, and handles layout accordingly.


GraphHost Class

GraphHost Class ElecNetKit Documentation
A WPF control that can display one INetworkGraph, and handles layout, redrawing etc. Simply assign an INetworkGraph to the Graph property and you're good to go.
Inheritance Hierarchy
Online System Object
Online System.Windows.Threading DispatcherObject
Online System.Windows DependencyObject
Online System.Windows.Media Visual
Online System.Windows UIElement
Online System.Windows FrameworkElement
ElecNetKit.Graphing.Controls VisualHost
ElecNetKit.Graphing.Controls GraphHost

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class GraphHost : VisualHost, INotifyPropertyChanged
public class GraphHost : VisualHost, INotifyPropertyChanged
Public Class GraphHost _
    Inherits VisualHost _
    Implements INotifyPropertyChanged
Public Class GraphHost _
    Inherits VisualHost _
    Implements INotifyPropertyChanged
public ref class GraphHost : public VisualHost,
    INotifyPropertyChanged
public ref class GraphHost : public VisualHost,
    INotifyPropertyChanged
Remarks

            Note that NetworkModels don't notify
            of changes, and INetworkGraphs don't notify of changes to their parameters
            either. If you set the Network property, you can force a
            redraw of the graph with the RefreshGraph  method.
See Also
GraphHost Members
ElecNetKit.Graphing.Controls Namespace


GraphHost Members

GraphHost Members ElecNetKit Documentation

The GraphHost type exposes the following members.
Constructors
 | Name | Description
Public method | GraphHost | Instantiates a new GraphHost control.
Back to Top
Methods
 | Name | Description
Public method | ExportPNG | Export the currently displayed content to a PNG file. (Inherited from VisualHost.)
Public method | ExportXPS | Export the currently displayed content to an xps (vector format) file. (Inherited from VisualHost.)
Protected method | GetVisualChild | Provide a required override for the GetVisualChild(Int32) method. (Inherited from VisualHost.)
Protected method | OnPropertyChanged | Triggers the PropertyChanged event for the specified property name. (Inherited from VisualHost.)
Public method | RefreshGraph | Force a redraw. Useful after setting a parameter of the INetworkGraph assigned in the Graph property, or modifying the Network.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
Properties
 | Name | Description
Public property | Drawing | The Drawing that the VisualHost should render. (Inherited from VisualHost.)
Public property | Graph | The INetworkGraph that should be drawn by the control.
Protected property | VisualChildrenCount | Counts the number of children owned by the host. (Inherited from VisualHost.)
Back to Top
Events
 | Name | Description
Public event | PropertyChanged | Notifies when a property changes. (Inherited from VisualHost.)
Back to Top
See Also
GraphHost Class
ElecNetKit.Graphing.Controls Namespace


GraphHost Constructor

GraphHost Constructor ElecNetKit Documentation
Instantiates a new GraphHost control.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public GraphHost()
public GraphHost()
Public Sub New
Public Sub New
public:
GraphHost()
public:
GraphHost()
See Also
GraphHost Class
GraphHost Members
ElecNetKit.Graphing.Controls Namespace


GraphHost Methods

GraphHost Methods ElecNetKit Documentation
The GraphHost type exposes the following members.
Methods
 | Name | Description
Public method | ExportPNG | Export the currently displayed content to a PNG file. (Inherited from VisualHost.)
Public method | ExportXPS | Export the currently displayed content to an xps (vector format) file. (Inherited from VisualHost.)
Protected method | GetVisualChild | Provide a required override for the GetVisualChild(Int32) method. (Inherited from VisualHost.)
Protected method | OnPropertyChanged | Triggers the PropertyChanged event for the specified property name. (Inherited from VisualHost.)
Public method | RefreshGraph | Force a redraw. Useful after setting a parameter of the INetworkGraph assigned in the Graph property, or modifying the Network.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
See Also
GraphHost Class
ElecNetKit.Graphing.Controls Namespace


RefreshGraph Method

GraphHost RefreshGraph Method ElecNetKit Documentation
Force a redraw. Useful after setting a parameter of the INetworkGraph assigned in the Graph property, or modifying the Network.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void RefreshGraph()
public void RefreshGraph()
Public Sub RefreshGraph
Public Sub RefreshGraph
public:
void RefreshGraph()
public:
void RefreshGraph()
See Also
GraphHost Class
GraphHost Members
ElecNetKit.Graphing.Controls Namespace


GraphHost Properties

GraphHost Properties ElecNetKit Documentation
The GraphHost type exposes the following members.
Properties
 | Name | Description
Public property | Drawing | The Drawing that the VisualHost should render. (Inherited from VisualHost.)
Public property | Graph | The INetworkGraph that should be drawn by the control.
Protected property | VisualChildrenCount | Counts the number of children owned by the host. (Inherited from VisualHost.)
Back to Top
See Also
GraphHost Class
ElecNetKit.Graphing.Controls Namespace


Graph Property

GraphHost Graph Property ElecNetKit Documentation
The INetworkGraph that should be drawn by the control.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public INetworkGraph Graph { get; set; }
public INetworkGraph Graph { get; set; }
Public Property Graph As INetworkGraph
    Get
    Set
Public Property Graph As INetworkGraph
    Get
    Set
public:
property INetworkGraph^ Graph {
    INetworkGraph^ get ();
    void set (INetworkGraph^ value);
}
public:
property INetworkGraph^ Graph {
    INetworkGraph^ get ();
    void set (INetworkGraph^ value);
}
See Also
GraphHost Class
GraphHost Members
ElecNetKit.Graphing.Controls Namespace


GraphHost Events

GraphHost Events ElecNetKit Documentation
The GraphHost type exposes the following members.
Events
 | Name | Description
Public event | PropertyChanged | Notifies when a property changes. (Inherited from VisualHost.)
Back to Top
See Also
GraphHost Class
ElecNetKit.Graphing.Controls Namespace


GraphHostWindow Class

GraphHostWindow Class ElecNetKit Documentation
Enables pop-up INetworkGraphs to be displayed from a console or GUI application with minimum fuss.
Inheritance Hierarchy
Online System Object
Online System.Windows.Threading DispatcherObject
Online System.Windows DependencyObject
Online System.Windows.Media Visual
Online System.Windows UIElement
Online System.Windows FrameworkElement
Online System.Windows.Controls Control
Online System.Windows.Controls ContentControl
Online System.Windows Window
ElecNetKit.Graphing.Controls GraphHostWindow

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class GraphHostWindow : Window
public class GraphHostWindow : Window
Public Class GraphHostWindow _
    Inherits Window
Public Class GraphHostWindow _
    Inherits Window
public ref class GraphHostWindow : public Window
public ref class GraphHostWindow : public Window
Remarks
When displaying graphs from a console application, you can use
            StartGraphHostWindow(INetworkGraph) instead of instantiating a new
            GraphHostWindow.
            Alternatively, if you require a reference to a GraphHostWindow,
            you can mark the application entry point (usually Main()) with
              Online STAThreadAttribute. See   Online The calling thread must be STA for more information.
See Also
GraphHostWindow Members
ElecNetKit.Graphing.Controls Namespace


GraphHostWindow Members

GraphHostWindow Members ElecNetKit Documentation

The GraphHostWindow type exposes the following members.
Constructors
 | Name | Description
Public method | GraphHostWindow | Instantiates a new GraphHostWindow.
Back to Top
Methods
 | Name | Description
Public method | RefreshGraph | Forces a refresh of the graph displayed in the window.
 | StartGraphHostWindow | Starts a GraphHostWindow with the specified Graph in a new, Single-Threaded Apartment (STA) thread.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
Properties
 | Name | Description
Public property | Graph | The INetworkGraph to be displayed by the window.
Back to Top
See Also
GraphHostWindow Class
ElecNetKit.Graphing.Controls Namespace


GraphHostWindow Constructor

GraphHostWindow Constructor ElecNetKit Documentation
Instantiates a new GraphHostWindow.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public GraphHostWindow()
public GraphHostWindow()
Public Sub New
Public Sub New
public:
GraphHostWindow()
public:
GraphHostWindow()
See Also
GraphHostWindow Class
GraphHostWindow Members
ElecNetKit.Graphing.Controls Namespace


GraphHostWindow Methods

GraphHostWindow Methods ElecNetKit Documentation
The GraphHostWindow type exposes the following members.
Methods
 | Name | Description
Public method | RefreshGraph | Forces a refresh of the graph displayed in the window.
 | StartGraphHostWindow | Starts a GraphHostWindow with the specified Graph in a new, Single-Threaded Apartment (STA) thread.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
See Also
GraphHostWindow Class
ElecNetKit.Graphing.Controls Namespace


RefreshGraph Method

GraphHostWindow RefreshGraph Method ElecNetKit Documentation
Forces a refresh of the graph displayed in the window.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void RefreshGraph()
public void RefreshGraph()
Public Sub RefreshGraph
Public Sub RefreshGraph
public:
void RefreshGraph()
public:
void RefreshGraph()
See Also
GraphHostWindow Class
GraphHostWindow Members
ElecNetKit.Graphing.Controls Namespace


StartGraphHostWindow Method

GraphHostWindow StartGraphHostWindow Method ElecNetKit Documentation
Starts a GraphHostWindow with the specified Graph in a new, Single-Threaded Apartment (STA) thread.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void StartGraphHostWindow(
    INetworkGraph Graph
)
public static void StartGraphHostWindow(
    INetworkGraph Graph
)
Public Shared Sub StartGraphHostWindow ( _
    Graph As INetworkGraph _
)
Public Shared Sub StartGraphHostWindow ( _
    Graph As INetworkGraph _
)
public:
static void StartGraphHostWindow(
    INetworkGraph^ Graph
)
public:
static void StartGraphHostWindow(
    INetworkGraph^ Graph
)
Parameters
Graph
Type: ElecNetKit.Graphing INetworkGraph
The graph that should be displayed.
See Also
GraphHostWindow Class
GraphHostWindow Members
ElecNetKit.Graphing.Controls Namespace


GraphHostWindow Properties

GraphHostWindow Properties ElecNetKit Documentation
The GraphHostWindow type exposes the following members.
Properties
 | Name | Description
Public property | Graph | The INetworkGraph to be displayed by the window.
Back to Top
See Also
GraphHostWindow Class
ElecNetKit.Graphing.Controls Namespace


Graph Property

GraphHostWindow Graph Property ElecNetKit Documentation
The INetworkGraph to be displayed by the window.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public INetworkGraph Graph { get; set; }
public INetworkGraph Graph { get; set; }
Public Property Graph As INetworkGraph
    Get
    Set
Public Property Graph As INetworkGraph
    Get
    Set
public:
property INetworkGraph^ Graph {
    INetworkGraph^ get ();
    void set (INetworkGraph^ value);
}
public:
property INetworkGraph^ Graph {
    INetworkGraph^ get ();
    void set (INetworkGraph^ value);
}
See Also
GraphHostWindow Class
GraphHostWindow Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Class

VisualHost Class ElecNetKit Documentation
A control that can display one Online Visual, and handles layout accordingly.
Inheritance Hierarchy
Online System Object
Online System.Windows.Threading DispatcherObject
Online System.Windows DependencyObject
Online System.Windows.Media Visual
Online System.Windows UIElement
Online System.Windows FrameworkElement
ElecNetKit.Graphing.Controls VisualHost
ElecNetKit.Graphing.Controls GraphHost

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class VisualHost : FrameworkElement, INotifyPropertyChanged
public class VisualHost : FrameworkElement, INotifyPropertyChanged
Public Class VisualHost _
    Inherits FrameworkElement _
    Implements INotifyPropertyChanged
Public Class VisualHost _
    Inherits FrameworkElement _
    Implements INotifyPropertyChanged
public ref class VisualHost : public FrameworkElement,
    INotifyPropertyChanged
public ref class VisualHost : public FrameworkElement,
    INotifyPropertyChanged
Remarks

            This control should be used for displaying   Online Visuals generated by
            INetworkGraphs in WPF applications.
            Adapted from http://msdn.microsoft.com/en-us/library/ms742254.aspx
            http://kentb.blogspot.com.au/2008/10/customizing-logical-children.html
            http://msdn.microsoft.com/en-us/library/system.windows.media.visual.removevisualchild.aspx
            http://www.codeproject.com/Articles/34741/Change-Notification-for-Dependency-Properties

See Also
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Members

VisualHost Members ElecNetKit Documentation

The VisualHost type exposes the following members.
Constructors
 | Name | Description
Public method | VisualHost | Instantiates a new VisualHost control.
Back to Top
Methods
 | Name | Description
Public method | ExportPNG | Export the currently displayed content to a PNG file.
Public method | ExportXPS | Export the currently displayed content to an xps (vector format) file.
Protected method | GetVisualChild | Provide a required override for the GetVisualChild(Int32) method. (Overrides Online FrameworkElement GetVisualChild(Int32).)
Protected method | OnPropertyChanged | Triggers the PropertyChanged event for the specified property name.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
Fields
Name | Description
DrawingProperty | DependencyProperty backing the only child Drawing of the VisualHost.
Back to Top
Properties
 | Name | Description
Public property | Drawing | The Drawing that the VisualHost should render.
Protected property | VisualChildrenCount | Counts the number of children owned by the host. (Overrides Online FrameworkElement VisualChildrenCount.)
Back to Top
Events
 | Name | Description
Public event | PropertyChanged | Notifies when a property changes.
Back to Top
See Also
VisualHost Class
ElecNetKit.Graphing.Controls Namespace


VisualHost Constructor

VisualHost Constructor ElecNetKit Documentation
Instantiates a new VisualHost control.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public VisualHost()
public VisualHost()
Public Sub New
Public Sub New
public:
VisualHost()
public:
VisualHost()
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Fields

VisualHost Fields ElecNetKit Documentation
The VisualHost type exposes the following members.
Fields
Name | Description
DrawingProperty | DependencyProperty backing the only child Drawing of the VisualHost.
Back to Top
See Also
VisualHost Class
ElecNetKit.Graphing.Controls Namespace


DrawingProperty Field

VisualHost DrawingProperty Field ElecNetKit Documentation
DependencyProperty backing the only child Drawing of the VisualHost.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static readonly DependencyProperty DrawingProperty
public static readonly DependencyProperty DrawingProperty
Public Shared ReadOnly DrawingProperty As DependencyProperty
Public Shared ReadOnly DrawingProperty As DependencyProperty
public:
static initonly DependencyProperty^ DrawingProperty
public:
static initonly DependencyProperty^ DrawingProperty
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Methods

VisualHost Methods ElecNetKit Documentation
The VisualHost type exposes the following members.
Methods
 | Name | Description
Public method | ExportPNG | Export the currently displayed content to a PNG file.
Public method | ExportXPS | Export the currently displayed content to an xps (vector format) file.
Protected method | GetVisualChild | Provide a required override for the GetVisualChild(Int32) method. (Overrides Online FrameworkElement GetVisualChild(Int32).)
Protected method | OnPropertyChanged | Triggers the PropertyChanged event for the specified property name.
Back to Top
Extension Methods
 | Name | Description
Public Extension Method | SaveVisualToByteArray | Store a visual in an array of bytes. (Defined by DrawingVisualSerialisers.)
Back to Top
See Also
VisualHost Class
ElecNetKit.Graphing.Controls Namespace


ExportPNG Method

VisualHost ExportPNG Method ElecNetKit Documentation
Export the currently displayed content to a PNG file.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ExportPNG(
    string path,
    int dpi = 96
)
public void ExportPNG(
    string path,
    int dpi = 96
)
Public Sub ExportPNG ( _
    path As String, _
    Optional dpi As Integer = 96 _
)
Public Sub ExportPNG ( _
    path As String, _
    Optional dpi As Integer = 96 _
)
public:
void ExportPNG(
    String^ path,
    int dpi = 96
)
public:
void ExportPNG(
    String^ path,
    int dpi = 96
)
Parameters
path
Type:   Online System String
The path to export to
dpi (Optional)
Type:   Online System Int32
The dpi of the png, defaults to 96.
Remarks
Adapted from http://msdn.microsoft.com/en-us/library/aa969819.aspx.

See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


ExportXPS Method

VisualHost ExportXPS Method ElecNetKit Documentation
Export the currently displayed content to an xps (vector format) file.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ExportXPS(
    Uri path
)
public void ExportXPS(
    Uri path
)
Public Sub ExportXPS ( _
    path As Uri _
)
Public Sub ExportXPS ( _
    path As Uri _
)
public:
void ExportXPS(
    Uri^ path
)
public:
void ExportXPS(
    Uri^ path
)
Parameters
path
Type:   Online System Uri
The .xps file to export to.
Remarks

            Adapted from http://denisvuyka.wordpress.com/2007/12/03/wpf-diagramming-saving-you-canvas-to-image-xps-document-or-raw-xaml/.

See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


GetVisualChild Method

VisualHost GetVisualChild Method ElecNetKit Documentation
Provide a required override for the GetVisualChild(Int32) method.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override Visual GetVisualChild(
    int index
)
protected override Visual GetVisualChild(
    int index
)
Protected Overrides Function GetVisualChild ( _
    index As Integer _
) As Visual
Protected Overrides Function GetVisualChild ( _
    index As Integer _
) As Visual
protected:
virtual Visual^ GetVisualChild(
    int index
) override
protected:
virtual Visual^ GetVisualChild(
    int index
) override
Parameters
index
Type:   Online System Int32
The index of child to return.
Return Value
The appropriate child.
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


OnPropertyChanged Method

VisualHost OnPropertyChanged Method ElecNetKit Documentation
Triggers the PropertyChanged event for the specified property name.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void OnPropertyChanged(
    string name
)
protected void OnPropertyChanged(
    string name
)
Protected Sub OnPropertyChanged ( _
    name As String _
)
Protected Sub OnPropertyChanged ( _
    name As String _
)
protected:
void OnPropertyChanged(
    String^ name
)
protected:
void OnPropertyChanged(
    String^ name
)
Parameters
name
Type:   Online System String
The name of the property that has changed.
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Properties

VisualHost Properties ElecNetKit Documentation
The VisualHost type exposes the following members.
Properties
 | Name | Description
Public property | Drawing | The Drawing that the VisualHost should render.
Protected property | VisualChildrenCount | Counts the number of children owned by the host. (Overrides Online FrameworkElement VisualChildrenCount.)
Back to Top
See Also
VisualHost Class
ElecNetKit.Graphing.Controls Namespace


Drawing Property

VisualHost Drawing Property ElecNetKit Documentation
The Drawing that the VisualHost should render.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Visual Drawing { get; set; }
public Visual Drawing { get; set; }
Public Property Drawing As Visual
    Get
    Set
Public Property Drawing As Visual
    Get
    Set
public:
property Visual^ Drawing {
    Visual^ get ();
    void set (Visual^ value);
}
public:
property Visual^ Drawing {
    Visual^ get ();
    void set (Visual^ value);
}
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualChildrenCount Property

VisualHost VisualChildrenCount Property ElecNetKit Documentation
Counts the number of children owned by the host.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected override int VisualChildrenCount { get; }
protected override int VisualChildrenCount { get; }
Protected Overrides ReadOnly Property VisualChildrenCount As Integer
    Get
Protected Overrides ReadOnly Property VisualChildrenCount As Integer
    Get
protected:
virtual property int VisualChildrenCount {
    int get () override;
}
protected:
virtual property int VisualChildrenCount {
    int get () override;
}
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


VisualHost Events

VisualHost Events ElecNetKit Documentation
The VisualHost type exposes the following members.
Events
 | Name | Description
Public event | PropertyChanged | Notifies when a property changes.
Back to Top
See Also
VisualHost Class
ElecNetKit.Graphing.Controls Namespace


PropertyChanged Event

VisualHost PropertyChanged Event ElecNetKit Documentation
Notifies when a property changes.

Namespace: ElecNetKit.Graphing.Controls
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public event PropertyChangedEventHandler PropertyChanged
public event PropertyChangedEventHandler PropertyChanged
Public Event PropertyChanged As PropertyChangedEventHandler
Public Event PropertyChanged As PropertyChangedEventHandler
public:
virtual  event PropertyChangedEventHandler^ PropertyChanged {
    void add (PropertyChangedEventHandler^ value);
    void remove (PropertyChangedEventHandler^ value);
}
public:
virtual  event PropertyChangedEventHandler^ PropertyChanged {
    void add (PropertyChangedEventHandler^ value);
    void remove (PropertyChangedEventHandler^ value);
}
Implements
  Online INotifyPropertyChanged PropertyChanged
See Also
VisualHost Class
VisualHost Members
ElecNetKit.Graphing.Controls Namespace


ElecNetKit.Graphing.Graphs Namespace

ElecNetKit.Graphing.Graphs Namespace ElecNetKit Documentation
The ElecNetKit.Graphing.Graphs namespace contains pre-defined graphs that enable the rapid visualisation of network characteristics.
Classes
 | Class | Description
Public class | FeederProfileGraph | Draws feeder profile graphs - plots of line voltage (pu) against length from source bus.
Public class | ValueTransformableTreeGraph | A network topology graph that automatically manages element positioning and allows element representation to be controlled through Value Transforms.


FeederProfileGraph Class

FeederProfileGraph Class ElecNetKit Documentation
Draws feeder profile graphs - plots of line voltage (pu) against length from source bus.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.Graphs FeederProfileGraph

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class FeederProfileGraph : IPresentationMode,
    INetworkGraph, IElementSelectable
public class FeederProfileGraph : IPresentationMode,
    INetworkGraph, IElementSelectable
Public Class FeederProfileGraph _
    Implements IPresentationMode, INetworkGraph, IElementSelectable
Public Class FeederProfileGraph _
    Implements IPresentationMode, INetworkGraph, IElementSelectable
public ref class FeederProfileGraph : IPresentationMode,
    INetworkGraph, IElementSelectable
public ref class FeederProfileGraph : IPresentationMode,
    INetworkGraph, IElementSelectable
Remarks

            Only certain lines are displayed, dependant on the SelectedElement.
            The following lines are displayed:

  • All lines that are connected between SelectedElement and SourceBus, and
  • All lines from the SelectedElement away from the SourceBus.

            This structure allows the SelectedElement to be varied along the feeder to obtain different levels of focus.

See Also
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


FeederProfileGraph Members

FeederProfileGraph Members ElecNetKit Documentation

The FeederProfileGraph type exposes the following members.
Constructors
 | Name | Description
Public method | FeederProfileGraph | Instantiates a new FeederProfileGraph.
Back to Top
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Back to Top
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | An electrical network model to render.
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Public property | SelectedElement | The NetworkElement that will be used to vary, modify or focus the graph.
Back to Top
See Also
FeederProfileGraph Class
ElecNetKit.Graphing.Graphs Namespace


FeederProfileGraph Constructor

FeederProfileGraph Constructor ElecNetKit Documentation
Instantiates a new FeederProfileGraph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public FeederProfileGraph()
public FeederProfileGraph()
Public Sub New
Public Sub New
public:
FeederProfileGraph()
public:
FeederProfileGraph()
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


FeederProfileGraph Methods

FeederProfileGraph Methods ElecNetKit Documentation
The FeederProfileGraph type exposes the following members.
Methods
 | Name | Description
Public method | Draw | Draws the graph for the NetworkModel provided by Network.
Back to Top
See Also
FeederProfileGraph Class
ElecNetKit.Graphing.Graphs Namespace


Draw Method

FeederProfileGraph Draw Method ElecNetKit Documentation
Draws the graph for the NetworkModel provided by Network.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Visual Draw()
public Visual Draw()
Public Function Draw As Visual
Public Function Draw As Visual
public:
virtual Visual^ Draw() sealed
public:
virtual Visual^ Draw() sealed
Return Value
A   Online Visual that contains the completed graph.
Implements
INetworkGraph Draw
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


FeederProfileGraph Properties

FeederProfileGraph Properties ElecNetKit Documentation
The FeederProfileGraph type exposes the following members.
Properties
 | Name | Description
Public property | ImgCoords | The coordinates within which the image is to be displayed.
Public property | Margin | A margin around the edge of the graph.
Public property | Network | An electrical network model to render.
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode.
Public property | SelectedElement | The NetworkElement that will be used to vary, modify or focus the graph.
Back to Top
See Also
FeederProfileGraph Class
ElecNetKit.Graphing.Graphs Namespace


ImgCoords Property

FeederProfileGraph ImgCoords Property ElecNetKit Documentation
The coordinates within which the image is to be displayed.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Rect ImgCoords { get; set; }
public Rect ImgCoords { get; set; }
Public Property ImgCoords As Rect
    Get
    Set
Public Property ImgCoords As Rect
    Get
    Set
public:
virtual property Rect ImgCoords {
    Rect get () sealed;
    void set (Rect value) sealed;
}
public:
virtual property Rect ImgCoords {
    Rect get () sealed;
    void set (Rect value) sealed;
}
Implements
INetworkGraph ImgCoords
Remarks
The INetworkGraph should confine all drawing
            to within the coordinates given by ImgCoords, shrunk by
            the values of the Margin property.
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


Margin Property

FeederProfileGraph Margin Property ElecNetKit Documentation
A margin around the edge of the graph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Thickness Margin { get; set; }
public Thickness Margin { get; set; }
Public Property Margin As Thickness
    Get
    Set
Public Property Margin As Thickness
    Get
    Set
public:
virtual property Thickness Margin {
    Thickness get () sealed;
    void set (Thickness value) sealed;
}
public:
virtual property Thickness Margin {
    Thickness get () sealed;
    void set (Thickness value) sealed;
}
Implements
INetworkGraph Margin
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


Network Property

FeederProfileGraph Network Property ElecNetKit Documentation
An electrical network model to render.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkModel Network { get; set; }
public NetworkModel Network { get; set; }
Public Property Network As NetworkModel
    Get
    Set
Public Property Network As NetworkModel
    Get
    Set
public:
virtual property NetworkModel^ Network {
    NetworkModel^ get () sealed;
    void set (NetworkModel^ value) sealed;
}
public:
virtual property NetworkModel^ Network {
    NetworkModel^ get () sealed;
    void set (NetworkModel^ value) sealed;
}
Implements
INetworkGraph Network
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


PresentationMode Property

FeederProfileGraph PresentationMode Property ElecNetKit Documentation
If true, specifies that the graph should be drawn in presentation mode.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool PresentationMode { get; set; }
public bool PresentationMode { get; set; }
Public Property PresentationMode As Boolean
    Get
    Set
Public Property PresentationMode As Boolean
    Get
    Set
public:
virtual property bool PresentationMode {
    bool get () sealed;
    void set (bool value) sealed;
}
public:
virtual property bool PresentationMode {
    bool get () sealed;
    void set (bool value) sealed;
}
Implements
IPresentationMode PresentationMode
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


SelectedElement Property

FeederProfileGraph SelectedElement Property ElecNetKit Documentation
The NetworkElement that will be used to vary, modify or focus the graph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkElement SelectedElement { get; set; }
public NetworkElement SelectedElement { get; set; }
Public Property SelectedElement As NetworkElement
    Get
    Set
Public Property SelectedElement As NetworkElement
    Get
    Set
public:
virtual property NetworkElement^ SelectedElement {
    NetworkElement^ get () sealed;
    void set (NetworkElement^ value) sealed;
}
public:
virtual property NetworkElement^ SelectedElement {
    NetworkElement^ get () sealed;
    void set (NetworkElement^ value) sealed;
}
Implements
IElementSelectable SelectedElement
See Also
FeederProfileGraph Class
FeederProfileGraph Members
ElecNetKit.Graphing.Graphs Namespace


ValueTransformableTreeGraph Class

ValueTransformableTreeGraph Class ElecNetKit Documentation
A network topology graph that automatically manages element positioning and allows element representation to be controlled through Value Transforms.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing TreeGraph
ElecNetKit.Graphing.Graphs ValueTransformableTreeGraph

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ValueTransformableTreeGraph : TreeGraph
public class ValueTransformableTreeGraph : TreeGraph
Public Class ValueTransformableTreeGraph _
    Inherits TreeGraph
Public Class ValueTransformableTreeGraph _
    Inherits TreeGraph
public ref class ValueTransformableTreeGraph : public TreeGraph
public ref class ValueTransformableTreeGraph : public TreeGraph
Remarks
See Also
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


ValueTransformableTreeGraph Members

ValueTransformableTreeGraph Members ElecNetKit Documentation

The ValueTransformableTreeGraph type exposes the following members.
Constructors
 | Name | Description
Public method | ValueTransformableTreeGraph | Instantiates a new ValueTransformableTreeGraph.
Back to Top
Methods
 | Name | Description
Protected method | BuildGradientMap | Builds a gradient map based upon BusColorGradient and BusColorTransform for the data in this network.
Public method | Draw | Draws the graph for the NetworkModel provided by Network. (Overrides TreeGraph Draw .)
Protected method | DrawBuses | Draws all the network buses, using the specified value transforms.
Protected method | DrawLines | Draws all the network lines.
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location. (Overrides TreeGraph GetObjectAtLocation(Point).)
Public method | ScaledLocation | Scales a Online Point from Network Coordinates to Image Coordinates. (Inherited from TreeGraph.)
Public method | ScaledRectangle | Scales a rectangle from Network Coordinates to Image Coordinates. (Inherited from TreeGraph.)
Public method | UnscaledLocation | Unscales a Online Point from Image Coordinates to Network Coordinates. (Inherited from TreeGraph.)
Public method | UnscaledRectangle | Unscales a rectangle from Image Coordinates to Network Coordinates. (Inherited from TreeGraph.)
Back to Top
Properties
 | Name | Description
Public property | BusColorGradient | An adaptive gradient that determines, in conjunction with BusColorTransform, how the buses on the network should be coloured.
Public property | BusColorTransform | A function that transforms Buses into values that are passed to BusColorGradient to determine the colour of buses displayed on the network graph.
Public property | BusSizeMax | The maximum allowable bus size, in pixel radius.
Public property | BusSizeMin | The minimum allowable bus size, in pixel radius.
Public property | BusSizeTransform | A function that controls the size of each Bus.
Public property | BusVisibleTransform | A function that should return true if a supplied Bus should be drawn.
Public property | ImgCoords | The coordinates within which the image is to be displayed. (Inherited from TreeGraph.)
Public property | LineThickness | The thickness of Lines to be drawn on the graph.
Public property | Margin | A margin around the edge of the graph. (Inherited from TreeGraph.)
Public property | Network | The electrical network model that the TreeGraph is to draw with the Draw function. (Inherited from TreeGraph.)
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode. (Inherited from TreeGraph.)
Public property | RingColor | The color of the ring. Constant across all buses.
Public property | RingDistanceFromCenter | Should be set to true if RingDistanceTransform measures the distance of the ring from the centre of the bus. Otherwise, RingDistanceTransform is interpreted as the distance between the edge of the bus circle and the ring.
Public property | RingDistanceTransform | Should return values that specify the distance that the ring is to be drawn from either the centre of the bus or the edge of the bus, as controlled by RingDistanceFromCenter.
Public property | RingEnabledTransform | A function that should return true if the bus should have a ring drawn around it.
Public property | RingThickness | The thickness of the ring (in pixels). Constant across all buses.
Back to Top
See Also
ValueTransformableTreeGraph Class
ElecNetKit.Graphing.Graphs Namespace


ValueTransformableTreeGraph Constructor

ValueTransformableTreeGraph Constructor ElecNetKit Documentation
Instantiates a new ValueTransformableTreeGraph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ValueTransformableTreeGraph()
public ValueTransformableTreeGraph()
Public Sub New
Public Sub New
public:
ValueTransformableTreeGraph()
public:
ValueTransformableTreeGraph()
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


ValueTransformableTreeGraph Methods

ValueTransformableTreeGraph Methods ElecNetKit Documentation
The ValueTransformableTreeGraph type exposes the following members.
Methods
 | Name | Description
Protected method | BuildGradientMap | Builds a gradient map based upon BusColorGradient and BusColorTransform for the data in this network.
Public method | Draw | Draws the graph for the NetworkModel provided by Network. (Overrides TreeGraph Draw .)
Protected method | DrawBuses | Draws all the network buses, using the specified value transforms.
Protected method | DrawLines | Draws all the network lines.
Public method | GetObjectAtLocation | Finds the network element at the specified (device-independent) pixel location. (Overrides TreeGraph GetObjectAtLocation(Point).)
Public method | ScaledLocation | Scales a Online Point from Network Coordinates to Image Coordinates. (Inherited from TreeGraph.)
Public method | ScaledRectangle | Scales a rectangle from Network Coordinates to Image Coordinates. (Inherited from TreeGraph.)
Public method | UnscaledLocation | Unscales a Online Point from Image Coordinates to Network Coordinates. (Inherited from TreeGraph.)
Public method | UnscaledRectangle | Unscales a rectangle from Image Coordinates to Network Coordinates. (Inherited from TreeGraph.)
Back to Top
See Also
ValueTransformableTreeGraph Class
ElecNetKit.Graphing.Graphs Namespace


BuildGradientMap Method

ValueTransformableTreeGraph BuildGradientMap Method ElecNetKit Documentation
Builds a gradient map based upon BusColorGradient and BusColorTransform for the data in this network.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected AdaptiveGradientMap<Tuple<Brush, Pen>> BuildGradientMap(
    NetworkModel Network
)
protected AdaptiveGradientMap<Tuple<Brush, Pen>> BuildGradientMap(
    NetworkModel Network
)
Protected Function BuildGradientMap ( _
    Network As NetworkModel _
) As AdaptiveGradientMap(Of Tuple(Of Brush, Pen))
Protected Function BuildGradientMap ( _
    Network As NetworkModel _
) As AdaptiveGradientMap(Of Tuple(Of Brush, Pen))
protected:
AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ BuildGradientMap(
    NetworkModel^ Network
)
protected:
AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ BuildGradientMap(
    NetworkModel^ Network
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The network that data should be taken from.
Return Value
A map of gradients.
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


Draw Method

ValueTransformableTreeGraph Draw Method ElecNetKit Documentation
Draws the graph for the NetworkModel provided by Network.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override Visual Draw()
public override Visual Draw()
Public Overrides Function Draw As Visual
Public Overrides Function Draw As Visual
public:
virtual Visual^ Draw() override
public:
virtual Visual^ Draw() override
Return Value
A   Online Visual that contains the completed graph.
Implements
INetworkGraph Draw
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


DrawBuses Method

ValueTransformableTreeGraph DrawBuses Method ElecNetKit Documentation
Draws all the network buses, using the specified value transforms.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void DrawBuses(
    NetworkModel Network,
    AdaptiveGradientMap<Tuple<Brush, Pen>> colorMap,
    Limits busSizeLimits,
    Pen ringColorPen,
    DrawingContext drawingContext
)
protected void DrawBuses(
    NetworkModel Network,
    AdaptiveGradientMap<Tuple<Brush, Pen>> colorMap,
    Limits busSizeLimits,
    Pen ringColorPen,
    DrawingContext drawingContext
)
Protected Sub DrawBuses ( _
    Network As NetworkModel, _
    colorMap As AdaptiveGradientMap(Of Tuple(Of Brush, Pen)), _
    busSizeLimits As Limits, _
    ringColorPen As Pen, _
    drawingContext As DrawingContext _
)
Protected Sub DrawBuses ( _
    Network As NetworkModel, _
    colorMap As AdaptiveGradientMap(Of Tuple(Of Brush, Pen)), _
    busSizeLimits As Limits, _
    ringColorPen As Pen, _
    drawingContext As DrawingContext _
)
protected:
void DrawBuses(
    NetworkModel^ Network,
    AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ colorMap,
    Limits^ busSizeLimits,
    Pen^ ringColorPen,
    DrawingContext^ drawingContext
)
protected:
void DrawBuses(
    NetworkModel^ Network,
    AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ colorMap,
    Limits^ busSizeLimits,
    Pen^ ringColorPen,
    DrawingContext^ drawingContext
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The network from which to draw buses.
colorMap
Type: ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradientMap    Online Tuple    Online Brush,   Online Pen
A map of the colours to use from the specified gradient.
busSizeLimits
Type: ElecNetKit.Util Limits
The limits of BusSizeTransform,
            used for scaling from that space to
            [BusSizeMin, BusSizeMax].
ringColorPen
Type:   Online System.Windows.Media Pen
A pen for drawing rings.
drawingContext
Type:   Online System.Windows.Media DrawingContext
The target that we should draw to.
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


DrawLines Method

ValueTransformableTreeGraph DrawLines Method ElecNetKit Documentation
Draws all the network lines.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void DrawLines(
    NetworkModel Network,
    AdaptiveGradientMap<Tuple<Brush, Pen>> colorMap,
    DrawingContext drawingContext
)
protected void DrawLines(
    NetworkModel Network,
    AdaptiveGradientMap<Tuple<Brush, Pen>> colorMap,
    DrawingContext drawingContext
)
Protected Sub DrawLines ( _
    Network As NetworkModel, _
    colorMap As AdaptiveGradientMap(Of Tuple(Of Brush, Pen)), _
    drawingContext As DrawingContext _
)
Protected Sub DrawLines ( _
    Network As NetworkModel, _
    colorMap As AdaptiveGradientMap(Of Tuple(Of Brush, Pen)), _
    drawingContext As DrawingContext _
)
protected:
void DrawLines(
    NetworkModel^ Network,
    AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ colorMap,
    DrawingContext^ drawingContext
)
protected:
void DrawLines(
    NetworkModel^ Network,
    AdaptiveGradientMap<Tuple<Brush^, Pen^>^>^ colorMap,
    DrawingContext^ drawingContext
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The network from which to draw buses.
colorMap
Type: ElecNetKit.Graphing.AdaptiveGradients AdaptiveGradientMap    Online Tuple    Online Brush,   Online Pen
A map of the colours to use from the specified gradient.
drawingContext
Type:   Online System.Windows.Media DrawingContext
The target that we should draw to.
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


GetObjectAtLocation Method

ValueTransformableTreeGraph GetObjectAtLocation Method ElecNetKit Documentation
Finds the network element at the specified (device-independent) pixel location.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override NetworkElement GetObjectAtLocation(
    Point Location
)
public override NetworkElement GetObjectAtLocation(
    Point Location
)
Public Overrides Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
Public Overrides Function GetObjectAtLocation ( _
    Location As Point _
) As NetworkElement
public:
virtual NetworkElement^ GetObjectAtLocation(
    Point Location
) override
public:
virtual NetworkElement^ GetObjectAtLocation(
    Point Location
) override
Parameters
Location
Type:   Online System.Windows Point
the pixel to find a NetworkElement at.
Return Value
The NetworkElement nearest the pixel.
Implements
IElementLocatable GetObjectAtLocation(Point)
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


ValueTransformableTreeGraph Properties

ValueTransformableTreeGraph Properties ElecNetKit Documentation
The ValueTransformableTreeGraph type exposes the following members.
Properties
 | Name | Description
Public property | BusColorGradient | An adaptive gradient that determines, in conjunction with BusColorTransform, how the buses on the network should be coloured.
Public property | BusColorTransform | A function that transforms Buses into values that are passed to BusColorGradient to determine the colour of buses displayed on the network graph.
Public property | BusSizeMax | The maximum allowable bus size, in pixel radius.
Public property | BusSizeMin | The minimum allowable bus size, in pixel radius.
Public property | BusSizeTransform | A function that controls the size of each Bus.
Public property | BusVisibleTransform | A function that should return true if a supplied Bus should be drawn.
Public property | ImgCoords | The coordinates within which the image is to be displayed. (Inherited from TreeGraph.)
Public property | LineThickness | The thickness of Lines to be drawn on the graph.
Public property | Margin | A margin around the edge of the graph. (Inherited from TreeGraph.)
Public property | Network | The electrical network model that the TreeGraph is to draw with the Draw function. (Inherited from TreeGraph.)
Public property | PresentationMode | If true, specifies that the graph should be drawn in presentation mode. (Inherited from TreeGraph.)
Public property | RingColor | The color of the ring. Constant across all buses.
Public property | RingDistanceFromCenter | Should be set to true if RingDistanceTransform measures the distance of the ring from the centre of the bus. Otherwise, RingDistanceTransform is interpreted as the distance between the edge of the bus circle and the ring.
Public property | RingDistanceTransform | Should return values that specify the distance that the ring is to be drawn from either the centre of the bus or the edge of the bus, as controlled by RingDistanceFromCenter.
Public property | RingEnabledTransform | A function that should return true if the bus should have a ring drawn around it.
Public property | RingThickness | The thickness of the ring (in pixels). Constant across all buses.
Back to Top
See Also
ValueTransformableTreeGraph Class
ElecNetKit.Graphing.Graphs Namespace


BusColorGradient Property

ValueTransformableTreeGraph BusColorGradient Property ElecNetKit Documentation
An adaptive gradient that determines, in conjunction with BusColorTransform, how the buses on the network should be coloured.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public AdaptiveGradient BusColorGradient { get; set; }
public AdaptiveGradient BusColorGradient { get; set; }
Public Property BusColorGradient As AdaptiveGradient
    Get
    Set
Public Property BusColorGradient As AdaptiveGradient
    Get
    Set
public:
property AdaptiveGradient^ BusColorGradient {
    AdaptiveGradient^ get ();
    void set (AdaptiveGradient^ value);
}
public:
property AdaptiveGradient^ BusColorGradient {
    AdaptiveGradient^ get ();
    void set (AdaptiveGradient^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


BusColorTransform Property

ValueTransformableTreeGraph BusColorTransform Property ElecNetKit Documentation
A function that transforms Buses into values that are passed to BusColorGradient to determine the colour of buses displayed on the network graph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Bus, double> BusColorTransform { get; set; }
public Func<Bus, double> BusColorTransform { get; set; }
Public Property BusColorTransform As Func(Of Bus, Double)
    Get
    Set
Public Property BusColorTransform As Func(Of Bus, Double)
    Get
    Set
public:
property Func<Bus^, double>^ BusColorTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
public:
property Func<Bus^, double>^ BusColorTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


BusSizeMax Property

ValueTransformableTreeGraph BusSizeMax Property ElecNetKit Documentation
The maximum allowable bus size, in pixel radius.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double BusSizeMax { get; set; }
public double BusSizeMax { get; set; }
Public Property BusSizeMax As Double
    Get
    Set
Public Property BusSizeMax As Double
    Get
    Set
public:
property double BusSizeMax {
    double get ();
    void set (double value);
}
public:
property double BusSizeMax {
    double get ();
    void set (double value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


BusSizeMin Property

ValueTransformableTreeGraph BusSizeMin Property ElecNetKit Documentation
The minimum allowable bus size, in pixel radius.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double BusSizeMin { get; set; }
public double BusSizeMin { get; set; }
Public Property BusSizeMin As Double
    Get
    Set
Public Property BusSizeMin As Double
    Get
    Set
public:
property double BusSizeMin {
    double get ();
    void set (double value);
}
public:
property double BusSizeMin {
    double get ();
    void set (double value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


BusSizeTransform Property

ValueTransformableTreeGraph BusSizeTransform Property ElecNetKit Documentation
A function that controls the size of each Bus.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Bus, double> BusSizeTransform { get; set; }
public Func<Bus, double> BusSizeTransform { get; set; }
Public Property BusSizeTransform As Func(Of Bus, Double)
    Get
    Set
Public Property BusSizeTransform As Func(Of Bus, Double)
    Get
    Set
public:
property Func<Bus^, double>^ BusSizeTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
public:
property Func<Bus^, double>^ BusSizeTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


BusVisibleTransform Property

ValueTransformableTreeGraph BusVisibleTransform Property ElecNetKit Documentation
A function that should return true if a supplied Bus should be drawn.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Bus, bool> BusVisibleTransform { get; set; }
public Func<Bus, bool> BusVisibleTransform { get; set; }
Public Property BusVisibleTransform As Func(Of Bus, Boolean)
    Get
    Set
Public Property BusVisibleTransform As Func(Of Bus, Boolean)
    Get
    Set
public:
property Func<Bus^, bool>^ BusVisibleTransform {
    Func<Bus^, bool>^ get ();
    void set (Func<Bus^, bool>^ value);
}
public:
property Func<Bus^, bool>^ BusVisibleTransform {
    Func<Bus^, bool>^ get ();
    void set (Func<Bus^, bool>^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


LineThickness Property

ValueTransformableTreeGraph LineThickness Property ElecNetKit Documentation
The thickness of Lines to be drawn on the graph.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double LineThickness { get; set; }
public double LineThickness { get; set; }
Public Property LineThickness As Double
    Get
    Set
Public Property LineThickness As Double
    Get
    Set
public:
property double LineThickness {
    double get ();
    void set (double value);
}
public:
property double LineThickness {
    double get ();
    void set (double value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


RingColor Property

ValueTransformableTreeGraph RingColor Property ElecNetKit Documentation
The color of the ring. Constant across all buses.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Color RingColor { get; set; }
public Color RingColor { get; set; }
Public Property RingColor As Color
    Get
    Set
Public Property RingColor As Color
    Get
    Set
public:
property Color RingColor {
    Color get ();
    void set (Color value);
}
public:
property Color RingColor {
    Color get ();
    void set (Color value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


RingDistanceFromCenter Property

ValueTransformableTreeGraph RingDistanceFromCenter Property ElecNetKit Documentation
Should be set to true if RingDistanceTransform measures the distance of the ring from the centre of the bus. Otherwise, RingDistanceTransform is interpreted as the distance between the edge of the bus circle and the ring.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool RingDistanceFromCenter { get; set; }
public bool RingDistanceFromCenter { get; set; }
Public Property RingDistanceFromCenter As Boolean
    Get
    Set
Public Property RingDistanceFromCenter As Boolean
    Get
    Set
public:
property bool RingDistanceFromCenter {
    bool get ();
    void set (bool value);
}
public:
property bool RingDistanceFromCenter {
    bool get ();
    void set (bool value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


RingDistanceTransform Property

ValueTransformableTreeGraph RingDistanceTransform Property ElecNetKit Documentation
Should return values that specify the distance that the ring is to be drawn from either the centre of the bus or the edge of the bus, as controlled by RingDistanceFromCenter.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Bus, double> RingDistanceTransform { get; set; }
public Func<Bus, double> RingDistanceTransform { get; set; }
Public Property RingDistanceTransform As Func(Of Bus, Double)
    Get
    Set
Public Property RingDistanceTransform As Func(Of Bus, Double)
    Get
    Set
public:
property Func<Bus^, double>^ RingDistanceTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
public:
property Func<Bus^, double>^ RingDistanceTransform {
    Func<Bus^, double>^ get ();
    void set (Func<Bus^, double>^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


RingEnabledTransform Property

ValueTransformableTreeGraph RingEnabledTransform Property ElecNetKit Documentation
A function that should return true if the bus should have a ring drawn around it.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Bus, bool> RingEnabledTransform { get; set; }
public Func<Bus, bool> RingEnabledTransform { get; set; }
Public Property RingEnabledTransform As Func(Of Bus, Boolean)
    Get
    Set
Public Property RingEnabledTransform As Func(Of Bus, Boolean)
    Get
    Set
public:
property Func<Bus^, bool>^ RingEnabledTransform {
    Func<Bus^, bool>^ get ();
    void set (Func<Bus^, bool>^ value);
}
public:
property Func<Bus^, bool>^ RingEnabledTransform {
    Func<Bus^, bool>^ get ();
    void set (Func<Bus^, bool>^ value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


RingThickness Property

ValueTransformableTreeGraph RingThickness Property ElecNetKit Documentation
The thickness of the ring (in pixels). Constant across all buses.

Namespace: ElecNetKit.Graphing.Graphs
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double RingThickness { get; set; }
public double RingThickness { get; set; }
Public Property RingThickness As Double
    Get
    Set
Public Property RingThickness As Double
    Get
    Set
public:
property double RingThickness {
    double get ();
    void set (double value);
}
public:
property double RingThickness {
    double get ();
    void set (double value);
}
See Also
ValueTransformableTreeGraph Class
ValueTransformableTreeGraph Members
ElecNetKit.Graphing.Graphs Namespace


ElecNetKit.Graphing.Util Namespace

ElecNetKit.Graphing.Util Namespace ElecNetKit Documentation
The ElecNetKit.Graphing.Util namespace contains classes that provide assistive functionality for the purposes of graphing electrical networks.
Classes
 | Class | Description
Public class | DrawingVisualSerialisers | Provides some convenience functions for serialising Online Visuals.
Public class | MagicGridSpacer | Provides axis spacing with 'convenient' numbers, for given dataset characteristics.
Public class | MagicGridSpacings | A set of ticks that characterize an axis on a graph.


DrawingVisualSerialisers Class

DrawingVisualSerialisers Class ElecNetKit Documentation
Provides some convenience functions for serialising Online Visuals.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.Util DrawingVisualSerialisers

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class DrawingVisualSerialisers
public static class DrawingVisualSerialisers
<ExtensionAttribute> _
Public NotInheritable Class DrawingVisualSerialisers
<ExtensionAttribute> _
Public NotInheritable Class DrawingVisualSerialisers
[ExtensionAttribute]
public ref class DrawingVisualSerialisers abstract sealed
[ExtensionAttribute]
public ref class DrawingVisualSerialisers abstract sealed
See Also
DrawingVisualSerialisers Members
ElecNetKit.Graphing.Util Namespace


DrawingVisualSerialisers Members

DrawingVisualSerialisers Members ElecNetKit Documentation

The DrawingVisualSerialisers type exposes the following members.
Methods
Name | Description
LoadVisualFromByteArray | Restores a Online Visual from an array of bytes.
SaveVisualToByteArray | Store a visual in an array of bytes.
Back to Top
See Also
DrawingVisualSerialisers Class
ElecNetKit.Graphing.Util Namespace


DrawingVisualSerialisers Methods

DrawingVisualSerialisers Methods ElecNetKit Documentation
The DrawingVisualSerialisers type exposes the following members.
Methods
Name | Description
LoadVisualFromByteArray | Restores a Online Visual from an array of bytes.
SaveVisualToByteArray | Store a visual in an array of bytes.
Back to Top
See Also
DrawingVisualSerialisers Class
ElecNetKit.Graphing.Util Namespace


LoadVisualFromByteArray Method

DrawingVisualSerialisers LoadVisualFromByteArray Method ElecNetKit Documentation
Restores a Online Visual from an array of bytes.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static Visual LoadVisualFromByteArray(
    byte[] data
)
public static Visual LoadVisualFromByteArray(
    byte[] data
)
Public Shared Function LoadVisualFromByteArray ( _
    data As Byte() _
) As Visual
Public Shared Function LoadVisualFromByteArray ( _
    data As Byte() _
) As Visual
public:
static Visual^ LoadVisualFromByteArray(
    array<unsigned char>^ data
)
public:
static Visual^ LoadVisualFromByteArray(
    array<unsigned char>^ data
)
Parameters
data
Type:    Online System Byte
The data to restore a   Online Visual from.
Return Value
The restored   Online Visual.
See Also
DrawingVisualSerialisers Class
DrawingVisualSerialisers Members
ElecNetKit.Graphing.Util Namespace


SaveVisualToByteArray Method

DrawingVisualSerialisers SaveVisualToByteArray Method ElecNetKit Documentation
Store a visual in an array of bytes.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static byte[] SaveVisualToByteArray(
    this Visual v
)
public static byte[] SaveVisualToByteArray(
    this Visual v
)
<ExtensionAttribute> _
Public Shared Function SaveVisualToByteArray ( _
    v As Visual _
) As Byte()
<ExtensionAttribute> _
Public Shared Function SaveVisualToByteArray ( _
    v As Visual _
) As Byte()
public:
[ExtensionAttribute]
static array<unsigned char>^ SaveVisualToByteArray(
    Visual^ v
)
public:
[ExtensionAttribute]
static array<unsigned char>^ SaveVisualToByteArray(
    Visual^ v
)
Parameters
v
Type:   Online System.Windows.Media Visual
The   Online Visual to serialise.
Return Value
The serialised   Online Visual.
Usage Note
In Visual Basic and C#, you can call this method as an instance method on any object of type   Online Visual. When you use instance method syntax to call this method, omit the first parameter. For more information, see   Online Extension Methods (Visual Basic) or   Online Extension Methods (C# Programming Guide).
See Also
DrawingVisualSerialisers Class
DrawingVisualSerialisers Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacer Class

MagicGridSpacer Class ElecNetKit Documentation
Provides axis spacing with 'convenient' numbers, for given dataset characteristics.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.Util MagicGridSpacer

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class MagicGridSpacer
public class MagicGridSpacer
Public Class MagicGridSpacer
Public Class MagicGridSpacer
public ref class MagicGridSpacer
public ref class MagicGridSpacer
Remarks

            Based in part off the work from http://search.cpan.org/dist/Chart-Math-Axis/lib/Chart/Math/Axis.pm.

See Also
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacer Members

MagicGridSpacer Members ElecNetKit Documentation

The MagicGridSpacer type exposes the following members.
Constructors
 | Name | Description
Public method | MagicGridSpacer | Initializes a new instance of the MagicGridSpacer class
Back to Top
Methods
 | Name | Description
Public method | GetGridSpacings | Builds a set of MagicGridSpacings based upon the provided inputs.
Back to Top
Properties
 | Name | Description
Public property | MaxLines | The maximum number of lines / ticks etc that should be on the axis.
Public property | MaxValue | The Maximum value of the data set.
Public property | MinValue | The Minimum value of the dataset.
Back to Top
See Also
MagicGridSpacer Class
ElecNetKit.Graphing.Util Namespace


MagicGridSpacer Constructor

MagicGridSpacer Constructor ElecNetKit Documentation
Initializes a new instance of the MagicGridSpacer class

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MagicGridSpacer()
public MagicGridSpacer()
Public Sub New
Public Sub New
public:
MagicGridSpacer()
public:
MagicGridSpacer()
See Also
MagicGridSpacer Class
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacer Methods

MagicGridSpacer Methods ElecNetKit Documentation
The MagicGridSpacer type exposes the following members.
Methods
 | Name | Description
Public method | GetGridSpacings | Builds a set of MagicGridSpacings based upon the provided inputs.
Back to Top
See Also
MagicGridSpacer Class
ElecNetKit.Graphing.Util Namespace


GetGridSpacings Method

MagicGridSpacer GetGridSpacings Method ElecNetKit Documentation
Builds a set of MagicGridSpacings based upon the provided inputs.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MagicGridSpacings GetGridSpacings()
public MagicGridSpacings GetGridSpacings()
Public Function GetGridSpacings As MagicGridSpacings
Public Function GetGridSpacings As MagicGridSpacings
public:
MagicGridSpacings^ GetGridSpacings()
public:
MagicGridSpacings^ GetGridSpacings()
Return Value
A set of MagicGridSpacings.
See Also
MagicGridSpacer Class
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacer Properties

MagicGridSpacer Properties ElecNetKit Documentation
The MagicGridSpacer type exposes the following members.
Properties
 | Name | Description
Public property | MaxLines | The maximum number of lines / ticks etc that should be on the axis.
Public property | MaxValue | The Maximum value of the data set.
Public property | MinValue | The Minimum value of the dataset.
Back to Top
See Also
MagicGridSpacer Class
ElecNetKit.Graphing.Util Namespace


MaxLines Property

MagicGridSpacer MaxLines Property ElecNetKit Documentation
The maximum number of lines / ticks etc that should be on the axis.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public uint MaxLines { get; set; }
public uint MaxLines { get; set; }
Public Property MaxLines As UInteger
    Get
    Set
Public Property MaxLines As UInteger
    Get
    Set
public:
property unsigned int MaxLines {
    unsigned int get ();
    void set (unsigned int value);
}
public:
property unsigned int MaxLines {
    unsigned int get ();
    void set (unsigned int value);
}
See Also
MagicGridSpacer Class
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MaxValue Property

MagicGridSpacer MaxValue Property ElecNetKit Documentation
The Maximum value of the data set.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double MaxValue { get; set; }
public double MaxValue { get; set; }
Public Property MaxValue As Double
    Get
    Set
Public Property MaxValue As Double
    Get
    Set
public:
property double MaxValue {
    double get ();
    void set (double value);
}
public:
property double MaxValue {
    double get ();
    void set (double value);
}
See Also
MagicGridSpacer Class
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MinValue Property

MagicGridSpacer MinValue Property ElecNetKit Documentation
The Minimum value of the dataset.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double MinValue { get; set; }
public double MinValue { get; set; }
Public Property MinValue As Double
    Get
    Set
Public Property MinValue As Double
    Get
    Set
public:
property double MinValue {
    double get ();
    void set (double value);
}
public:
property double MinValue {
    double get ();
    void set (double value);
}
See Also
MagicGridSpacer Class
MagicGridSpacer Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacings Class

MagicGridSpacings Class ElecNetKit Documentation
A set of ticks that characterize an axis on a graph.
Inheritance Hierarchy
Online System Object
ElecNetKit.Graphing.Util MagicGridSpacings

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class MagicGridSpacings
[SerializableAttribute]
public class MagicGridSpacings
<SerializableAttribute> _
Public Class MagicGridSpacings
<SerializableAttribute> _
Public Class MagicGridSpacings
[SerializableAttribute]
public ref class MagicGridSpacings
[SerializableAttribute]
public ref class MagicGridSpacings
See Also
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacings Members

MagicGridSpacings Members ElecNetKit Documentation

The MagicGridSpacings type exposes the following members.
Constructors
 | Name | Description
Public method | MagicGridSpacings | Instantiates a new MagicGridSpacings.
Back to Top
Methods
 | Name | Description
Public method | GetTicks | Constructs a set of ticks between LowerLimit and UpperLimit and spaced by Interval.
Back to Top
Properties
 | Name | Description
Public property | Interval | The interval between ticks on the axis.
Public property | LowerLimit | The lower bound of the axis.
Public property | UpperLimit | The upper bound of the axis.
Back to Top
See Also
MagicGridSpacings Class
ElecNetKit.Graphing.Util Namespace


MagicGridSpacings Constructor

MagicGridSpacings Constructor ElecNetKit Documentation
Instantiates a new MagicGridSpacings.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public MagicGridSpacings(
    double LowerLimit,
    double Interval,
    double UpperLimit
)
public MagicGridSpacings(
    double LowerLimit,
    double Interval,
    double UpperLimit
)
Public Sub New ( _
    LowerLimit As Double, _
    Interval As Double, _
    UpperLimit As Double _
)
Public Sub New ( _
    LowerLimit As Double, _
    Interval As Double, _
    UpperLimit As Double _
)
public:
MagicGridSpacings(
    double LowerLimit,
    double Interval,
    double UpperLimit
)
public:
MagicGridSpacings(
    double LowerLimit,
    double Interval,
    double UpperLimit
)
Parameters
LowerLimit
Type:   Online System Double
The lower bound of the axis.
Interval
Type:   Online System Double
The interval between ticks on the axis.
UpperLimit
Type:   Online System Double
The upper bound of the axis.
See Also
MagicGridSpacings Class
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacings Methods

MagicGridSpacings Methods ElecNetKit Documentation
The MagicGridSpacings type exposes the following members.
Methods
 | Name | Description
Public method | GetTicks | Constructs a set of ticks between LowerLimit and UpperLimit and spaced by Interval.
Back to Top
See Also
MagicGridSpacings Class
ElecNetKit.Graphing.Util Namespace


GetTicks Method

MagicGridSpacings GetTicks Method ElecNetKit Documentation
Constructs a set of ticks between LowerLimit and UpperLimit and spaced by Interval.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double[] GetTicks()
public double[] GetTicks()
Public Function GetTicks As Double()
Public Function GetTicks As Double()
public:
array<double>^ GetTicks()
public:
array<double>^ GetTicks()
Return Value
A set of ticks between LowerLimit and UpperLimit
            and spaced by Interval.
See Also
MagicGridSpacings Class
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


MagicGridSpacings Properties

MagicGridSpacings Properties ElecNetKit Documentation
The MagicGridSpacings type exposes the following members.
Properties
 | Name | Description
Public property | Interval | The interval between ticks on the axis.
Public property | LowerLimit | The lower bound of the axis.
Public property | UpperLimit | The upper bound of the axis.
Back to Top
See Also
MagicGridSpacings Class
ElecNetKit.Graphing.Util Namespace


Interval Property

MagicGridSpacings Interval Property ElecNetKit Documentation
The interval between ticks on the axis.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double Interval { get; set; }
public double Interval { get; set; }
Public Property Interval As Double
    Get
    Set
Public Property Interval As Double
    Get
    Set
public:
property double Interval {
    double get ();
    void set (double value);
}
public:
property double Interval {
    double get ();
    void set (double value);
}
See Also
MagicGridSpacings Class
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


LowerLimit Property

MagicGridSpacings LowerLimit Property ElecNetKit Documentation
The lower bound of the axis.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double LowerLimit { get; set; }
public double LowerLimit { get; set; }
Public Property LowerLimit As Double
    Get
    Set
Public Property LowerLimit As Double
    Get
    Set
public:
property double LowerLimit {
    double get ();
    void set (double value);
}
public:
property double LowerLimit {
    double get ();
    void set (double value);
}
See Also
MagicGridSpacings Class
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


UpperLimit Property

MagicGridSpacings UpperLimit Property ElecNetKit Documentation
The upper bound of the axis.

Namespace: ElecNetKit.Graphing.Util
Assembly: ElecNetKit.Graphing (in ElecNetKit.Graphing.dll) Version: 1.1.4771.27373 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double UpperLimit { get; set; }
public double UpperLimit { get; set; }
Public Property UpperLimit As Double
    Get
    Set
Public Property UpperLimit As Double
    Get
    Set
public:
property double UpperLimit {
    double get ();
    void set (double value);
}
public:
property double UpperLimit {
    double get ();
    void set (double value);
}
See Also
MagicGridSpacings Class
MagicGridSpacings Members
ElecNetKit.Graphing.Util Namespace


ElecNetKit.NetworkModelling Namespace

ElecNetKit.NetworkModelling Namespace ElecNetKit Documentation
The ElecNetKit.NetworkModelling namespace defines classes and functions for examing, building and traversing electrical network models.
Classes
 | Class | Description
Public class | Bus | Buses are the 'glue' that hold other network elements together, and as such, every other network element must be connected to at least one Bus. Buses also store information on load-flow voltages, and have a location that is useful for graphing.
Public class | Generator | An electrical network element that injects power in to the network.
Public class | Line | A line connecting two buses in the electrical network model.
Public class | Load | A kVA-absorbing load on the network.
Public class | NetworkElement | The NetworkElement defines the basic interconnection model between elements of the electrical network.
Public class | NetworkModel | Defines the entire network model, in terms of buses, lines, loads, generators and the connections between them.
Public class | PowerConversionElement | A NetworkElement that converts power from one form to another. Think Loads, Generators, etc.
Public class | PowerDeliveryElement | A NetworkElement that delivers power to other NetworkElements. Think Lines, Transformers, etc.
Public class | Tracing | The Tracing class defines a set of functions for tracing the topology of NetworkModels.
Structures
 | Structure | Description
Public structure | NetworkElementConnection | A structure that defines a single connection to another network element, specifying a network element and a phase to connect on.


Bus Class

Bus Class ElecNetKit Documentation
Buses are the 'glue' that hold other network elements together, and as such, every other network element must be connected to at least one Bus. Buses also store information on load-flow voltages, and have a location that is useful for graphing.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling Bus

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class Bus : NetworkElement, IDeserializationCallback
[SerializableAttribute]
public class Bus : NetworkElement, IDeserializationCallback
<SerializableAttribute> _
Public Class Bus _
    Inherits NetworkElement _
    Implements IDeserializationCallback
<SerializableAttribute> _
Public Class Bus _
    Inherits NetworkElement _
    Implements IDeserializationCallback
[SerializableAttribute]
public ref class Bus : public NetworkElement,
    IDeserializationCallback
[SerializableAttribute]
public ref class Bus : public NetworkElement,
    IDeserializationCallback
See Also
Bus Members
ElecNetKit.NetworkModelling Namespace


Bus Members

Bus Members ElecNetKit Documentation

The Bus type exposes the following members.
Constructors
 | Name | Description
Public method | Bus(String, Phased Complex , Double, Nullable Point ) | Instantiates a new Bus. This constructor supports arbitrarily-phased networks, including three-phase balanced and single-phase.
Public method | Bus(String, Complex, Double, Nullable Point ) | Instantiates a new Bus. This is the single-phase/balanced three-phase constructor. Use this only if your model will be used for balanced network analysis.
Back to Top
Methods
 | Name | Description
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the Bus when it has just been deserialised. (Overrides NetworkElement OnDeserialization(Object).)
Back to Top
Properties
 | Name | Description
Public property | BaseVoltage | The Single-Phase base voltage of the bus (e.g. 11/sqrt(3) kV, 0.23 kV).
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Public property | Location | The XY location of the bus, in network coordinates, useful for graphing.
Public property | Voltage | The single-phase (Line-Neutral) voltage (in complex phasor notation) of the bus. A single-phase, or balanced three-phase network is assumed.
Public property | VoltagePhased | The voltage of each bus phase, in complex notation.
Public property | VoltagePU | The single-phase voltage of the bus in p.u. terms, defined as Voltage/BaseVoltage. Assumes a single-phase or balanced three-phase network.
Public property | VoltagePUPhased | The voltage of the bus in p.u. terms for each phase, defined as VoltagePhased/BaseVoltage.
Back to Top
See Also
Bus Class
ElecNetKit.NetworkModelling Namespace


Bus Constructor

Bus Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Bus(String, Phased Complex , Double, Nullable Point ) | Instantiates a new Bus. This constructor supports arbitrarily-phased networks, including three-phase balanced and single-phase.
Public method | Bus(String, Complex, Double, Nullable Point ) | Instantiates a new Bus. This is the single-phase/balanced three-phase constructor. Use this only if your model will be used for balanced network analysis.
Back to Top
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


Bus Constructor (String, Phased(Complex), Double, Nullable(Point))

Bus Constructor (String, Phased Complex , Double, Nullable Point ) ElecNetKit Documentation
Instantiates a new Bus. This constructor supports arbitrarily-phased networks, including three-phase balanced and single-phase.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bus(
    string ID,
    Phased<Complex> VoltagePhased,
    double BaseVoltage,
    Nullable<Point> Location
)
public Bus(
    string ID,
    Phased<Complex> VoltagePhased,
    double BaseVoltage,
    Nullable<Point> Location
)
Public Sub New ( _
    ID As String, _
    VoltagePhased As Phased(Of Complex), _
    BaseVoltage As Double, _
    Location As Nullable(Of Point) _
)
Public Sub New ( _
    ID As String, _
    VoltagePhased As Phased(Of Complex), _
    BaseVoltage As Double, _
    Location As Nullable(Of Point) _
)
public:
Bus(
    String^ ID,
    Phased<Complex>^ VoltagePhased,
    double BaseVoltage,
    Nullable<Point> Location
)
public:
Bus(
    String^ ID,
    Phased<Complex>^ VoltagePhased,
    double BaseVoltage,
    Nullable<Point> Location
)
Parameters
ID
Type:   Online System String
The ID of the bus. Should be unique among buses, but
            does not need to be unique amongst all network elements.
VoltagePhased
Type: ElecNetKit.NetworkModelling.Phasing Phased    Online Complex
The absolute line-neutral voltage of each
            phase of the bus.
BaseVoltage
Type:   Online System Double
The single-phase base voltage of the bus
            (in Volts).
Location
Type:   Online System Nullable    Online Point
The XY coordinates of the bus. Used for
            graphing the network.
See Also
Bus Class
Bus Members
Bus Overload
ElecNetKit.NetworkModelling Namespace


Bus Constructor (String, Complex, Double, Nullable(Point))

Bus Constructor (String, Complex, Double, Nullable Point ) ElecNetKit Documentation
Instantiates a new Bus. This is the single-phase/balanced three-phase constructor. Use this only if your model will be used for balanced network analysis.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bus(
    string ID,
    Complex Voltage,
    double BaseVoltage,
    Nullable<Point> Location
)
public Bus(
    string ID,
    Complex Voltage,
    double BaseVoltage,
    Nullable<Point> Location
)
Public Sub New ( _
    ID As String, _
    Voltage As Complex, _
    BaseVoltage As Double, _
    Location As Nullable(Of Point) _
)
Public Sub New ( _
    ID As String, _
    Voltage As Complex, _
    BaseVoltage As Double, _
    Location As Nullable(Of Point) _
)
public:
Bus(
    String^ ID,
    Complex Voltage,
    double BaseVoltage,
    Nullable<Point> Location
)
public:
Bus(
    String^ ID,
    Complex Voltage,
    double BaseVoltage,
    Nullable<Point> Location
)
Parameters
ID
Type:   Online System String
The ID of the bus. Should be unique among buses, but
            does not need to be unique amongst all network elements.
Voltage
Type:   Online System.Numerics Complex
The single-phase absolute voltage of the bus
            (in Volts).
BaseVoltage
Type:   Online System Double
The single-phase base voltage of the bus
            (in Volts).
Location
Type:   Online System Nullable    Online Point
The XY coordinates of the bus. Used for
            graphing the network.
See Also
Bus Class
Bus Members
Bus Overload
ElecNetKit.NetworkModelling Namespace


Bus Methods

Bus Methods ElecNetKit Documentation
The Bus type exposes the following members.
Methods
 | Name | Description
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the Bus when it has just been deserialised. (Overrides NetworkElement OnDeserialization(Object).)
Back to Top
See Also
Bus Class
ElecNetKit.NetworkModelling Namespace


OnDeserialization Method

Bus OnDeserialization Method ElecNetKit Documentation
Reconstructs the Bus when it has just been deserialised.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void OnDeserialization(
    Object sender
)
public override void OnDeserialization(
    Object sender
)
Public Overrides Sub OnDeserialization ( _
    sender As Object _
)
Public Overrides Sub OnDeserialization ( _
    sender As Object _
)
public:
virtual void OnDeserialization(
    Object^ sender
) override
public:
virtual void OnDeserialization(
    Object^ sender
) override
Parameters
sender
Type:   Online System Object
Not used.
Implements
  Online IDeserializationCallback OnDeserialization(Object)
  Online IDeserializationCallback OnDeserialization(Object)
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


Bus Properties

Bus Properties ElecNetKit Documentation
The Bus type exposes the following members.
Properties
 | Name | Description
Public property | BaseVoltage | The Single-Phase base voltage of the bus (e.g. 11/sqrt(3) kV, 0.23 kV).
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Public property | Location | The XY location of the bus, in network coordinates, useful for graphing.
Public property | Voltage | The single-phase (Line-Neutral) voltage (in complex phasor notation) of the bus. A single-phase, or balanced three-phase network is assumed.
Public property | VoltagePhased | The voltage of each bus phase, in complex notation.
Public property | VoltagePU | The single-phase voltage of the bus in p.u. terms, defined as Voltage/BaseVoltage. Assumes a single-phase or balanced three-phase network.
Public property | VoltagePUPhased | The voltage of the bus in p.u. terms for each phase, defined as VoltagePhased/BaseVoltage.
Back to Top
See Also
Bus Class
ElecNetKit.NetworkModelling Namespace


BaseVoltage Property

Bus BaseVoltage Property ElecNetKit Documentation
The Single-Phase base voltage of the bus (e.g. 11/sqrt(3) kV, 0.23 kV).

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double BaseVoltage { get; set; }
public double BaseVoltage { get; set; }
Public Property BaseVoltage As Double
    Get
    Set
Public Property BaseVoltage As Double
    Get
    Set
public:
property double BaseVoltage {
    double get ();
    void set (double value);
}
public:
property double BaseVoltage {
    double get ();
    void set (double value);
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


Location Property

Bus Location Property ElecNetKit Documentation
The XY location of the bus, in network coordinates, useful for graphing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Nullable<Point> Location { get; set; }
public Nullable<Point> Location { get; set; }
Public Property Location As Nullable(Of Point)
    Get
    Set
Public Property Location As Nullable(Of Point)
    Get
    Set
public:
property Nullable<Point> Location {
    Nullable<Point> get ();
    void set (Nullable<Point> value);
}
public:
property Nullable<Point> Location {
    Nullable<Point> get ();
    void set (Nullable<Point> value);
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


Voltage Property

Bus Voltage Property ElecNetKit Documentation
The single-phase (Line-Neutral) voltage (in complex phasor notation) of the bus. A single-phase, or balanced three-phase network is assumed.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Complex Voltage { get; set; }
public Complex Voltage { get; set; }
Public Property Voltage As Complex
    Get
    Set
Public Property Voltage As Complex
    Get
    Set
public:
property Complex Voltage {
    Complex get ();
    void set (Complex value);
}
public:
property Complex Voltage {
    Complex get ();
    void set (Complex value);
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


VoltagePhased Property

Bus VoltagePhased Property ElecNetKit Documentation
The voltage of each bus phase, in complex notation.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Phased<Complex> VoltagePhased { get; private set; }
public Phased<Complex> VoltagePhased { get; private set; }
Public Property VoltagePhased As Phased(Of Complex)
    Get
    Private Set
Public Property VoltagePhased As Phased(Of Complex)
    Get
    Private Set
public:
property Phased<Complex>^ VoltagePhased {
    Phased<Complex>^ get ();
    private: void set (Phased<Complex>^ value);
}
public:
property Phased<Complex>^ VoltagePhased {
    Phased<Complex>^ get ();
    private: void set (Phased<Complex>^ value);
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


VoltagePU Property

Bus VoltagePU Property ElecNetKit Documentation
The single-phase voltage of the bus in p.u. terms, defined as Voltage/BaseVoltage. Assumes a single-phase or balanced three-phase network.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Complex VoltagePU { get; set; }
public Complex VoltagePU { get; set; }
Public Property VoltagePU As Complex
    Get
    Set
Public Property VoltagePU As Complex
    Get
    Set
public:
property Complex VoltagePU {
    Complex get ();
    void set (Complex value);
}
public:
property Complex VoltagePU {
    Complex get ();
    void set (Complex value);
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


VoltagePUPhased Property

Bus VoltagePUPhased Property ElecNetKit Documentation
The voltage of the bus in p.u. terms for each phase, defined as VoltagePhased/BaseVoltage.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Phased<Complex> VoltagePUPhased { get; }
public Phased<Complex> VoltagePUPhased { get; }
Public ReadOnly Property VoltagePUPhased As Phased(Of Complex)
    Get
Public ReadOnly Property VoltagePUPhased As Phased(Of Complex)
    Get
public:
property Phased<Complex>^ VoltagePUPhased {
    Phased<Complex>^ get ();
}
public:
property Phased<Complex>^ VoltagePUPhased {
    Phased<Complex>^ get ();
}
See Also
Bus Class
Bus Members
ElecNetKit.NetworkModelling Namespace


Generator Class

Generator Class ElecNetKit Documentation
An electrical network element that injects power in to the network.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling PowerConversionElement
ElecNetKit.NetworkModelling Generator

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class Generator : PowerConversionElement
[SerializableAttribute]
public class Generator : PowerConversionElement
<SerializableAttribute> _
Public Class Generator _
    Inherits PowerConversionElement
<SerializableAttribute> _
Public Class Generator _
    Inherits PowerConversionElement
[SerializableAttribute]
public ref class Generator : public PowerConversionElement
[SerializableAttribute]
public ref class Generator : public PowerConversionElement
See Also
Generator Members
ElecNetKit.NetworkModelling Namespace


Generator Members

Generator Members ElecNetKit Documentation

The Generator type exposes the following members.
Constructors
 | Name | Description
Public method | Generator(String, Phased Complex ) | Instantiates a new Generator. This constructor is for building arbitrarily-phased networks.
Public method | Generator(String, Complex, Int32) | Instantiates a new Generator. This constructor is for building balanced networks only.
Back to Top
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks. (Inherited from PowerConversionElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus. (Inherited from PowerConversionElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase. (Inherited from PowerConversionElement.)
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases. (Inherited from PowerConversionElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | Generation | The total kVA that the Generator injects into the network. The real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).
Public property | GenerationPhased | The kVA that the Generator injects into the network. This is a phased value, of which the real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
Generator Class
ElecNetKit.NetworkModelling Namespace


Generator Constructor

Generator Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Generator(String, Phased Complex ) | Instantiates a new Generator. This constructor is for building arbitrarily-phased networks.
Public method | Generator(String, Complex, Int32) | Instantiates a new Generator. This constructor is for building balanced networks only.
Back to Top
See Also
Generator Class
Generator Members
ElecNetKit.NetworkModelling Namespace


Generator Constructor (String, Phased(Complex))

Generator Constructor (String, Phased Complex ) ElecNetKit Documentation
Instantiates a new Generator. This constructor is for building arbitrarily-phased networks.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Generator(
    string ID,
    Phased<Complex> Generation
)
public Generator(
    string ID,
    Phased<Complex> Generation
)
Public Sub New ( _
    ID As String, _
    Generation As Phased(Of Complex) _
)
Public Sub New ( _
    ID As String, _
    Generation As Phased(Of Complex) _
)
public:
Generator(
    String^ ID,
    Phased<Complex>^ Generation
)
public:
Generator(
    String^ ID,
    Phased<Complex>^ Generation
)
Parameters
ID
Type:   Online System String
The ID of the generator. Must be unique among
            generators, but not among network elements.
Generation
Type: ElecNetKit.NetworkModelling.Phasing Phased    Online Complex
The phased generation (in kVA) of
            the generator.
See Also
Generator Class
Generator Members
Generator Overload
ElecNetKit.NetworkModelling Namespace


Generator Constructor (String, Complex, Int32)

Generator Constructor (String, Complex, Int32) ElecNetKit Documentation
Instantiates a new Generator. This constructor is for building balanced networks only.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Generator(
    string ID,
    Complex Generation,
    int NumPhases = 3
)
public Generator(
    string ID,
    Complex Generation,
    int NumPhases = 3
)
Public Sub New ( _
    ID As String, _
    Generation As Complex, _
    Optional NumPhases As Integer = 3 _
)
Public Sub New ( _
    ID As String, _
    Generation As Complex, _
    Optional NumPhases As Integer = 3 _
)
public:
Generator(
    String^ ID,
    Complex Generation,
    int NumPhases = 3
)
public:
Generator(
    String^ ID,
    Complex Generation,
    int NumPhases = 3
)
Parameters
ID
Type:   Online System String
The ID of the generator. Must be unique among
            generators, but not among network elements.
Generation
Type:   Online System.Numerics Complex
The total generation (in kVA) of
            the generator.
NumPhases (Optional)
Type:   Online System Int32
The number of phases to split the total generation between.
See Also
Generator Class
Generator Members
Generator Overload
ElecNetKit.NetworkModelling Namespace


Generator Methods

Generator Methods ElecNetKit Documentation
The Generator type exposes the following members.
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks. (Inherited from PowerConversionElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus. (Inherited from PowerConversionElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase. (Inherited from PowerConversionElement.)
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases. (Inherited from PowerConversionElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
See Also
Generator Class
ElecNetKit.NetworkModelling Namespace


Generator Properties

Generator Properties ElecNetKit Documentation
The Generator type exposes the following members.
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | Generation | The total kVA that the Generator injects into the network. The real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).
Public property | GenerationPhased | The kVA that the Generator injects into the network. This is a phased value, of which the real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
Generator Class
ElecNetKit.NetworkModelling Namespace


Generation Property

Generator Generation Property ElecNetKit Documentation
The total kVA that the Generator injects into the network. The real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Complex Generation { get; set; }
public Complex Generation { get; set; }
Public Property Generation As Complex
    Get
    Set
Public Property Generation As Complex
    Get
    Set
public:
property Complex Generation {
    Complex get ();
    void set (Complex value);
}
public:
property Complex Generation {
    Complex get ();
    void set (Complex value);
}
See Also
Generator Class
Generator Members
ElecNetKit.NetworkModelling Namespace


GenerationPhased Property

Generator GenerationPhased Property ElecNetKit Documentation
The kVA that the Generator injects into the network. This is a phased value, of which the real component represents the real power (kW) and the imaginary component represents the injected reactive (imaginary) power (kVAr).

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Phased<Complex> GenerationPhased { get; protected set; }
public Phased<Complex> GenerationPhased { get; protected set; }
Public Property GenerationPhased As Phased(Of Complex)
    Get
    Protected Set
Public Property GenerationPhased As Phased(Of Complex)
    Get
    Protected Set
public:
property Phased<Complex>^ GenerationPhased {
    Phased<Complex>^ get ();
    protected: void set (Phased<Complex>^ value);
}
public:
property Phased<Complex>^ GenerationPhased {
    Phased<Complex>^ get ();
    protected: void set (Phased<Complex>^ value);
}
See Also
Generator Class
Generator Members
ElecNetKit.NetworkModelling Namespace


Line Class

Line Class ElecNetKit Documentation
A line connecting two buses in the electrical network model.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling PowerDeliveryElement
ElecNetKit.NetworkModelling Line

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class Line : PowerDeliveryElement
[SerializableAttribute]
public class Line : PowerDeliveryElement
<SerializableAttribute> _
Public Class Line _
    Inherits PowerDeliveryElement
<SerializableAttribute> _
Public Class Line _
    Inherits PowerDeliveryElement
[SerializableAttribute]
public ref class Line : public PowerDeliveryElement
[SerializableAttribute]
public ref class Line : public PowerDeliveryElement
See Also
Line Members
ElecNetKit.NetworkModelling Namespace


Line Members

Line Members ElecNetKit Documentation

The Line type exposes the following members.
Constructors
 | Name | Description
Public method | Line | Instantiates a new Line.
Back to Top
Methods
 | Name | Description
Public method | Connect(Bus, Bus) | Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks. (Inherited from PowerDeliveryElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Bus, Bus, Int32 ) | Connects this PowerDeliveryElement between bus1 and bus2 on matching phases. (Inherited from PowerDeliveryElement.)
Public method | Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) | Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2. (Inherited from PowerDeliveryElement.)
Public method | Connect(Int32, Bus, Int32, Bus, Int32) | Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2. (Inherited from PowerDeliveryElement.)
Public method | Connect3Phase | Connects this PowerDeliveryElement between two Buses, on phases 1,2,3. (Inherited from PowerDeliveryElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Public property | Length | The length of the line.
Back to Top
See Also
Line Class
ElecNetKit.NetworkModelling Namespace


Line Constructor

Line Constructor ElecNetKit Documentation
Instantiates a new Line.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Line(
    string ID,
    double Length
)
public Line(
    string ID,
    double Length
)
Public Sub New ( _
    ID As String, _
    Length As Double _
)
Public Sub New ( _
    ID As String, _
    Length As Double _
)
public:
Line(
    String^ ID,
    double Length
)
public:
Line(
    String^ ID,
    double Length
)
Parameters
ID
Type:   Online System String
The ID of the line. Must be unique among lines,
            but not necessarily among all NetworkElements.
Length
Type:   Online System Double
The length of the line.
See Also
Line Class
Line Members
ElecNetKit.NetworkModelling Namespace


Line Methods

Line Methods ElecNetKit Documentation
The Line type exposes the following members.
Methods
 | Name | Description
Public method | Connect(Bus, Bus) | Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks. (Inherited from PowerDeliveryElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Bus, Bus, Int32 ) | Connects this PowerDeliveryElement between bus1 and bus2 on matching phases. (Inherited from PowerDeliveryElement.)
Public method | Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) | Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2. (Inherited from PowerDeliveryElement.)
Public method | Connect(Int32, Bus, Int32, Bus, Int32) | Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2. (Inherited from PowerDeliveryElement.)
Public method | Connect3Phase | Connects this PowerDeliveryElement between two Buses, on phases 1,2,3. (Inherited from PowerDeliveryElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
See Also
Line Class
ElecNetKit.NetworkModelling Namespace


Line Properties

Line Properties ElecNetKit Documentation
The Line type exposes the following members.
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Public property | Length | The length of the line.
Back to Top
See Also
Line Class
ElecNetKit.NetworkModelling Namespace


Length Property

Line Length Property ElecNetKit Documentation
The length of the line.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double Length { get; set; }
public double Length { get; set; }
Public Property Length As Double
    Get
    Set
Public Property Length As Double
    Get
    Set
public:
property double Length {
    double get ();
    void set (double value);
}
public:
property double Length {
    double get ();
    void set (double value);
}
See Also
Line Class
Line Members
ElecNetKit.NetworkModelling Namespace


Load Class

Load Class ElecNetKit Documentation
A kVA-absorbing load on the network.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling PowerConversionElement
ElecNetKit.NetworkModelling Load

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class Load : PowerConversionElement
[SerializableAttribute]
public class Load : PowerConversionElement
<SerializableAttribute> _
Public Class Load _
    Inherits PowerConversionElement
<SerializableAttribute> _
Public Class Load _
    Inherits PowerConversionElement
[SerializableAttribute]
public ref class Load : public PowerConversionElement
[SerializableAttribute]
public ref class Load : public PowerConversionElement
See Also
Load Members
ElecNetKit.NetworkModelling Namespace


Load Members

Load Members ElecNetKit Documentation

The Load type exposes the following members.
Constructors
 | Name | Description
Public method | Load(String, Phased Complex ) | Instantiates a new Load. This constructor is for building arbitrarily-phased networks.
Public method | Load(String, Complex, Int32) | Instantiates a new Load. This constructor is for building balanced networks only.
Back to Top
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks. (Inherited from PowerConversionElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus. (Inherited from PowerConversionElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase. (Inherited from PowerConversionElement.)
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases. (Inherited from PowerConversionElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
Properties
 | Name | Description
Public property | ActualKVA | The total kVA absorbed by the load. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.
Public property | ActualKVAPhased | The kVA absorbed by the load, by phase. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
Load Class
ElecNetKit.NetworkModelling Namespace


Load Constructor

Load Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Load(String, Phased Complex ) | Instantiates a new Load. This constructor is for building arbitrarily-phased networks.
Public method | Load(String, Complex, Int32) | Instantiates a new Load. This constructor is for building balanced networks only.
Back to Top
See Also
Load Class
Load Members
ElecNetKit.NetworkModelling Namespace


Load Constructor (String, Phased(Complex))

Load Constructor (String, Phased Complex ) ElecNetKit Documentation
Instantiates a new Load. This constructor is for building arbitrarily-phased networks.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Load(
    string ID,
    Phased<Complex> ActualKVAPhased
)
public Load(
    string ID,
    Phased<Complex> ActualKVAPhased
)
Public Sub New ( _
    ID As String, _
    ActualKVAPhased As Phased(Of Complex) _
)
Public Sub New ( _
    ID As String, _
    ActualKVAPhased As Phased(Of Complex) _
)
public:
Load(
    String^ ID,
    Phased<Complex>^ ActualKVAPhased
)
public:
Load(
    String^ ID,
    Phased<Complex>^ ActualKVAPhased
)
Parameters
ID
Type:   Online System String
The ID of the load.
ActualKVAPhased
Type: ElecNetKit.NetworkModelling.Phasing Phased    Online Complex
The phased kVA absorbed by the load.
See Also
Load Class
Load Members
Load Overload
ElecNetKit.NetworkModelling Namespace


Load Constructor (String, Complex, Int32)

Load Constructor (String, Complex, Int32) ElecNetKit Documentation
Instantiates a new Load. This constructor is for building balanced networks only.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Load(
    string ID,
    Complex ActualKVA,
    int NumPhases = 3
)
public Load(
    string ID,
    Complex ActualKVA,
    int NumPhases = 3
)
Public Sub New ( _
    ID As String, _
    ActualKVA As Complex, _
    Optional NumPhases As Integer = 3 _
)
Public Sub New ( _
    ID As String, _
    ActualKVA As Complex, _
    Optional NumPhases As Integer = 3 _
)
public:
Load(
    String^ ID,
    Complex ActualKVA,
    int NumPhases = 3
)
public:
Load(
    String^ ID,
    Complex ActualKVA,
    int NumPhases = 3
)
Parameters
ID
Type:   Online System String
The ID of the load.
ActualKVA
Type:   Online System.Numerics Complex
The total kVA absorbed by the load.
NumPhases (Optional)
Type:   Online System Int32
The number of phases to split ActualKVA between.
See Also
Load Class
Load Members
Load Overload
ElecNetKit.NetworkModelling Namespace


Load Methods

Load Methods ElecNetKit Documentation
The Load type exposes the following members.
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks. (Inherited from PowerConversionElement.)
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus. (Inherited from PowerConversionElement.)
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase. (Inherited from PowerConversionElement.)
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases. (Inherited from PowerConversionElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
See Also
Load Class
ElecNetKit.NetworkModelling Namespace


Load Properties

Load Properties ElecNetKit Documentation
The Load type exposes the following members.
Properties
 | Name | Description
Public property | ActualKVA | The total kVA absorbed by the load. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.
Public property | ActualKVAPhased | The kVA absorbed by the load, by phase. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
Load Class
ElecNetKit.NetworkModelling Namespace


ActualKVA Property

Load ActualKVA Property ElecNetKit Documentation
The total kVA absorbed by the load. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Complex ActualKVA { get; set; }
public Complex ActualKVA { get; set; }
Public Property ActualKVA As Complex
    Get
    Set
Public Property ActualKVA As Complex
    Get
    Set
public:
property Complex ActualKVA {
    Complex get ();
    void set (Complex value);
}
public:
property Complex ActualKVA {
    Complex get ();
    void set (Complex value);
}
See Also
Load Class
Load Members
ElecNetKit.NetworkModelling Namespace
Load ActualKVAPhased


ActualKVAPhased Property

Load ActualKVAPhased Property ElecNetKit Documentation
The kVA absorbed by the load, by phase. A positive imaginary quantity corresponds to a lagging power factor, a negative imaginary quantity corresponds to a leading power factor.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Phased<Complex> ActualKVAPhased { get; private set; }
public Phased<Complex> ActualKVAPhased { get; private set; }
Public Property ActualKVAPhased As Phased(Of Complex)
    Get
    Private Set
Public Property ActualKVAPhased As Phased(Of Complex)
    Get
    Private Set
public:
property Phased<Complex>^ ActualKVAPhased {
    Phased<Complex>^ get ();
    private: void set (Phased<Complex>^ value);
}
public:
property Phased<Complex>^ ActualKVAPhased {
    Phased<Complex>^ get ();
    private: void set (Phased<Complex>^ value);
}
See Also
Load Class
Load Members
ElecNetKit.NetworkModelling Namespace


NetworkElement Class

NetworkElement Class ElecNetKit Documentation
The NetworkElement defines the basic interconnection model between elements of the electrical network.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling Bus
ElecNetKit.NetworkModelling PowerConversionElement
ElecNetKit.NetworkModelling PowerDeliveryElement

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public abstract class NetworkElement : IDeserializationCallback
[SerializableAttribute]
public abstract class NetworkElement : IDeserializationCallback
<SerializableAttribute> _
Public MustInherit Class NetworkElement _
    Implements IDeserializationCallback
<SerializableAttribute> _
Public MustInherit Class NetworkElement _
    Implements IDeserializationCallback
[SerializableAttribute]
public ref class NetworkElement abstract : IDeserializationCallback
[SerializableAttribute]
public ref class NetworkElement abstract : IDeserializationCallback
See Also
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


NetworkElement Members

NetworkElement Members ElecNetKit Documentation

The NetworkElement type exposes the following members.
Constructors
 | Name | Description
Public method | NetworkElement | Instantiate a new NetworkElement. Initialises the network element to be connected to nothing.
Back to Top
Methods
 | Name | Description
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing.
 | Connect(NetworkElement, Int32, NetworkElement, Int32) | Connects a NetworkElement to a single other NetworkElement, with a specified phasing.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing.
 | ConnectBetween(NetworkElement, Int32, NetworkElement, Int32, NetworkElement, Int32) | Connect a NetworkElement between two other NetworkElements, with a specific phasing.
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists.
 | ConnectionExists(NetworkElement, Int32, NetworkElement, Int32) | Test if a specific connection between elements on specific phases exists.
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases.
 | Disconnect(NetworkElement, NetworkElement) | Disconnects two NetworkElement from each other across all phases.
 | Disconnect(NetworkElement, Int32, NetworkElement, Int32) | Disconnects a specific phased connection between network elements.
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation.
Back to Top
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0).
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks.
Public property | ConnectedToAnyPhase | All connected elements, across any phase.
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase.
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc.
Public property | ID | The ID of this specific element.
Back to Top
See Also
NetworkElement Class
ElecNetKit.NetworkModelling Namespace


NetworkElement Constructor

NetworkElement Constructor ElecNetKit Documentation
Instantiate a new NetworkElement. Initialises the network element to be connected to nothing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkElement()
public NetworkElement()
Public Sub New
Public Sub New
public:
NetworkElement()
public:
NetworkElement()
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


NetworkElement Methods

NetworkElement Methods ElecNetKit Documentation
The NetworkElement type exposes the following members.
Methods
 | Name | Description
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing.
 | Connect(NetworkElement, Int32, NetworkElement, Int32) | Connects a NetworkElement to a single other NetworkElement, with a specified phasing.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing.
 | ConnectBetween(NetworkElement, Int32, NetworkElement, Int32, NetworkElement, Int32) | Connect a NetworkElement between two other NetworkElements, with a specific phasing.
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists.
 | ConnectionExists(NetworkElement, Int32, NetworkElement, Int32) | Test if a specific connection between elements on specific phases exists.
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases.
 | Disconnect(NetworkElement, NetworkElement) | Disconnects two NetworkElement from each other across all phases.
 | Disconnect(NetworkElement, Int32, NetworkElement, Int32) | Disconnects a specific phased connection between network elements.
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation.
Back to Top
See Also
NetworkElement Class
ElecNetKit.NetworkModelling Namespace


Connect Method

NetworkElement Connect Method ElecNetKit Documentation
Overload List
 | Name | Description
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing.
 | Connect(NetworkElement, Int32, NetworkElement, Int32) | Connects a NetworkElement to a single other NetworkElement, with a specified phasing.
Back to Top
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


Connect Method (Int32, NetworkElement, Int32)

NetworkElement Connect Method (Int32, NetworkElement, Int32) ElecNetKit Documentation
Connects this NetworkElement to a single other NetworkElement, with a specified phasing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void Connect(
    int thisPhase,
    NetworkElement connectTo,
    int connectToPhase
)
protected void Connect(
    int thisPhase,
    NetworkElement connectTo,
    int connectToPhase
)
Protected Sub Connect ( _
    thisPhase As Integer, _
    connectTo As NetworkElement, _
    connectToPhase As Integer _
)
Protected Sub Connect ( _
    thisPhase As Integer, _
    connectTo As NetworkElement, _
    connectToPhase As Integer _
)
protected:
void Connect(
    int thisPhase,
    NetworkElement^ connectTo,
    int connectToPhase
)
protected:
void Connect(
    int thisPhase,
    NetworkElement^ connectTo,
    int connectToPhase
)
Parameters
thisPhase
Type:   Online System Int32
The phase of this element to connect.
connectTo
Type: ElecNetKit.NetworkModelling NetworkElement
The other element to connect.
connectToPhase
Type:   Online System Int32
The phase of the other element to connect.
See Also
NetworkElement Class
NetworkElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect Method (NetworkElement, Int32, NetworkElement, Int32)

NetworkElement Connect Method (NetworkElement, Int32, NetworkElement, Int32) ElecNetKit Documentation
Connects a NetworkElement to a single other NetworkElement, with a specified phasing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected static void Connect(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
protected static void Connect(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
Protected Shared Sub Connect ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
)
Protected Shared Sub Connect ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
)
protected:
static void Connect(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
protected:
static void Connect(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
Parameters
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The first element to connect.
phase1
Type:   Online System Int32
The phase of the first element to connect.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The second element to connect.
phase2
Type:   Online System Int32
The phase of the second element to connect.
See Also
NetworkElement Class
NetworkElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


ConnectBetween Method

NetworkElement ConnectBetween Method ElecNetKit Documentation
Overload List
 | Name | Description
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing.
 | ConnectBetween(NetworkElement, Int32, NetworkElement, Int32, NetworkElement, Int32) | Connect a NetworkElement between two other NetworkElements, with a specific phasing.
Back to Top
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ConnectBetween Method (Int32, NetworkElement, Int32, NetworkElement, Int32)

NetworkElement ConnectBetween Method (Int32, NetworkElement, Int32, NetworkElement, Int32) ElecNetKit Documentation
Connects the NetworkElement between two other NetworkElements, with a specific phasing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void ConnectBetween(
    int thisElemPhase,
    NetworkElement elem1,
    int elem1Phase,
    NetworkElement elem2,
    int elem2Phase
)
protected void ConnectBetween(
    int thisElemPhase,
    NetworkElement elem1,
    int elem1Phase,
    NetworkElement elem2,
    int elem2Phase
)
Protected Sub ConnectBetween ( _
    thisElemPhase As Integer, _
    elem1 As NetworkElement, _
    elem1Phase As Integer, _
    elem2 As NetworkElement, _
    elem2Phase As Integer _
)
Protected Sub ConnectBetween ( _
    thisElemPhase As Integer, _
    elem1 As NetworkElement, _
    elem1Phase As Integer, _
    elem2 As NetworkElement, _
    elem2Phase As Integer _
)
protected:
void ConnectBetween(
    int thisElemPhase,
    NetworkElement^ elem1,
    int elem1Phase,
    NetworkElement^ elem2,
    int elem2Phase
)
protected:
void ConnectBetween(
    int thisElemPhase,
    NetworkElement^ elem1,
    int elem1Phase,
    NetworkElement^ elem2,
    int elem2Phase
)
Parameters
thisElemPhase
Type:   Online System Int32
The phase that should be connected.
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The element to connect to this element on one side.
elem1Phase
Type:   Online System Int32
The phase of elem1 that should be connected.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The element to connect to this element on the other side.
elem2Phase
Type:   Online System Int32
The phase of elem2 that should be connected.
See Also
NetworkElement Class
NetworkElement Members
ConnectBetween Overload
ElecNetKit.NetworkModelling Namespace


ConnectBetween Method (NetworkElement, Int32, NetworkElement, Int32, NetworkElement, Int32)

NetworkElement ConnectBetween Method (NetworkElement, Int32, NetworkElement, Int32, NetworkElement, Int32) ElecNetKit Documentation
Connect a NetworkElement between two other NetworkElements, with a specific phasing.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected static void ConnectBetween(
    NetworkElement thisElem,
    int thisElemPhase,
    NetworkElement elem1,
    int elem1Phase,
    NetworkElement elem2,
    int elem2Phase
)
protected static void ConnectBetween(
    NetworkElement thisElem,
    int thisElemPhase,
    NetworkElement elem1,
    int elem1Phase,
    NetworkElement elem2,
    int elem2Phase
)
Protected Shared Sub ConnectBetween ( _
    thisElem As NetworkElement, _
    thisElemPhase As Integer, _
    elem1 As NetworkElement, _
    elem1Phase As Integer, _
    elem2 As NetworkElement, _
    elem2Phase As Integer _
)
Protected Shared Sub ConnectBetween ( _
    thisElem As NetworkElement, _
    thisElemPhase As Integer, _
    elem1 As NetworkElement, _
    elem1Phase As Integer, _
    elem2 As NetworkElement, _
    elem2Phase As Integer _
)
protected:
static void ConnectBetween(
    NetworkElement^ thisElem,
    int thisElemPhase,
    NetworkElement^ elem1,
    int elem1Phase,
    NetworkElement^ elem2,
    int elem2Phase
)
protected:
static void ConnectBetween(
    NetworkElement^ thisElem,
    int thisElemPhase,
    NetworkElement^ elem1,
    int elem1Phase,
    NetworkElement^ elem2,
    int elem2Phase
)
Parameters
thisElem
Type: ElecNetKit.NetworkModelling NetworkElement
The element to connect in between the other two elements.
thisElemPhase
Type:   Online System Int32
The phase of thisElem that should be connected.
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The element to connect to thisElem on one side.
elem1Phase
Type:   Online System Int32
The phase of elem1 that should be connected.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The element to connect to thisElem on the other side.
elem2Phase
Type:   Online System Int32
The phase of elem2 that should be connected.
See Also
NetworkElement Class
NetworkElement Members
ConnectBetween Overload
ElecNetKit.NetworkModelling Namespace


ConnectionExists Method

NetworkElement ConnectionExists Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists.
 | ConnectionExists(NetworkElement, Int32, NetworkElement, Int32) | Test if a specific connection between elements on specific phases exists.
Back to Top
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ConnectionExists Method (Int32, NetworkElement, Int32)

NetworkElement ConnectionExists Method (Int32, NetworkElement, Int32) ElecNetKit Documentation
Test if a specific connection between this element and another element on specific phases exists.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ConnectionExists(
    int thisElemPhase,
    NetworkElement otherElem,
    int otherElemPhase
)
public bool ConnectionExists(
    int thisElemPhase,
    NetworkElement otherElem,
    int otherElemPhase
)
Public Function ConnectionExists ( _
    thisElemPhase As Integer, _
    otherElem As NetworkElement, _
    otherElemPhase As Integer _
) As Boolean
Public Function ConnectionExists ( _
    thisElemPhase As Integer, _
    otherElem As NetworkElement, _
    otherElemPhase As Integer _
) As Boolean
public:
bool ConnectionExists(
    int thisElemPhase,
    NetworkElement^ otherElem,
    int otherElemPhase
)
public:
bool ConnectionExists(
    int thisElemPhase,
    NetworkElement^ otherElem,
    int otherElemPhase
)
Parameters
thisElemPhase
Type:   Online System Int32
The phase of this element to check.
otherElem
Type: ElecNetKit.NetworkModelling NetworkElement
The second element to check.
otherElemPhase
Type:   Online System Int32
The phase of otherElem to check.
Return Value
true if the specifically requested connection exists.
See Also
NetworkElement Class
NetworkElement Members
ConnectionExists Overload
ElecNetKit.NetworkModelling Namespace


ConnectionExists Method (NetworkElement, Int32, NetworkElement, Int32)

NetworkElement ConnectionExists Method (NetworkElement, Int32, NetworkElement, Int32) ElecNetKit Documentation
Test if a specific connection between elements on specific phases exists.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool ConnectionExists(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
public static bool ConnectionExists(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
Public Shared Function ConnectionExists ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
) As Boolean
Public Shared Function ConnectionExists ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
) As Boolean
public:
static bool ConnectionExists(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
public:
static bool ConnectionExists(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
Parameters
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The first element to check.
phase1
Type:   Online System Int32
The phase of elem1 to check.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The second element to check.
phase2
Type:   Online System Int32
The phase of elem2 to check.
Return Value
true if the specifically requested connection exists.
See Also
NetworkElement Class
NetworkElement Members
ConnectionExists Overload
ElecNetKit.NetworkModelling Namespace


Disconnect Method

NetworkElement Disconnect Method ElecNetKit Documentation
Overload List
 | Name | Description
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases.
 | Disconnect(NetworkElement, NetworkElement) | Disconnects two NetworkElement from each other across all phases.
 | Disconnect(NetworkElement, Int32, NetworkElement, Int32) | Disconnects a specific phased connection between network elements.
Back to Top
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


Disconnect Method (NetworkElement)

NetworkElement Disconnect Method (NetworkElement) ElecNetKit Documentation
Disconnect this network element from another network element across all phases.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected void Disconnect(
    NetworkElement elem
)
protected void Disconnect(
    NetworkElement elem
)
Protected Sub Disconnect ( _
    elem As NetworkElement _
)
Protected Sub Disconnect ( _
    elem As NetworkElement _
)
protected:
void Disconnect(
    NetworkElement^ elem
)
protected:
void Disconnect(
    NetworkElement^ elem
)
Parameters
elem
Type: ElecNetKit.NetworkModelling NetworkElement
The NetworkElement to disconnect from.
See Also
NetworkElement Class
NetworkElement Members
Disconnect Overload
ElecNetKit.NetworkModelling Namespace


Disconnect Method (NetworkElement, NetworkElement)

NetworkElement Disconnect Method (NetworkElement, NetworkElement) ElecNetKit Documentation
Disconnects two NetworkElement from each other across all phases.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected static void Disconnect(
    NetworkElement elem1,
    NetworkElement elem2
)
protected static void Disconnect(
    NetworkElement elem1,
    NetworkElement elem2
)
Protected Shared Sub Disconnect ( _
    elem1 As NetworkElement, _
    elem2 As NetworkElement _
)
Protected Shared Sub Disconnect ( _
    elem1 As NetworkElement, _
    elem2 As NetworkElement _
)
protected:
static void Disconnect(
    NetworkElement^ elem1,
    NetworkElement^ elem2
)
protected:
static void Disconnect(
    NetworkElement^ elem1,
    NetworkElement^ elem2
)
Parameters
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The first element to disconnect.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The second element to disconnect.
See Also
NetworkElement Class
NetworkElement Members
Disconnect Overload
ElecNetKit.NetworkModelling Namespace


Disconnect Method (NetworkElement, Int32, NetworkElement, Int32)

NetworkElement Disconnect Method (NetworkElement, Int32, NetworkElement, Int32) ElecNetKit Documentation
Disconnects a specific phased connection between network elements.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected static void Disconnect(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
protected static void Disconnect(
    NetworkElement elem1,
    int phase1,
    NetworkElement elem2,
    int phase2
)
Protected Shared Sub Disconnect ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
)
Protected Shared Sub Disconnect ( _
    elem1 As NetworkElement, _
    phase1 As Integer, _
    elem2 As NetworkElement, _
    phase2 As Integer _
)
protected:
static void Disconnect(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
protected:
static void Disconnect(
    NetworkElement^ elem1,
    int phase1,
    NetworkElement^ elem2,
    int phase2
)
Parameters
elem1
Type: ElecNetKit.NetworkModelling NetworkElement
The first element to disconnect.
phase1
Type:   Online System Int32
The phase that the connection is currently on, for elem1.
elem2
Type: ElecNetKit.NetworkModelling NetworkElement
The second element to disconnect.
phase2
Type:   Online System Int32
The phase that the connection is currently on, for elem2.
See Also
NetworkElement Class
NetworkElement Members
Disconnect Overload
ElecNetKit.NetworkModelling Namespace


OnDeserialization Method

NetworkElement OnDeserialization Method ElecNetKit Documentation
Reconstructs the NetworkElement after deserialisation.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public virtual void OnDeserialization(
    Object sender
)
public virtual void OnDeserialization(
    Object sender
)
Public Overridable Sub OnDeserialization ( _
    sender As Object _
)
Public Overridable Sub OnDeserialization ( _
    sender As Object _
)
public:
virtual void OnDeserialization(
    Object^ sender
)
public:
virtual void OnDeserialization(
    Object^ sender
)
Parameters
sender
Type:   Online System Object
This value is unused.
Implements
  Online IDeserializationCallback OnDeserialization(Object)
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


NetworkElement Properties

NetworkElement Properties ElecNetKit Documentation
The NetworkElement type exposes the following members.
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0).
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks.
Public property | ConnectedToAnyPhase | All connected elements, across any phase.
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase.
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc.
Public property | ID | The ID of this specific element.
Back to Top
See Also
NetworkElement Class
ElecNetKit.NetworkModelling Namespace


ConnectedOnAllActivePhases Property

NetworkElement ConnectedOnAllActivePhases Property ElecNetKit Documentation
All elements that are connected to this element across all active phases (and possibly across neutral, phase 0).

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<NetworkElement> ConnectedOnAllActivePhases { get; }
public IEnumerable<NetworkElement> ConnectedOnAllActivePhases { get; }
Public ReadOnly Property ConnectedOnAllActivePhases As IEnumerable(Of NetworkElement)
    Get
Public ReadOnly Property ConnectedOnAllActivePhases As IEnumerable(Of NetworkElement)
    Get
public:
property IEnumerable<NetworkElement^>^ ConnectedOnAllActivePhases {
    IEnumerable<NetworkElement^>^ get ();
}
public:
property IEnumerable<NetworkElement^>^ ConnectedOnAllActivePhases {
    IEnumerable<NetworkElement^>^ get ();
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ConnectedTo Property

NetworkElement ConnectedTo Property ElecNetKit Documentation
A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<NetworkElement> ConnectedTo { get; }
public IEnumerable<NetworkElement> ConnectedTo { get; }
Public ReadOnly Property ConnectedTo As IEnumerable(Of NetworkElement)
    Get
Public ReadOnly Property ConnectedTo As IEnumerable(Of NetworkElement)
    Get
public:
property IEnumerable<NetworkElement^>^ ConnectedTo {
    IEnumerable<NetworkElement^>^ get ();
}
public:
property IEnumerable<NetworkElement^>^ ConnectedTo {
    IEnumerable<NetworkElement^>^ get ();
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ConnectedToAnyPhase Property

NetworkElement ConnectedToAnyPhase Property ElecNetKit Documentation
All connected elements, across any phase.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<NetworkElement> ConnectedToAnyPhase { get; }
public IEnumerable<NetworkElement> ConnectedToAnyPhase { get; }
Public ReadOnly Property ConnectedToAnyPhase As IEnumerable(Of NetworkElement)
    Get
Public ReadOnly Property ConnectedToAnyPhase As IEnumerable(Of NetworkElement)
    Get
public:
property IEnumerable<NetworkElement^>^ ConnectedToAnyPhase {
    IEnumerable<NetworkElement^>^ get ();
}
public:
property IEnumerable<NetworkElement^>^ ConnectedToAnyPhase {
    IEnumerable<NetworkElement^>^ get ();
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ConnectedToPhased Property

NetworkElement ConnectedToPhased Property ElecNetKit Documentation
A set of other elements that the NetworkElement is connected to, arranged by phase.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Phased<ReadOnlyCollection<NetworkElementConnection>> ConnectedToPhased { get; }
public Phased<ReadOnlyCollection<NetworkElementConnection>> ConnectedToPhased { get; }
Public ReadOnly Property ConnectedToPhased As Phased(Of ReadOnlyCollection(Of NetworkElementConnection))
    Get
Public ReadOnly Property ConnectedToPhased As Phased(Of ReadOnlyCollection(Of NetworkElementConnection))
    Get
public:
property Phased<ReadOnlyCollection<NetworkElementConnection>^>^ ConnectedToPhased {
    Phased<ReadOnlyCollection<NetworkElementConnection>^>^ get ();
}
public:
property Phased<ReadOnlyCollection<NetworkElementConnection>^>^ ConnectedToPhased {
    Phased<ReadOnlyCollection<NetworkElementConnection>^>^ get ();
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ElementType Property

NetworkElement ElementType Property ElecNetKit Documentation
Gets a type-string for the element, e.g. 'Bus', 'Load', etc.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ElementType { get; }
public string ElementType { get; }
Public ReadOnly Property ElementType As String
    Get
Public ReadOnly Property ElementType As String
    Get
public:
property String^ ElementType {
    String^ get ();
}
public:
property String^ ElementType {
    String^ get ();
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


ID Property

NetworkElement ID Property ElecNetKit Documentation
The ID of this specific element.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string ID { get; protected set; }
public string ID { get; protected set; }
Public Property ID As String
    Get
    Protected Set
Public Property ID As String
    Get
    Protected Set
public:
property String^ ID {
    String^ get ();
    protected: void set (String^ value);
}
public:
property String^ ID {
    String^ get ();
    protected: void set (String^ value);
}
See Also
NetworkElement Class
NetworkElement Members
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Structure

NetworkElementConnection Structure ElecNetKit Documentation
A structure that defines a single connection to another network element, specifying a network element and a phase to connect on.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public struct NetworkElementConnection
[SerializableAttribute]
public struct NetworkElementConnection
<SerializableAttribute> _
Public Structure NetworkElementConnection
<SerializableAttribute> _
Public Structure NetworkElementConnection
[SerializableAttribute]
public value class NetworkElementConnection
[SerializableAttribute]
public value class NetworkElementConnection
See Also
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Members

NetworkElementConnection Members ElecNetKit Documentation

The NetworkElementConnection type exposes the following members.
Constructors
 | Name | Description
Public method | NetworkElementConnection | Creates a new NetworkElementConnection.
Back to Top
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides Online ValueType Equals(Object).)
Public method | Equals(NetworkElementConnection) | Compares between this and another NetworkElementConnection for member-wise equality.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online ValueType GetHashCode .)
Public method | ToString | Returns the fully qualified type name of this instance. (Overrides Online ValueType ToString .)
Back to Top
Operators
Name | Description
Equality | Tests for member-wise equality between a and b.
Inequality | Tests for inequality between a and b. Defined as !(a == b).
Back to Top
Properties
 | Name | Description
Public property | Element | The NetworkElement that this structure represents a connection to.
Public property | Phase | The phase of Element that this structure represents a connection to.
Back to Top
See Also
NetworkElementConnection Structure
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Constructor

NetworkElementConnection Constructor ElecNetKit Documentation
Creates a new NetworkElementConnection.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkElementConnection(
    NetworkElement Element,
    int Phase
)
public NetworkElementConnection(
    NetworkElement Element,
    int Phase
)
Public Sub New ( _
    Element As NetworkElement, _
    Phase As Integer _
)
Public Sub New ( _
    Element As NetworkElement, _
    Phase As Integer _
)
public:
NetworkElementConnection(
    NetworkElement^ Element,
    int Phase
)
public:
NetworkElementConnection(
    NetworkElement^ Element,
    int Phase
)
Parameters
Element
Type: ElecNetKit.NetworkModelling NetworkElement
The NetworkElement that this structure represents a connection to.
Phase
Type:   Online System Int32
The phase of Element that this structure represents a connection to.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Methods

NetworkElementConnection Methods ElecNetKit Documentation
The NetworkElementConnection type exposes the following members.
Methods
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides Online ValueType Equals(Object).)
Public method | Equals(NetworkElementConnection) | Compares between this and another NetworkElementConnection for member-wise equality.
Public method | GetHashCode | Returns the hash code for this instance. (Overrides Online ValueType GetHashCode .)
Public method | ToString | Returns the fully qualified type name of this instance. (Overrides Online ValueType ToString .)
Back to Top
See Also
NetworkElementConnection Structure
ElecNetKit.NetworkModelling Namespace


Equals Method

NetworkElementConnection Equals Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Equals(Object) | Indicates whether this instance and a specified object are equal. (Overrides Online ValueType Equals(Object).)
Public method | Equals(NetworkElementConnection) | Compares between this and another NetworkElementConnection for member-wise equality.
Back to Top
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


Equals Method (Object)

NetworkElementConnection Equals Method (Object) ElecNetKit Documentation
Indicates whether this instance and a specified object are equal.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override bool Equals(
    Object obj
)
public override bool Equals(
    Object obj
)
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
Public Overrides Function Equals ( _
    obj As Object _
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
public:
virtual bool Equals(
    Object^ obj
) override
Parameters
obj
Type:   Online System Object
Another object to compare to.
Return Value
true if obj and this instance are the same type and represent the same value; otherwise, false.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
Equals Overload
ElecNetKit.NetworkModelling Namespace


Equals Method (NetworkElementConnection)

NetworkElementConnection Equals Method (NetworkElementConnection) ElecNetKit Documentation
Compares between this and another NetworkElementConnection for member-wise equality.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Equals(
    NetworkElementConnection obj
)
public bool Equals(
    NetworkElementConnection obj
)
Public Function Equals ( _
    obj As NetworkElementConnection _
) As Boolean
Public Function Equals ( _
    obj As NetworkElementConnection _
) As Boolean
public:
bool Equals(
    NetworkElementConnection obj
)
public:
bool Equals(
    NetworkElementConnection obj
)
Parameters
obj
Type: ElecNetKit.NetworkModelling NetworkElementConnection
The other NetworkElementConnection to compare to.
Return Value
true if the two elements are equal.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
Equals Overload
ElecNetKit.NetworkModelling Namespace


GetHashCode Method

NetworkElementConnection GetHashCode Method ElecNetKit Documentation
Returns the hash code for this instance.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override int GetHashCode()
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
public:
virtual int GetHashCode() override
Return Value
A 32-bit signed integer that is the hash code for this instance.
Remarks
This function is based on the method proposed by   Online Dan Bernstein
            and used extensively on   Online Stack Overflow.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


ToString Method

NetworkElementConnection ToString Method ElecNetKit Documentation
Returns the fully qualified type name of this instance.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
A   Online String containing a fully qualified type name.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Operators

NetworkElementConnection Operators ElecNetKit Documentation
The NetworkElementConnection type exposes the following members.
Operators
Name | Description
Equality | Tests for member-wise equality between a and b.
Inequality | Tests for inequality between a and b. Defined as !(a == b).
Back to Top
See Also
NetworkElementConnection Structure
ElecNetKit.NetworkModelling Namespace


Equality Operator

NetworkElementConnection Equality Operator ElecNetKit Documentation
Tests for member-wise equality between a and b.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator ==(
    NetworkElementConnection a,
    NetworkElementConnection b
)
public static bool operator ==(
    NetworkElementConnection a,
    NetworkElementConnection b
)
Public Shared Operator = ( _
    a As NetworkElementConnection, _
    b As NetworkElementConnection _
) As Boolean
Public Shared Operator = ( _
    a As NetworkElementConnection, _
    b As NetworkElementConnection _
) As Boolean
public:
static bool operator ==(
    NetworkElementConnection a,
    NetworkElementConnection b
)
public:
static bool operator ==(
    NetworkElementConnection a,
    NetworkElementConnection b
)
Parameters
a
Type: ElecNetKit.NetworkModelling NetworkElementConnection
The first connection to check.
b
Type: ElecNetKit.NetworkModelling NetworkElementConnection
The second connection to check.
Return Value
true if the two NetworkElementConnections are equal.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


Inequality Operator

NetworkElementConnection Inequality Operator ElecNetKit Documentation
Tests for inequality between a and b. Defined as !(a == b).

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static bool operator !=(
    NetworkElementConnection a,
    NetworkElementConnection b
)
public static bool operator !=(
    NetworkElementConnection a,
    NetworkElementConnection b
)
Public Shared Operator <> ( _
    a As NetworkElementConnection, _
    b As NetworkElementConnection _
) As Boolean
Public Shared Operator <> ( _
    a As NetworkElementConnection, _
    b As NetworkElementConnection _
) As Boolean
public:
static bool operator !=(
    NetworkElementConnection a,
    NetworkElementConnection b
)
public:
static bool operator !=(
    NetworkElementConnection a,
    NetworkElementConnection b
)
Parameters
a
Type: ElecNetKit.NetworkModelling NetworkElementConnection
The first connection to check.
b
Type: ElecNetKit.NetworkModelling NetworkElementConnection
The second connection to check.
Return Value
true if the two NetworkElementConnections are not equal.
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


NetworkElementConnection Properties

NetworkElementConnection Properties ElecNetKit Documentation
The NetworkElementConnection type exposes the following members.
Properties
 | Name | Description
Public property | Element | The NetworkElement that this structure represents a connection to.
Public property | Phase | The phase of Element that this structure represents a connection to.
Back to Top
See Also
NetworkElementConnection Structure
ElecNetKit.NetworkModelling Namespace


Element Property

NetworkElementConnection Element Property ElecNetKit Documentation
The NetworkElement that this structure represents a connection to.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkElement Element { get; }
public NetworkElement Element { get; }
Public ReadOnly Property Element As NetworkElement
    Get
Public ReadOnly Property Element As NetworkElement
    Get
public:
property NetworkElement^ Element {
    NetworkElement^ get ();
}
public:
property NetworkElement^ Element {
    NetworkElement^ get ();
}
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


Phase Property

NetworkElementConnection Phase Property ElecNetKit Documentation
The phase of Element that this structure represents a connection to.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Phase { get; }
public int Phase { get; }
Public ReadOnly Property Phase As Integer
    Get
Public ReadOnly Property Phase As Integer
    Get
public:
property int Phase {
    int get ();
}
public:
property int Phase {
    int get ();
}
See Also
NetworkElementConnection Structure
NetworkElementConnection Members
ElecNetKit.NetworkModelling Namespace


NetworkModel Class

NetworkModel Class ElecNetKit Documentation
Defines the entire network model, in terms of buses, lines, loads, generators and the connections between them.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkModel

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class NetworkModel
[SerializableAttribute]
public class NetworkModel
<SerializableAttribute> _
Public Class NetworkModel
<SerializableAttribute> _
Public Class NetworkModel
[SerializableAttribute]
public ref class NetworkModel
[SerializableAttribute]
public ref class NetworkModel
See Also
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


NetworkModel Members

NetworkModel Members ElecNetKit Documentation

The NetworkModel type exposes the following members.
Constructors
 | Name | Description
Public method | NetworkModel | Instantiates a new NetworkModel.
Back to Top
Methods
 | Name | Description
Protected method | FindNetworkBounds | Finds a bounding box for the network elements.
Public method | UpdateNetworkBounds | Updates the network bounds based upon the XY coordinates of the network buses.
Back to Top
Fields
 | Name | Description
Protected field | networkBounds | A rectangle indicating the outer limits of the XY coordinates of the network buses.
Back to Top
Properties
 | Name | Description
Public property | Buses | A dictionary of buses in the network, indexed by Bus ID so as to be easier to find and connect to other network elements.
Public property | Generators | Every generator in the network.
Public property | Lines | Every line in the network.
Public property | Loads | Every load in the network.
Public property | LosseskVA | The total losses on the network, across all phases, in kVA.
Public property | NetworkBounds | The bounding box of all network elements in network coordinates. Calculated on network construction, or by calling UpdateNetworkBounds .
Public property | SourceBus | The source (stiff, fixed) bus of the network.
Back to Top
See Also
NetworkModel Class
ElecNetKit.NetworkModelling Namespace


NetworkModel Constructor

NetworkModel Constructor ElecNetKit Documentation
Instantiates a new NetworkModel.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkModel(
    Dictionary<string, Bus> Buses,
    Collection<Line> Lines,
    Collection<Load> Loads,
    Collection<Generator> Generators,
    Complex Losses,
    Bus SourceBus
)
public NetworkModel(
    Dictionary<string, Bus> Buses,
    Collection<Line> Lines,
    Collection<Load> Loads,
    Collection<Generator> Generators,
    Complex Losses,
    Bus SourceBus
)
Public Sub New ( _
    Buses As Dictionary(Of String, Bus), _
    Lines As Collection(Of Line), _
    Loads As Collection(Of Load), _
    Generators As Collection(Of Generator), _
    Losses As Complex, _
    SourceBus As Bus _
)
Public Sub New ( _
    Buses As Dictionary(Of String, Bus), _
    Lines As Collection(Of Line), _
    Loads As Collection(Of Load), _
    Generators As Collection(Of Generator), _
    Losses As Complex, _
    SourceBus As Bus _
)
public:
NetworkModel(
    Dictionary<String^, Bus^>^ Buses,
    Collection<Line^>^ Lines,
    Collection<Load^>^ Loads,
    Collection<Generator^>^ Generators,
    Complex Losses,
    Bus^ SourceBus
)
public:
NetworkModel(
    Dictionary<String^, Bus^>^ Buses,
    Collection<Line^>^ Lines,
    Collection<Load^>^ Loads,
    Collection<Generator^>^ Generators,
    Complex Losses,
    Bus^ SourceBus
)
Parameters
Buses
Type:   Online System.Collections.Generic Dictionary    Online String, Bus
All the buses in the network.
Lines
Type:   Online System.Collections.ObjectModel Collection  Line
All the lines in the network.
Loads
Type:   Online System.Collections.ObjectModel Collection  Load
All the loads in the network.
Generators
Type:   Online System.Collections.ObjectModel Collection  Generator
All the generators in the network.
Losses
Type:   Online System.Numerics Complex
The losses (in kVA) across the whole network.
SourceBus
Type: ElecNetKit.NetworkModelling Bus
The source bus (fixed bus) of the network.
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


NetworkModel Fields

NetworkModel Fields ElecNetKit Documentation
The NetworkModel type exposes the following members.
Fields
 | Name | Description
Protected field | networkBounds | A rectangle indicating the outer limits of the XY coordinates of the network buses.
Back to Top
See Also
NetworkModel Class
ElecNetKit.NetworkModelling Namespace


networkBounds Field

NetworkModel networkBounds Field ElecNetKit Documentation
A rectangle indicating the outer limits of the XY coordinates of the network buses.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Rect networkBounds
protected Rect networkBounds
Protected networkBounds As Rect
Protected networkBounds As Rect
protected:
Rect networkBounds
protected:
Rect networkBounds
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


NetworkModel Methods

NetworkModel Methods ElecNetKit Documentation
The NetworkModel type exposes the following members.
Methods
 | Name | Description
Protected method | FindNetworkBounds | Finds a bounding box for the network elements.
Public method | UpdateNetworkBounds | Updates the network bounds based upon the XY coordinates of the network buses.
Back to Top
See Also
NetworkModel Class
ElecNetKit.NetworkModelling Namespace


FindNetworkBounds Method

NetworkModel FindNetworkBounds Method ElecNetKit Documentation
Finds a bounding box for the network elements.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Rect FindNetworkBounds()
protected Rect FindNetworkBounds()
Protected Function FindNetworkBounds As Rect
Protected Function FindNetworkBounds As Rect
protected:
Rect FindNetworkBounds()
protected:
Rect FindNetworkBounds()
Return Value
A bounding box (in network coords) that contains all the objects in the network.
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


UpdateNetworkBounds Method

NetworkModel UpdateNetworkBounds Method ElecNetKit Documentation
Updates the network bounds based upon the XY coordinates of the network buses.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void UpdateNetworkBounds()
public void UpdateNetworkBounds()
Public Sub UpdateNetworkBounds
Public Sub UpdateNetworkBounds
public:
void UpdateNetworkBounds()
public:
void UpdateNetworkBounds()
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


NetworkModel Properties

NetworkModel Properties ElecNetKit Documentation
The NetworkModel type exposes the following members.
Properties
 | Name | Description
Public property | Buses | A dictionary of buses in the network, indexed by Bus ID so as to be easier to find and connect to other network elements.
Public property | Generators | Every generator in the network.
Public property | Lines | Every line in the network.
Public property | Loads | Every load in the network.
Public property | LosseskVA | The total losses on the network, across all phases, in kVA.
Public property | NetworkBounds | The bounding box of all network elements in network coordinates. Calculated on network construction, or by calling UpdateNetworkBounds .
Public property | SourceBus | The source (stiff, fixed) bus of the network.
Back to Top
See Also
NetworkModel Class
ElecNetKit.NetworkModelling Namespace


Buses Property

NetworkModel Buses Property ElecNetKit Documentation
A dictionary of buses in the network, indexed by Bus ID so as to be easier to find and connect to other network elements.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<string, Bus> Buses { get; protected set; }
public Dictionary<string, Bus> Buses { get; protected set; }
Public Property Buses As Dictionary(Of String, Bus)
    Get
    Protected Set
Public Property Buses As Dictionary(Of String, Bus)
    Get
    Protected Set
public:
property Dictionary<String^, Bus^>^ Buses {
    Dictionary<String^, Bus^>^ get ();
    protected: void set (Dictionary<String^, Bus^>^ value);
}
public:
property Dictionary<String^, Bus^>^ Buses {
    Dictionary<String^, Bus^>^ get ();
    protected: void set (Dictionary<String^, Bus^>^ value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


Generators Property

NetworkModel Generators Property ElecNetKit Documentation
Every generator in the network.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Collection<Generator> Generators { get; protected set; }
public Collection<Generator> Generators { get; protected set; }
Public Property Generators As Collection(Of Generator)
    Get
    Protected Set
Public Property Generators As Collection(Of Generator)
    Get
    Protected Set
public:
property Collection<Generator^>^ Generators {
    Collection<Generator^>^ get ();
    protected: void set (Collection<Generator^>^ value);
}
public:
property Collection<Generator^>^ Generators {
    Collection<Generator^>^ get ();
    protected: void set (Collection<Generator^>^ value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


Lines Property

NetworkModel Lines Property ElecNetKit Documentation
Every line in the network.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Collection<Line> Lines { get; protected set; }
public Collection<Line> Lines { get; protected set; }
Public Property Lines As Collection(Of Line)
    Get
    Protected Set
Public Property Lines As Collection(Of Line)
    Get
    Protected Set
public:
property Collection<Line^>^ Lines {
    Collection<Line^>^ get ();
    protected: void set (Collection<Line^>^ value);
}
public:
property Collection<Line^>^ Lines {
    Collection<Line^>^ get ();
    protected: void set (Collection<Line^>^ value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


Loads Property

NetworkModel Loads Property ElecNetKit Documentation
Every load in the network.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Collection<Load> Loads { get; protected set; }
public Collection<Load> Loads { get; protected set; }
Public Property Loads As Collection(Of Load)
    Get
    Protected Set
Public Property Loads As Collection(Of Load)
    Get
    Protected Set
public:
property Collection<Load^>^ Loads {
    Collection<Load^>^ get ();
    protected: void set (Collection<Load^>^ value);
}
public:
property Collection<Load^>^ Loads {
    Collection<Load^>^ get ();
    protected: void set (Collection<Load^>^ value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


LosseskVA Property

NetworkModel LosseskVA Property ElecNetKit Documentation
The total losses on the network, across all phases, in kVA.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Complex LosseskVA { get; set; }
public Complex LosseskVA { get; set; }
Public Property LosseskVA As Complex
    Get
    Set
Public Property LosseskVA As Complex
    Get
    Set
public:
property Complex LosseskVA {
    Complex get ();
    void set (Complex value);
}
public:
property Complex LosseskVA {
    Complex get ();
    void set (Complex value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


NetworkBounds Property

NetworkModel NetworkBounds Property ElecNetKit Documentation
The bounding box of all network elements in network coordinates. Calculated on network construction, or by calling UpdateNetworkBounds .

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Rect NetworkBounds { get; }
public Rect NetworkBounds { get; }
Public ReadOnly Property NetworkBounds As Rect
    Get
Public ReadOnly Property NetworkBounds As Rect
    Get
public:
property Rect NetworkBounds {
    Rect get ();
}
public:
property Rect NetworkBounds {
    Rect get ();
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


SourceBus Property

NetworkModel SourceBus Property ElecNetKit Documentation
The source (stiff, fixed) bus of the network.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Bus SourceBus { get; set; }
public Bus SourceBus { get; set; }
Public Property SourceBus As Bus
    Get
    Set
Public Property SourceBus As Bus
    Get
    Set
public:
property Bus^ SourceBus {
    Bus^ get ();
    void set (Bus^ value);
}
public:
property Bus^ SourceBus {
    Bus^ get ();
    void set (Bus^ value);
}
See Also
NetworkModel Class
NetworkModel Members
ElecNetKit.NetworkModelling Namespace


PowerConversionElement Class

PowerConversionElement Class ElecNetKit Documentation
A NetworkElement that converts power from one form to another. Think Loads, Generators, etc.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling PowerConversionElement
ElecNetKit.NetworkModelling Generator
ElecNetKit.NetworkModelling Load

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public abstract class PowerConversionElement : NetworkElement
[SerializableAttribute]
public abstract class PowerConversionElement : NetworkElement
<SerializableAttribute> _
Public MustInherit Class PowerConversionElement _
    Inherits NetworkElement
<SerializableAttribute> _
Public MustInherit Class PowerConversionElement _
    Inherits NetworkElement
[SerializableAttribute]
public ref class PowerConversionElement abstract : public NetworkElement
[SerializableAttribute]
public ref class PowerConversionElement abstract : public NetworkElement
Remarks
As far as the connection model goes, PowerConversionElements are
            connected to a single Bus, with each PowerConversionElement phase being connected between Bus
            phases. This should be viewed in contrast with .
See Also
PowerConversionElement Members
ElecNetKit.NetworkModelling Namespace
ElecNetKit.NetworkModelling PowerDeliveryElement


PowerConversionElement Members

PowerConversionElement Members ElecNetKit Documentation

The PowerConversionElement type exposes the following members.
Constructors
 | Name | Description
Protected method | PowerConversionElement | Initializes a new instance of the PowerConversionElement class
Back to Top
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase.
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases.
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
PowerConversionElement Class
ElecNetKit.NetworkModelling Namespace


PowerConversionElement Constructor

PowerConversionElement Constructor ElecNetKit Documentation
Initializes a new instance of the PowerConversionElement class

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected PowerConversionElement()
protected PowerConversionElement()
Protected Sub New
Protected Sub New
protected:
PowerConversionElement()
protected:
PowerConversionElement()
See Also
PowerConversionElement Class
PowerConversionElement Members
ElecNetKit.NetworkModelling Namespace


PowerConversionElement Methods

PowerConversionElement Methods ElecNetKit Documentation
The PowerConversionElement type exposes the following members.
Methods
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase.
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases.
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
See Also
PowerConversionElement Class
ElecNetKit.NetworkModelling Namespace


Connect Method

PowerConversionElement Connect Method ElecNetKit Documentation
There are multiple overloads for this method:
Overload List
 | Name | Description
Public method | Connect(Bus) | Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Int32, Bus, Int32) | Connects a phase of a power conversion element between two phases of a single Bus.
Back to Top
See Also
PowerConversionElement Class
PowerConversionElement Members
ElecNetKit.NetworkModelling Namespace


Connect Method (Bus)

PowerConversionElement Connect Method (Bus) ElecNetKit Documentation
Connects this PowerConversionElement to a Bus. This is the connection method for three-phase balanced networks. Use ConnectWye Overload and Connect(Int32, Bus, Int32) for arbitrarily-phased networks.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    Bus connectTo
)
public void Connect(
    Bus connectTo
)
Public Sub Connect ( _
    connectTo As Bus _
)
Public Sub Connect ( _
    connectTo As Bus _
)
public:
void Connect(
    Bus^ connectTo
)
public:
void Connect(
    Bus^ connectTo
)
Parameters
connectTo
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect to.
See Also
PowerConversionElement Class
PowerConversionElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect Method (Int32, Bus, Int32)

PowerConversionElement Connect Method (Int32, Bus, Int32) ElecNetKit Documentation
Connects a phase of a power conversion element between two phases of a single Bus.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    int thisPhase,
    Bus connectTo,
    int connectToPhasePrimary
)
public void Connect(
    int thisPhase,
    Bus connectTo,
    int connectToPhasePrimary
)
Public Sub Connect ( _
    thisPhase As Integer, _
    connectTo As Bus, _
    connectToPhasePrimary As Integer _
)
Public Sub Connect ( _
    thisPhase As Integer, _
    connectTo As Bus, _
    connectToPhasePrimary As Integer _
)
public:
void Connect(
    int thisPhase,
    Bus^ connectTo,
    int connectToPhasePrimary
)
public:
void Connect(
    int thisPhase,
    Bus^ connectTo,
    int connectToPhasePrimary
)
Parameters
thisPhase
Type:   Online System Int32
The phase of this PowerConversionElement to connect between phases of the bus.
connectTo
Type: ElecNetKit.NetworkModelling Bus
The bus to connect thisPhase of this PowerConversionElement to.
connectToPhasePrimary
Type:   Online System Int32
The primary phase of the bus to connect to. Should be an active phase.
See Also
PowerConversionElement Class
PowerConversionElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


ConnectWye Method

PowerConversionElement ConnectWye Method ElecNetKit Documentation
There are multiple overloads for this method:
Overload List
 | Name | Description
Public method | ConnectWye(Bus, Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase.
Public method | ConnectWye(Bus, IEnumerable Int32 , IEnumerable Int32 ) | Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases.
Back to Top
See Also
PowerConversionElement Class
PowerConversionElement Members
ElecNetKit.NetworkModelling Namespace


ConnectWye Method (Bus, Int32[])

PowerConversionElement ConnectWye Method (Bus, Int32 ) ElecNetKit Documentation
Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElement specified in phases will be connected to the corresponding active phase.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ConnectWye(
    Bus connectTo,
    params int[] phases
)
public void ConnectWye(
    Bus connectTo,
    params int[] phases
)
Public Sub ConnectWye ( _
    connectTo As Bus, _
    ParamArray phases As Integer() _
)
Public Sub ConnectWye ( _
    connectTo As Bus, _
    ParamArray phases As Integer() _
)
public:
void ConnectWye(
    Bus^ connectTo,
    ... array<int>^ phases
)
public:
void ConnectWye(
    Bus^ connectTo,
    ... array<int>^ phases
)
Parameters
connectTo
Type: ElecNetKit.NetworkModelling Bus
The Bus that the PowerConversionElement should connect to.
phases
Type:    Online System Int32
The phases of the PowerConversionElement and the active phases of the Bus
            to connect on.
See Also
PowerConversionElement Class
PowerConversionElement Members
ConnectWye Overload
ElecNetKit.NetworkModelling Namespace


ConnectWye Method (Bus, IEnumerable(Int32), IEnumerable(Int32))

PowerConversionElement ConnectWye Method (Bus, IEnumerable Int32 , IEnumerable Int32 ) ElecNetKit Documentation
Connects this power conversion element in Wye to connectTo. Each phase of the PowerConversionElementin pcElementPhases is connected to the phase of the same index in busPhases.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ConnectWye(
    Bus connectTo,
    IEnumerable<int> pcElementPhases,
    IEnumerable<int> busPhases
)
public void ConnectWye(
    Bus connectTo,
    IEnumerable<int> pcElementPhases,
    IEnumerable<int> busPhases
)
Public Sub ConnectWye ( _
    connectTo As Bus, _
    pcElementPhases As IEnumerable(Of Integer), _
    busPhases As IEnumerable(Of Integer) _
)
Public Sub ConnectWye ( _
    connectTo As Bus, _
    pcElementPhases As IEnumerable(Of Integer), _
    busPhases As IEnumerable(Of Integer) _
)
public:
void ConnectWye(
    Bus^ connectTo,
    IEnumerable<int>^ pcElementPhases,
    IEnumerable<int>^ busPhases
)
public:
void ConnectWye(
    Bus^ connectTo,
    IEnumerable<int>^ pcElementPhases,
    IEnumerable<int>^ busPhases
)
Parameters
connectTo
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect this PowerConversionElement to.
pcElementPhases
Type:   Online System.Collections.Generic IEnumerable    Online Int32
The phases of this element that should be connected.
busPhases
Type:   Online System.Collections.Generic IEnumerable    Online Int32
The phases of connectTo to connect to.
See Also
PowerConversionElement Class
PowerConversionElement Members
ConnectWye Overload
ElecNetKit.NetworkModelling Namespace


PowerConversionElement Properties

PowerConversionElement Properties ElecNetKit Documentation
The PowerConversionElement type exposes the following members.
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
PowerConversionElement Class
ElecNetKit.NetworkModelling Namespace


PowerDeliveryElement Class

PowerDeliveryElement Class ElecNetKit Documentation
A NetworkElement that delivers power to other NetworkElements. Think Lines, Transformers, etc.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling NetworkElement
ElecNetKit.NetworkModelling PowerDeliveryElement
ElecNetKit.NetworkModelling Line

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public abstract class PowerDeliveryElement : NetworkElement
[SerializableAttribute]
public abstract class PowerDeliveryElement : NetworkElement
<SerializableAttribute> _
Public MustInherit Class PowerDeliveryElement _
    Inherits NetworkElement
<SerializableAttribute> _
Public MustInherit Class PowerDeliveryElement _
    Inherits NetworkElement
[SerializableAttribute]
public ref class PowerDeliveryElement abstract : public NetworkElement
[SerializableAttribute]
public ref class PowerDeliveryElement abstract : public NetworkElement
Remarks
As far as the connection model goes, PowerDeliveryElements are
            connected to between different Buses. This should be viewed in contrast with
            .
See Also
PowerDeliveryElement Members
ElecNetKit.NetworkModelling Namespace
ElecNetKit.NetworkModelling PowerDeliveryElement


PowerDeliveryElement Members

PowerDeliveryElement Members ElecNetKit Documentation

The PowerDeliveryElement type exposes the following members.
Constructors
 | Name | Description
Protected method | PowerDeliveryElement | Initializes a new instance of the PowerDeliveryElement class
Back to Top
Methods
 | Name | Description
Public method | Connect(Bus, Bus) | Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Bus, Bus, Int32 ) | Connects this PowerDeliveryElement between bus1 and bus2 on matching phases.
Public method | Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) | Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2.
Public method | Connect(Int32, Bus, Int32, Bus, Int32) | Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2.
Public method | Connect3Phase | Connects this PowerDeliveryElement between two Buses, on phases 1,2,3.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
PowerDeliveryElement Class
ElecNetKit.NetworkModelling Namespace


PowerDeliveryElement Constructor

PowerDeliveryElement Constructor ElecNetKit Documentation
Initializes a new instance of the PowerDeliveryElement class

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected PowerDeliveryElement()
protected PowerDeliveryElement()
Protected Sub New
Protected Sub New
protected:
PowerDeliveryElement()
protected:
PowerDeliveryElement()
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
ElecNetKit.NetworkModelling Namespace


PowerDeliveryElement Methods

PowerDeliveryElement Methods ElecNetKit Documentation
The PowerDeliveryElement type exposes the following members.
Methods
 | Name | Description
Public method | Connect(Bus, Bus) | Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Bus, Bus, Int32 ) | Connects this PowerDeliveryElement between bus1 and bus2 on matching phases.
Public method | Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) | Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2.
Public method | Connect(Int32, Bus, Int32, Bus, Int32) | Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2.
Public method | Connect3Phase | Connects this PowerDeliveryElement between two Buses, on phases 1,2,3.
Protected method | ConnectBetween(Int32, NetworkElement, Int32, NetworkElement, Int32) | Connects the NetworkElement between two other NetworkElements, with a specific phasing. (Inherited from NetworkElement.)
Public method | ConnectionExists(Int32, NetworkElement, Int32) | Test if a specific connection between this element and another element on specific phases exists. (Inherited from NetworkElement.)
Protected method | Disconnect(NetworkElement) | Disconnect this network element from another network element across all phases. (Inherited from NetworkElement.)
Public method | OnDeserialization | Reconstructs the NetworkElement after deserialisation. (Inherited from NetworkElement.)
Back to Top
See Also
PowerDeliveryElement Class
ElecNetKit.NetworkModelling Namespace


Connect Method

PowerDeliveryElement Connect Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Connect(Bus, Bus) | Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks.
Protected method | Connect(Int32, NetworkElement, Int32) | Connects this NetworkElement to a single other NetworkElement, with a specified phasing. (Inherited from NetworkElement.)
Public method | Connect(Bus, Bus, Int32 ) | Connects this PowerDeliveryElement between bus1 and bus2 on matching phases.
Public method | Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) | Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2.
Public method | Connect(Int32, Bus, Int32, Bus, Int32) | Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2.
Back to Top
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
ElecNetKit.NetworkModelling Namespace


Connect Method (Bus, Bus)

PowerDeliveryElement Connect Method (Bus, Bus) ElecNetKit Documentation
Connects this PowerDeliveryElement between two Buses. This method is for building three-phase balanced networks. Use Connect3Phase(Bus, Bus), Connect(Int32, Bus, Int32, Bus, Int32), Connect(Bus, Bus, Int32 ) and Connect(Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) for arbitrarily-phased networks.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    Bus bus1,
    Bus bus2
)
public void Connect(
    Bus bus1,
    Bus bus2
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus2 As Bus _
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus2 As Bus _
)
public:
void Connect(
    Bus^ bus1,
    Bus^ bus2
)
public:
void Connect(
    Bus^ bus1,
    Bus^ bus2
)
Parameters
bus1
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on one side of this PowerDeliveryElement.
bus2
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on the other side of this PowerDeliveryElement.
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect Method (Bus, Bus, Int32[])

PowerDeliveryElement Connect Method (Bus, Bus, Int32 ) ElecNetKit Documentation
Connects this PowerDeliveryElement between bus1 and bus2 on matching phases.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    Bus bus1,
    Bus bus2,
    params int[] phases
)
public void Connect(
    Bus bus1,
    Bus bus2,
    params int[] phases
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus2 As Bus, _
    ParamArray phases As Integer() _
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus2 As Bus, _
    ParamArray phases As Integer() _
)
public:
void Connect(
    Bus^ bus1,
    Bus^ bus2,
    ... array<int>^ phases
)
public:
void Connect(
    Bus^ bus1,
    Bus^ bus2,
    ... array<int>^ phases
)
Parameters
bus1
Type: ElecNetKit.NetworkModelling Bus
The first Bus to connect to.
bus2
Type: ElecNetKit.NetworkModelling Bus
The second Bus to connect to.
phases
Type:    Online System Int32
The phases to connect the PowerDeliveryElement
            to the Buses on.
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect Method (Bus, IEnumerable(Int32), Bus, IEnumerable(Int32))

PowerDeliveryElement Connect Method (Bus, IEnumerable Int32 , Bus, IEnumerable Int32 ) ElecNetKit Documentation
Connects the PowerDeliveryElement on the phases in bus1AndLinePhases to the same phases on bus1, and to the correspondingly-indexed phases bus2Phases on bus2.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    Bus bus1,
    IEnumerable<int> bus1AndLinePhases,
    Bus bus2,
    IEnumerable<int> bus2Phases
)
public void Connect(
    Bus bus1,
    IEnumerable<int> bus1AndLinePhases,
    Bus bus2,
    IEnumerable<int> bus2Phases
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus1AndLinePhases As IEnumerable(Of Integer), _
    bus2 As Bus, _
    bus2Phases As IEnumerable(Of Integer) _
)
Public Sub Connect ( _
    bus1 As Bus, _
    bus1AndLinePhases As IEnumerable(Of Integer), _
    bus2 As Bus, _
    bus2Phases As IEnumerable(Of Integer) _
)
public:
void Connect(
    Bus^ bus1,
    IEnumerable<int>^ bus1AndLinePhases,
    Bus^ bus2,
    IEnumerable<int>^ bus2Phases
)
public:
void Connect(
    Bus^ bus1,
    IEnumerable<int>^ bus1AndLinePhases,
    Bus^ bus2,
    IEnumerable<int>^ bus2Phases
)
Parameters
bus1
Type: ElecNetKit.NetworkModelling Bus
The first Bus to connect to. Shares common phases with the PowerDeliveryElement.
bus1AndLinePhases
Type:   Online System.Collections.Generic IEnumerable    Online Int32
The common phases to connect between the PowerDeliveryElement and the Bus.
bus2
Type: ElecNetKit.NetworkModelling Bus
The second Bus to connect to.
bus2Phases
Type:   Online System.Collections.Generic IEnumerable    Online Int32
Phase connections for bus2.
Examples

            The following code connects the PowerDeliveryElement to bus1
            and bus2, with the following phasing:

View Colorized Copy to Clipboard Print
// key: line phase -> bus1 phase, bus2 phase
// 1 -> 1, 2
// 2 -> 2, 3
// 3 -> 3, 1
myPowerDeliveryElement.Connect(bus1, new[] {1,2,3}, bus2, new[] {2,3,1});
// key: line phase -> bus1 phase, bus2 phase
// 1 -> 1, 2
// 2 -> 2, 3
// 3 -> 3, 1
myPowerDeliveryElement.Connect(bus1, new[] {1,2,3}, bus2, new[] {2,3,1});
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect Method (Int32, Bus, Int32, Bus, Int32)

PowerDeliveryElement Connect Method (Int32, Bus, Int32, Bus, Int32) ElecNetKit Documentation
Connects thisPhase of this PowerDeliveryElement between bus1Phase of bus1 and bus2Phase of bus2.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect(
    int thisPhase,
    Bus bus1,
    int bus1Phase,
    Bus bus2,
    int bus2Phase
)
public void Connect(
    int thisPhase,
    Bus bus1,
    int bus1Phase,
    Bus bus2,
    int bus2Phase
)
Public Sub Connect ( _
    thisPhase As Integer, _
    bus1 As Bus, _
    bus1Phase As Integer, _
    bus2 As Bus, _
    bus2Phase As Integer _
)
Public Sub Connect ( _
    thisPhase As Integer, _
    bus1 As Bus, _
    bus1Phase As Integer, _
    bus2 As Bus, _
    bus2Phase As Integer _
)
public:
void Connect(
    int thisPhase,
    Bus^ bus1,
    int bus1Phase,
    Bus^ bus2,
    int bus2Phase
)
public:
void Connect(
    int thisPhase,
    Bus^ bus1,
    int bus1Phase,
    Bus^ bus2,
    int bus2Phase
)
Parameters
thisPhase
Type:   Online System Int32
The phase of this element to connect.
bus1
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on one side of this PowerDeliveryElement.
bus1Phase
Type:   Online System Int32
The phase of bus1 to connect to.
bus2
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on the other side of this PowerDeliveryElement.
bus2Phase
Type:   Online System Int32
The phase of bus2 to connect to.
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
Connect Overload
ElecNetKit.NetworkModelling Namespace


Connect3Phase Method

PowerDeliveryElement Connect3Phase Method ElecNetKit Documentation
Connects this PowerDeliveryElement between two Buses, on phases 1,2,3.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Connect3Phase(
    Bus bus1,
    Bus bus2
)
public void Connect3Phase(
    Bus bus1,
    Bus bus2
)
Public Sub Connect3Phase ( _
    bus1 As Bus, _
    bus2 As Bus _
)
Public Sub Connect3Phase ( _
    bus1 As Bus, _
    bus2 As Bus _
)
public:
void Connect3Phase(
    Bus^ bus1,
    Bus^ bus2
)
public:
void Connect3Phase(
    Bus^ bus1,
    Bus^ bus2
)
Parameters
bus1
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on one side of this PowerDeliveryElement.
bus2
Type: ElecNetKit.NetworkModelling Bus
The Bus to connect on the other side of this PowerDeliveryElement.
See Also
PowerDeliveryElement Class
PowerDeliveryElement Members
ElecNetKit.NetworkModelling Namespace


PowerDeliveryElement Properties

PowerDeliveryElement Properties ElecNetKit Documentation
The PowerDeliveryElement type exposes the following members.
Properties
 | Name | Description
Public property | ConnectedOnAllActivePhases | All elements that are connected to this element across all active phases (and possibly across neutral, phase 0). (Inherited from NetworkElement.)
Public property | ConnectedTo | A set of other elements that the NetworkElement is connected to. Incorporates connections on any phase. This property can be safely used for analysis of balanced three-phase or single-phase networks. (Inherited from NetworkElement.)
Public property | ConnectedToAnyPhase | All connected elements, across any phase. (Inherited from NetworkElement.)
Public property | ConnectedToPhased | A set of other elements that the NetworkElement is connected to, arranged by phase. (Inherited from NetworkElement.)
Public property | ElementType | Gets a type-string for the element, e.g. 'Bus', 'Load', etc. (Inherited from NetworkElement.)
Public property | ID | The ID of this specific element. (Inherited from NetworkElement.)
Back to Top
See Also
PowerDeliveryElement Class
ElecNetKit.NetworkModelling Namespace


Tracing Class

Tracing Class ElecNetKit Documentation
The Tracing class defines a set of functions for tracing the topology of NetworkModels.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling Tracing

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static class Tracing
public static class Tracing
Public NotInheritable Class Tracing
Public NotInheritable Class Tracing
public ref class Tracing abstract sealed
public ref class Tracing abstract sealed
See Also
Tracing Members
ElecNetKit.NetworkModelling Namespace


Tracing Members

Tracing Members ElecNetKit Documentation

The Tracing type exposes the following members.
Methods
Name | Description
BusesOnRouteToTarget | Obtains a list of all buses that are directly on-route from FromBus to TargetBus.
GetDirectLengthBetweenBuses | Obtains the direct line length between two buses.
TraceFromWithCallback | Traces from FromBus along all buses in AllowedBuses, and executing Callback for every connection between two buses.
TraceWithoutCrossingBuses | Obtains a list of all buses directly or indirectly connected to FromBus, so long as they are connected in a fashion that does not rely upon the presence of any elements of BusesToExclude
Back to Top
See Also
Tracing Class
ElecNetKit.NetworkModelling Namespace


Tracing Methods

Tracing Methods ElecNetKit Documentation
The Tracing type exposes the following members.
Methods
Name | Description
BusesOnRouteToTarget | Obtains a list of all buses that are directly on-route from FromBus to TargetBus.
GetDirectLengthBetweenBuses | Obtains the direct line length between two buses.
TraceFromWithCallback | Traces from FromBus along all buses in AllowedBuses, and executing Callback for every connection between two buses.
TraceWithoutCrossingBuses | Obtains a list of all buses directly or indirectly connected to FromBus, so long as they are connected in a fashion that does not rely upon the presence of any elements of BusesToExclude
Back to Top
See Also
Tracing Class
ElecNetKit.NetworkModelling Namespace


BusesOnRouteToTarget Method

Tracing BusesOnRouteToTarget Method ElecNetKit Documentation
Obtains a list of all buses that are directly on-route from FromBus to TargetBus.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IEnumerable<Bus> BusesOnRouteToTarget(
    Bus FromBus,
    Bus TargetBus
)
public static IEnumerable<Bus> BusesOnRouteToTarget(
    Bus FromBus,
    Bus TargetBus
)
Public Shared Function BusesOnRouteToTarget ( _
    FromBus As Bus, _
    TargetBus As Bus _
) As IEnumerable(Of Bus)
Public Shared Function BusesOnRouteToTarget ( _
    FromBus As Bus, _
    TargetBus As Bus _
) As IEnumerable(Of Bus)
public:
static IEnumerable<Bus^>^ BusesOnRouteToTarget(
    Bus^ FromBus,
    Bus^ TargetBus
)
public:
static IEnumerable<Bus^>^ BusesOnRouteToTarget(
    Bus^ FromBus,
    Bus^ TargetBus
)
Parameters
FromBus
Type: ElecNetKit.NetworkModelling Bus
The Bus to trace from.
TargetBus
Type: ElecNetKit.NetworkModelling Bus
The Bus to trace to.
Return Value
A list of all buses that are directly on-route from
            FromBus to TargetBus (inclusive).
See Also
Tracing Class
Tracing Members
ElecNetKit.NetworkModelling Namespace


GetDirectLengthBetweenBuses Method

Tracing GetDirectLengthBetweenBuses Method ElecNetKit Documentation
Obtains the direct line length between two buses.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static double GetDirectLengthBetweenBuses(
    Bus FromBus,
    Bus ToBus
)
public static double GetDirectLengthBetweenBuses(
    Bus FromBus,
    Bus ToBus
)
Public Shared Function GetDirectLengthBetweenBuses ( _
    FromBus As Bus, _
    ToBus As Bus _
) As Double
Public Shared Function GetDirectLengthBetweenBuses ( _
    FromBus As Bus, _
    ToBus As Bus _
) As Double
public:
static double GetDirectLengthBetweenBuses(
    Bus^ FromBus,
    Bus^ ToBus
)
public:
static double GetDirectLengthBetweenBuses(
    Bus^ FromBus,
    Bus^ ToBus
)
Parameters
FromBus
Type: ElecNetKit.NetworkModelling Bus
The bus to trace from.
ToBus
Type: ElecNetKit.NetworkModelling Bus
The bus to find the line length to.
Return Value
The line length, in metres.
See Also
Tracing Class
Tracing Members
ElecNetKit.NetworkModelling Namespace


TraceFromWithCallback Method

Tracing TraceFromWithCallback Method ElecNetKit Documentation
Traces from FromBus along all buses in AllowedBuses, and executing Callback for every connection between two buses.

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static void TraceFromWithCallback(
    Bus FromBus,
    IEnumerable<Bus> AllowedBuses,
    Action<Bus, Line, Bus> Callback
)
public static void TraceFromWithCallback(
    Bus FromBus,
    IEnumerable<Bus> AllowedBuses,
    Action<Bus, Line, Bus> Callback
)
Public Shared Sub TraceFromWithCallback ( _
    FromBus As Bus, _
    AllowedBuses As IEnumerable(Of Bus), _
    Callback As Action(Of Bus, Line, Bus) _
)
Public Shared Sub TraceFromWithCallback ( _
    FromBus As Bus, _
    AllowedBuses As IEnumerable(Of Bus), _
    Callback As Action(Of Bus, Line, Bus) _
)
public:
static void TraceFromWithCallback(
    Bus^ FromBus,
    IEnumerable<Bus^>^ AllowedBuses,
    Action<Bus^, Line^, Bus^>^ Callback
)
public:
static void TraceFromWithCallback(
    Bus^ FromBus,
    IEnumerable<Bus^>^ AllowedBuses,
    Action<Bus^, Line^, Bus^>^ Callback
)
Parameters
FromBus
Type: ElecNetKit.NetworkModelling Bus
The bus to trace from.
AllowedBuses
Type:   Online System.Collections.Generic IEnumerable  Bus
All buses that are to be allowed in the trace.
Callback
Type:   Online System Action  Bus, Line, Bus
A custom action to execute for every connection.
See Also
Tracing Class
Tracing Members
ElecNetKit.NetworkModelling Namespace


TraceWithoutCrossingBuses Method

Tracing TraceWithoutCrossingBuses Method ElecNetKit Documentation
Obtains a list of all buses directly or indirectly connected to FromBus, so long as they are connected in a fashion that does not rely upon the presence of any elements of BusesToExclude

Namespace: ElecNetKit.NetworkModelling
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static IEnumerable<Bus> TraceWithoutCrossingBuses(
    Bus FromBus,
    IEnumerable<Bus> BusesToExclude
)
public static IEnumerable<Bus> TraceWithoutCrossingBuses(
    Bus FromBus,
    IEnumerable<Bus> BusesToExclude
)
Public Shared Function TraceWithoutCrossingBuses ( _
    FromBus As Bus, _
    BusesToExclude As IEnumerable(Of Bus) _
) As IEnumerable(Of Bus)
Public Shared Function TraceWithoutCrossingBuses ( _
    FromBus As Bus, _
    BusesToExclude As IEnumerable(Of Bus) _
) As IEnumerable(Of Bus)
public:
static IEnumerable<Bus^>^ TraceWithoutCrossingBuses(
    Bus^ FromBus,
    IEnumerable<Bus^>^ BusesToExclude
)
public:
static IEnumerable<Bus^>^ TraceWithoutCrossingBuses(
    Bus^ FromBus,
    IEnumerable<Bus^>^ BusesToExclude
)
Parameters
FromBus
Type: ElecNetKit.NetworkModelling Bus
The Bus to trace from.
BusesToExclude
Type:   Online System.Collections.Generic IEnumerable  Bus
A set of Buses that should be avoided in the trace operation.
Return Value
A list of all buses directly or indirectly connected to FromBus,
            so long as connection is not through any element in BusesToExclude.
See Also
Tracing Class
Tracing Members
ElecNetKit.NetworkModelling Namespace


ElecNetKit.NetworkModelling.Phasing Namespace

ElecNetKit.NetworkModelling.Phasing Namespace ElecNetKit Documentation
The ElecNetKit.NetworkModelling.Phasing namespace defines classes for representing phased values on electrical network elements.
Classes
 | Class | Description
Public class | CachedPhasedReadOnlyEvaluated TFrom, T | An implementation of PhasedReadOnlyEvaluated TFrom, T that caches results and provides the same object multiple times if requested.
Public class | PhasedEvaluated TFrom, TTo | PhasedEvaluated TFrom, TTo applies transforms to the values from an underlying Phased T in order to obtain new values.
Public class | PhasedReadOnlyEvaluated TFrom, T | An implementation of Phased T that is read-only and works with objects (as opposed to PhasedEvaluated TFrom, TTo , which only works with value types).
Public class | PhasedValues T | A value-based type that implements the Phased T interface.
Public class | QueryableCollection TBase, TTo | A read-only collection that uses a transform function to transform the individual elements of another collection.
Interfaces
 | Interface | Description
Public interface | Phased T | An interface that defines a set of values of type T and ordered by phase.


CachedPhasedReadOnlyEvaluated(TFrom, T) Class

CachedPhasedReadOnlyEvaluated TFrom, T Class ElecNetKit Documentation
An implementation of PhasedReadOnlyEvaluated TFrom, T that caches results and provides the same object multiple times if requested.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling.Phasing PhasedReadOnlyEvaluated TFrom, T
ElecNetKit.NetworkModelling.Phasing CachedPhasedReadOnlyEvaluated TFrom, T

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class CachedPhasedReadOnlyEvaluated<TFrom, T> : PhasedReadOnlyEvaluated<TFrom, T>
public class CachedPhasedReadOnlyEvaluated<TFrom, T> : PhasedReadOnlyEvaluated<TFrom, T>
Public Class CachedPhasedReadOnlyEvaluated(Of TFrom, T) _
    Inherits PhasedReadOnlyEvaluated(Of TFrom, T)
Public Class CachedPhasedReadOnlyEvaluated(Of TFrom, T) _
    Inherits PhasedReadOnlyEvaluated(Of TFrom, T)
generic<typename TFrom, typename T>
public ref class CachedPhasedReadOnlyEvaluated : public PhasedReadOnlyEvaluated<TFrom, T>
generic<typename TFrom, typename T>
public ref class CachedPhasedReadOnlyEvaluated : public PhasedReadOnlyEvaluated<TFrom, T>
Type Parameters
TFrom
The type of the backing Phased T .
T
The type of the elements of this Phased T .
Examples

            Use when T is a type that provides new views into
            the same data, such as when TFrom is a
              Online Collection T   and T is a
              Online ReadOnlyCollection T .
See Also
CachedPhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CachedPhasedReadOnlyEvaluated(TFrom, T) Members

CachedPhasedReadOnlyEvaluated TFrom, T Members ElecNetKit Documentation

The CachedPhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Constructors
 | Name | Description
Public method | CachedPhasedReadOnlyEvaluated TFrom, T | Instantiates a new CachedPhasedReadOnlyEvaluated TFrom, T
Back to Top
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Add(Int32, T) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Protected method | CacheTransform | Provides caching.
Public method | Clear | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Contains | Determines whether the Online ICollection T contains a specific value. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | GetEnumerator | Returns an enumerator that iterates through the collection. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Remove(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Remove(Int32) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | TryGetValue | Gets the value associated with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
Fields
 | Name | Description
Protected field | basePhased | The backing Phased T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Protected field | getTransform | The transform that is used to return values of type T from the backing Phased T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Item | Gets or sets the element with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
See Also
CachedPhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


CachedPhasedReadOnlyEvaluated(TFrom, T) Constructor

CachedPhasedReadOnlyEvaluated TFrom, T Constructor ElecNetKit Documentation
Instantiates a new CachedPhasedReadOnlyEvaluated TFrom, T

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public CachedPhasedReadOnlyEvaluated(
    Func<TFrom, T> transform,
    Phased<TFrom> theBase
)
public CachedPhasedReadOnlyEvaluated(
    Func<TFrom, T> transform,
    Phased<TFrom> theBase
)
Public Sub New ( _
    transform As Func(Of TFrom, T), _
    theBase As Phased(Of TFrom) _
)
Public Sub New ( _
    transform As Func(Of TFrom, T), _
    theBase As Phased(Of TFrom) _
)
public:
CachedPhasedReadOnlyEvaluated(
    Func<TFrom, T>^ transform,
    Phased<TFrom>^ theBase
)
public:
CachedPhasedReadOnlyEvaluated(
    Func<TFrom, T>^ transform,
    Phased<TFrom>^ theBase
)
Parameters
transform
Type:   Online System Func  TFrom, T
The transform to apply to the elements of the backing Phased T .
theBase
Type: ElecNetKit.NetworkModelling.Phasing Phased  TFrom
The backing Phased T .
See Also
CachedPhasedReadOnlyEvaluated TFrom, T  Class
CachedPhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CachedPhasedReadOnlyEvaluated(TFrom, T) Fields

CachedPhasedReadOnlyEvaluated TFrom, T Fields ElecNetKit Documentation
The CachedPhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Fields
 | Name | Description
Protected field | basePhased | The backing Phased T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Protected field | getTransform | The transform that is used to return values of type T from the backing Phased T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
See Also
CachedPhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


CachedPhasedReadOnlyEvaluated(TFrom, T) Methods

CachedPhasedReadOnlyEvaluated TFrom, T Methods ElecNetKit Documentation
The CachedPhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Add(Int32, T) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Protected method | CacheTransform | Provides caching.
Public method | Clear | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Contains | Determines whether the Online ICollection T contains a specific value. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | GetEnumerator | Returns an enumerator that iterates through the collection. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Remove(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | Remove(Int32) | Not supported. Always throws a Online NotSupportedException. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public method | TryGetValue | Gets the value associated with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
See Also
CachedPhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


CacheTransform Method

CachedPhasedReadOnlyEvaluated TFrom, T CacheTransform Method ElecNetKit Documentation
Provides caching.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected T CacheTransform(
    TFrom arg
)
protected T CacheTransform(
    TFrom arg
)
Protected Function CacheTransform ( _
    arg As TFrom _
) As T
Protected Function CacheTransform ( _
    arg As TFrom _
) As T
protected:
T CacheTransform(
    TFrom arg
)
protected:
T CacheTransform(
    TFrom arg
)
Parameters
arg
Type: TFrom
The element from the backing Phased T .
Return Value
A converted and possibly cached transformed value.
See Also
CachedPhasedReadOnlyEvaluated TFrom, T  Class
CachedPhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CachedPhasedReadOnlyEvaluated(TFrom, T) Properties

CachedPhasedReadOnlyEvaluated TFrom, T Properties ElecNetKit Documentation
The CachedPhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Item | Gets or sets the element with the specified key. (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue . (Inherited from PhasedReadOnlyEvaluated TFrom, T .)
Back to Top
See Also
CachedPhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


Phased(T) Interface

Phased T Interface ElecNetKit Documentation
An interface that defines a set of values of type T and ordered by phase.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface Phased<T> : IDictionary<int, T>,
    ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
public interface Phased<T> : IDictionary<int, T>,
    ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
Public Interface Phased(Of T) _
    Inherits IDictionary(Of Integer, T), ICollection(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable(Of KeyValuePair(Of Integer, T)), IEnumerable
Public Interface Phased(Of T) _
    Inherits IDictionary(Of Integer, T), ICollection(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable(Of KeyValuePair(Of Integer, T)), IEnumerable
generic<typename T>
public interface class Phased : IDictionary<int, T>,
    ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
generic<typename T>
public interface class Phased : IDictionary<int, T>,
    ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
Type Parameters
T
The type that should have a unique value per phase.
Remarks
The Phased T  interface is intended to be used directly by all
            client code. Implementors of NetworkElements should consider using the
            types PhasedValues T  and PhasedEvaluated TFrom, TTo , which implement
            the Phased T  interface with a set of values and an evaluator function
            respectively. For example usage, see the implementation of Bus.

See Also
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedEvaluated(TFrom, TTo) Class

PhasedEvaluated TFrom, TTo Class ElecNetKit Documentation
PhasedEvaluated TFrom, TTo applies transforms to the values from an underlying Phased T in order to obtain new values.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling.Phasing PhasedEvaluated TFrom, TTo

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PhasedEvaluated<TFrom, TTo> : Phased<TTo>,
    IDictionary<int, TTo>, ICollection<KeyValuePair<int, TTo>>, IEnumerable<KeyValuePair<int, TTo>>,
    IEnumerable
where TFrom : struct, new()
where TTo : struct, new()
public class PhasedEvaluated<TFrom, TTo> : Phased<TTo>,
    IDictionary<int, TTo>, ICollection<KeyValuePair<int, TTo>>, IEnumerable<KeyValuePair<int, TTo>>,
    IEnumerable
where TFrom : struct, new()
where TTo : struct, new()
Public Class PhasedEvaluated(Of TFrom As {Structure, New}, TTo As {Structure, New}) _
    Implements Phased(Of TTo), IDictionary(Of Integer, TTo),  _
    ICollection(Of KeyValuePair(Of Integer, TTo)), IEnumerable(Of KeyValuePair(Of Integer, TTo)),  _
    IEnumerable
Public Class PhasedEvaluated(Of TFrom As {Structure, New}, TTo As {Structure, New}) _
    Implements Phased(Of TTo), IDictionary(Of Integer, TTo),  _
    ICollection(Of KeyValuePair(Of Integer, TTo)), IEnumerable(Of KeyValuePair(Of Integer, TTo)),  _
    IEnumerable
generic<typename TFrom, typename TTo>
where TFrom : value class, gcnew()
where TTo : value class, gcnew()
public ref class PhasedEvaluated : Phased<TTo>,
    IDictionary<int, TTo>, ICollection<KeyValuePair<int, TTo>>, IEnumerable<KeyValuePair<int, TTo>>,
    IEnumerable
generic<typename TFrom, typename TTo>
where TFrom : value class, gcnew()
where TTo : value class, gcnew()
public ref class PhasedEvaluated : Phased<TTo>,
    IDictionary<int, TTo>, ICollection<KeyValuePair<int, TTo>>, IEnumerable<KeyValuePair<int, TTo>>,
    IEnumerable
Type Parameters
TFrom
The type of the base phased object.
TTo
The type of the values of this phased object.
Remarks
PhasedEvaluated TFrom, TTo  is useful for providing phased convenience properties to classes when there
            is no difference in underlying data.
Examples
Consider the two properties of electrical network buses: voltage, and per-unit voltage. There is no
            point in storing these values twice in a network element model: The per-unit voltage would be redundant,
            as it is defined as (Voltage/BaseVoltage), and both of these values are stored in the network element.
            In such cases, it is best to use a PhasedEvaluated TFrom, TTo  for implementation:

C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Bus
{
    public Phased<Complex> VoltagePhased { private set; get; }

    public double BaseVoltage { set; get; }

    public Phased<Complex> VoltagePUPhased { private set; get; }

    public Bus() // or OnDeserializationCallback, whatever
    {
        VoltagePUPhased = new PhasedEvaluated<Complex,Complex>(
                from => from / this.BaseVoltage, //get
                to => to * this.BaseVoltage, //set
                VoltagePhased
                );
    }
}
public class Bus
{
    public Phased<Complex> VoltagePhased { private set; get; }

    public double BaseVoltage { set; get; }

    public Phased<Complex> VoltagePUPhased { private set; get; }

    public Bus() // or OnDeserializationCallback, whatever
    {
        VoltagePUPhased = new PhasedEvaluated<Complex,Complex>(
                from => from / this.BaseVoltage, //get
                to => to * this.BaseVoltage, //set
                VoltagePhased
                );
    }
}
See Also
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedEvaluated(TFrom, TTo) Members

PhasedEvaluated TFrom, TTo Members ElecNetKit Documentation

The PhasedEvaluated TFrom, TTo type exposes the following members.
Constructors
 | Name | Description
Public method | PhasedEvaluated TFrom, TTo | Instantiates a new PhasedEvaluated TFrom, TTo with the specified transforms and base phased object.
Back to Top
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, TTo ) | Adds an item to the Online ICollection T .
Public method | Add(Int32, TTo) | Adds an element with the provided key and value to the Online IDictionary TKey, TValue .
Public method | Clear | Removes all items from the Online ICollection T .
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove(KeyValuePair Int32, TTo ) | Removes the first occurrence of a specific object from the Online ICollection T .
Public method | Remove(Int32) | Removes the element with the specified key from the Online IDictionary TKey, TValue .
Public method | TryGetValue | Gets the value associated with the specified key.
Back to Top
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Public property | Item | Gets or sets the element with the specified key.
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedEvaluated TFrom, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedEvaluated(TFrom, TTo) Constructor

PhasedEvaluated TFrom, TTo Constructor ElecNetKit Documentation
Instantiates a new PhasedEvaluated TFrom, TTo with the specified transforms and base phased object.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PhasedEvaluated(
    Func<TFrom, TTo> getTransform,
    Func<TTo, TFrom> setTransform,
    Phased<TFrom> basePhased
)
public PhasedEvaluated(
    Func<TFrom, TTo> getTransform,
    Func<TTo, TFrom> setTransform,
    Phased<TFrom> basePhased
)
Public Sub New ( _
    getTransform As Func(Of TFrom, TTo), _
    setTransform As Func(Of TTo, TFrom), _
    basePhased As Phased(Of TFrom) _
)
Public Sub New ( _
    getTransform As Func(Of TFrom, TTo), _
    setTransform As Func(Of TTo, TFrom), _
    basePhased As Phased(Of TFrom) _
)
public:
PhasedEvaluated(
    Func<TFrom, TTo>^ getTransform,
    Func<TTo, TFrom>^ setTransform,
    Phased<TFrom>^ basePhased
)
public:
PhasedEvaluated(
    Func<TFrom, TTo>^ getTransform,
    Func<TTo, TFrom>^ setTransform,
    Phased<TFrom>^ basePhased
)
Parameters
getTransform
Type:   Online System Func  TFrom, TTo
A transform translating values from basePhased to this PhasedEvaluated TFrom, TTo , for get operations.
setTransform
Type:   Online System Func  TTo, TFrom
A transform translating values from this PhasedEvaluated TFrom, TTo  to basePhased, for set operations.
basePhased
Type: ElecNetKit.NetworkModelling.Phasing Phased  TFrom
The base phased object from which to get and set values from and to.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedEvaluated(TFrom, TTo) Methods

PhasedEvaluated TFrom, TTo Methods ElecNetKit Documentation
The PhasedEvaluated TFrom, TTo type exposes the following members.
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, TTo ) | Adds an item to the Online ICollection T .
Public method | Add(Int32, TTo) | Adds an element with the provided key and value to the Online IDictionary TKey, TValue .
Public method | Clear | Removes all items from the Online ICollection T .
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove(KeyValuePair Int32, TTo ) | Removes the first occurrence of a specific object from the Online ICollection T .
Public method | Remove(Int32) | Removes the element with the specified key from the Online IDictionary TKey, TValue .
Public method | TryGetValue | Gets the value associated with the specified key.
Back to Top
See Also
PhasedEvaluated TFrom, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method

PhasedEvaluated TFrom, TTo Add Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Add(KeyValuePair Int32, TTo ) | Adds an item to the Online ICollection T .
Public method | Add(Int32, TTo) | Adds an element with the provided key and value to the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedEvaluated TFrom, TTo Class
PhasedEvaluated TFrom, TTo Members
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method (KeyValuePair(Int32, TTo))

PhasedEvaluated TFrom, TTo Add Method (KeyValuePair Int32, TTo ) ElecNetKit Documentation
Adds an item to the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    KeyValuePair<int, TTo> item
)
public void Add(
    KeyValuePair<int, TTo> item
)
Public Sub Add ( _
    item As KeyValuePair(Of Integer, TTo) _
)
Public Sub Add ( _
    item As KeyValuePair(Of Integer, TTo) _
)
public:
virtual void Add(
    KeyValuePair<int, TTo> item
) sealed
public:
virtual void Add(
    KeyValuePair<int, TTo> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, TTo
The object to add to the   Online ICollection T .
Implements
  Online ICollection T  Add(T)
Exceptions
Exception | Condition
Online System NotSupportedException | The Online ICollection T is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
Add Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method (Int32, TTo)

PhasedEvaluated TFrom, TTo Add Method (Int32, TTo) ElecNetKit Documentation
Adds an element with the provided key and value to the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    int key,
    TTo value
)
public void Add(
    int key,
    TTo value
)
Public Sub Add ( _
    key As Integer, _
    value As TTo _
)
Public Sub Add ( _
    key As Integer, _
    value As TTo _
)
public:
virtual void Add(
    int key,
    TTo value
) sealed
public:
virtual void Add(
    int key,
    TTo value
) sealed
Parameters
key
Type:   Online System Int32
The object to use as the key of the element to add.
value
Type: TTo
The object to use as the value of the element to add.
Implements
  Online IDictionary TKey, TValue  Add(TKey, TValue)
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
Online System ArgumentException | An element with the same key already exists in the Online IDictionary TKey, TValue .
Online System NotSupportedException | The Online IDictionary TKey, TValue is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
Add Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Clear Method

PhasedEvaluated TFrom, TTo Clear Method ElecNetKit Documentation
Removes all items from the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Clear()
public void Clear()
Public Sub Clear
Public Sub Clear
public:
virtual void Clear() sealed
public:
virtual void Clear() sealed
Implements
  Online ICollection T  Clear
Exceptions
Exception | Condition
Online System NotSupportedException | The Online ICollection T is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Contains Method

PhasedEvaluated TFrom, TTo Contains Method ElecNetKit Documentation
Determines whether the Online ICollection T contains a specific value.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Contains(
    KeyValuePair<int, TTo> item
)
public bool Contains(
    KeyValuePair<int, TTo> item
)
Public Function Contains ( _
    item As KeyValuePair(Of Integer, TTo) _
) As Boolean
Public Function Contains ( _
    item As KeyValuePair(Of Integer, TTo) _
) As Boolean
public:
virtual bool Contains(
    KeyValuePair<int, TTo> item
) sealed
public:
virtual bool Contains(
    KeyValuePair<int, TTo> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, TTo
The object to locate in the   Online ICollection T .
Return Value
true if item is found in the   Online ICollection T ; otherwise, false.
Implements
  Online ICollection T  Contains(T)
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


ContainsKey Method

PhasedEvaluated TFrom, TTo ContainsKey Method ElecNetKit Documentation
Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ContainsKey(
    int key
)
public bool ContainsKey(
    int key
)
Public Function ContainsKey ( _
    key As Integer _
) As Boolean
Public Function ContainsKey ( _
    key As Integer _
) As Boolean
public:
virtual bool ContainsKey(
    int key
) sealed
public:
virtual bool ContainsKey(
    int key
) sealed
Parameters
key
Type:   Online System Int32
The key to locate in the   Online IDictionary TKey, TValue .
Return Value
true if the   Online IDictionary TKey, TValue  contains an element with the key; otherwise, false.
Implements
  Online IDictionary TKey, TValue  ContainsKey(TKey)
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CopyTo Method

PhasedEvaluated TFrom, TTo CopyTo Method ElecNetKit Documentation
Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    KeyValuePair<int, TTo>[] array,
    int arrayIndex
)
public void CopyTo(
    KeyValuePair<int, TTo>[] array,
    int arrayIndex
)
Public Sub CopyTo ( _
    array As KeyValuePair(Of Integer, TTo)(), _
    arrayIndex As Integer _
)
Public Sub CopyTo ( _
    array As KeyValuePair(Of Integer, TTo)(), _
    arrayIndex As Integer _
)
public:
virtual void CopyTo(
    array<KeyValuePair<int, TTo>>^ array,
    int arrayIndex
) sealed
public:
virtual void CopyTo(
    array<KeyValuePair<int, TTo>>^ array,
    int arrayIndex
) sealed
Parameters
array
Type:    Online System.Collections.Generic KeyValuePair    Online Int32, TTo
The one-dimensional   Online Array that is the destination of the elements copied from   Online ICollection T . The   Online Array must have zero-based indexing.
arrayIndex
Type:   Online System Int32
The zero-based index in array at which copying begins.
Implements
  Online ICollection T  CopyTo( T , Int32)
Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | arrayIndex is less than 0.
Online System ArgumentException | The number of elements in the source Online ICollection T is greater than the available space from arrayIndex to the end of the destination array.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


GetEnumerator Method

PhasedEvaluated TFrom, TTo GetEnumerator Method ElecNetKit Documentation
Returns an enumerator that iterates through the collection.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerator<KeyValuePair<int, TTo>> GetEnumerator()
public IEnumerator<KeyValuePair<int, TTo>> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of Integer, TTo))
Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of Integer, TTo))
public:
virtual IEnumerator<KeyValuePair<int, TTo>>^ GetEnumerator() sealed
public:
virtual IEnumerator<KeyValuePair<int, TTo>>^ GetEnumerator() sealed
Return Value
A   Online IEnumerator T  that can be used to iterate through the collection.
Implements
  Online IEnumerable T  GetEnumerator
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method

PhasedEvaluated TFrom, TTo Remove Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Remove(KeyValuePair Int32, TTo ) | Removes the first occurrence of a specific object from the Online ICollection T .
Public method | Remove(Int32) | Removes the element with the specified key from the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedEvaluated TFrom, TTo Class
PhasedEvaluated TFrom, TTo Members
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method (KeyValuePair(Int32, TTo))

PhasedEvaluated TFrom, TTo Remove Method (KeyValuePair Int32, TTo ) ElecNetKit Documentation
Removes the first occurrence of a specific object from the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Remove(
    KeyValuePair<int, TTo> item
)
public bool Remove(
    KeyValuePair<int, TTo> item
)
Public Function Remove ( _
    item As KeyValuePair(Of Integer, TTo) _
) As Boolean
Public Function Remove ( _
    item As KeyValuePair(Of Integer, TTo) _
) As Boolean
public:
virtual bool Remove(
    KeyValuePair<int, TTo> item
) sealed
public:
virtual bool Remove(
    KeyValuePair<int, TTo> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, TTo
The object to remove from the   Online ICollection T .
Return Value
true if item was successfully removed from the   Online ICollection T ; otherwise, false. This method also returns false if item is not found in the original   Online ICollection T .
Implements
  Online ICollection T  Remove(T)
Exceptions
Exception | Condition
Online System NotSupportedException | The Online ICollection T is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
Remove Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method (Int32)

PhasedEvaluated TFrom, TTo Remove Method (Int32) ElecNetKit Documentation
Removes the element with the specified key from the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Remove(
    int key
)
public bool Remove(
    int key
)
Public Function Remove ( _
    key As Integer _
) As Boolean
Public Function Remove ( _
    key As Integer _
) As Boolean
public:
virtual bool Remove(
    int key
) sealed
public:
virtual bool Remove(
    int key
) sealed
Parameters
key
Type:   Online System Int32
The key of the element to remove.
Return Value
true if the element is successfully removed; otherwise, false.  This method also returns false if key was not found in the original   Online IDictionary TKey, TValue .
Implements
  Online IDictionary TKey, TValue  Remove(TKey)
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
Online System NotSupportedException | The Online IDictionary TKey, TValue is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
Remove Overload
ElecNetKit.NetworkModelling.Phasing Namespace


TryGetValue Method

PhasedEvaluated TFrom, TTo TryGetValue Method ElecNetKit Documentation
Gets the value associated with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool TryGetValue(
    int key,
    out TTo value
)
public bool TryGetValue(
    int key,
    out TTo value
)
Public Function TryGetValue ( _
    key As Integer, _
    <OutAttribute> ByRef value As TTo _
) As Boolean
Public Function TryGetValue ( _
    key As Integer, _
    <OutAttribute> ByRef value As TTo _
) As Boolean
public:
virtual bool TryGetValue(
    int key,
    [OutAttribute] TTo% value
) sealed
public:
virtual bool TryGetValue(
    int key,
    [OutAttribute] TTo% value
) sealed
Parameters
key
Type:   Online System Int32
The key whose value to get.
value
Type: TTo
When this method returns, the value associated with the specified key, if the key is found; otherwise, the default value for the type of the value parameter. This parameter is passed uninitialized.
Return Value
true if the object that implements   Online IDictionary TKey, TValue  contains an element with the specified key; otherwise, false.
Implements
  Online IDictionary TKey, TValue  TryGetValue(TKey, TValue )
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedEvaluated(TFrom, TTo) Properties

PhasedEvaluated TFrom, TTo Properties ElecNetKit Documentation
The PhasedEvaluated TFrom, TTo type exposes the following members.
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Public property | Item | Gets or sets the element with the specified key.
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedEvaluated TFrom, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


Count Property

PhasedEvaluated TFrom, TTo Count Property ElecNetKit Documentation
Gets the number of elements contained in the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Count { get; }
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
Public ReadOnly Property Count As Integer
    Get
public:
virtual property int Count {
    int get () sealed;
}
public:
virtual property int Count {
    int get () sealed;
}
Return Value
The number of elements contained in the   Online ICollection T .
Implements
  Online ICollection T  Count
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


IsReadOnly Property

PhasedEvaluated TFrom, TTo IsReadOnly Property ElecNetKit Documentation
Gets a value indicating whether the Online ICollection T is read-only.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool IsReadOnly { get; }
public bool IsReadOnly { get; }
Public ReadOnly Property IsReadOnly As Boolean
    Get
Public ReadOnly Property IsReadOnly As Boolean
    Get
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
Return Value
true if the   Online ICollection T  is read-only; otherwise, false.
Implements
  Online ICollection T  IsReadOnly
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Item Property

PhasedEvaluated TFrom, TTo Item Property ElecNetKit Documentation
Gets or sets the element with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TTo this[
    int key
] { get; set; }
public TTo this[
    int key
] { get; set; }
Public Default Property Item ( _
    key As Integer _
) As TTo
    Get
    Set
Public Default Property Item ( _
    key As Integer _
) As TTo
    Get
    Set
public:
virtual property TTo default[int key] {
    TTo get (int key) sealed;
    void set (int key, TTo value) sealed;
}
public:
virtual property TTo default[int key] {
    TTo get (int key) sealed;
    void set (int key, TTo value) sealed;
}
Parameters
key
Type:   Online System Int32
The key of the element to get or set.
Return Value
The element with the specified key.
Implements
  Online IDictionary TKey, TValue  Item TKey
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
Online System.Collections.Generic KeyNotFoundException | The property is retrieved and key is not found.
Online System NotSupportedException | The property is set and the Online IDictionary TKey, TValue is read-only.
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Keys Property

PhasedEvaluated TFrom, TTo Keys Property ElecNetKit Documentation
Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ICollection<int> Keys { get; }
public ICollection<int> Keys { get; }
Public ReadOnly Property Keys As ICollection(Of Integer)
    Get
Public ReadOnly Property Keys As ICollection(Of Integer)
    Get
public:
virtual property ICollection<int>^ Keys {
    ICollection<int>^ get () sealed;
}
public:
virtual property ICollection<int>^ Keys {
    ICollection<int>^ get () sealed;
}
Return Value
An   Online ICollection T  containing the keys of the object that implements   Online IDictionary TKey, TValue .
Implements
  Online IDictionary TKey, TValue  Keys
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Values Property

PhasedEvaluated TFrom, TTo Values Property ElecNetKit Documentation
Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ICollection<TTo> Values { get; }
public ICollection<TTo> Values { get; }
Public ReadOnly Property Values As ICollection(Of TTo)
    Get
Public ReadOnly Property Values As ICollection(Of TTo)
    Get
public:
virtual property ICollection<TTo>^ Values {
    ICollection<TTo>^ get () sealed;
}
public:
virtual property ICollection<TTo>^ Values {
    ICollection<TTo>^ get () sealed;
}
Return Value
An   Online ICollection T  containing the values in the object that implements   Online IDictionary TKey, TValue .
Implements
  Online IDictionary TKey, TValue  Values
See Also
PhasedEvaluated TFrom, TTo  Class
PhasedEvaluated TFrom, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Class

PhasedReadOnlyEvaluated TFrom, T Class ElecNetKit Documentation
An implementation of Phased T that is read-only and works with objects (as opposed to PhasedEvaluated TFrom, TTo , which only works with value types).
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling.Phasing PhasedReadOnlyEvaluated TFrom, T
ElecNetKit.NetworkModelling.Phasing CachedPhasedReadOnlyEvaluated TFrom, T

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PhasedReadOnlyEvaluated<TFrom, T> : Phased<T>,
    IDictionary<int, T>, ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
public class PhasedReadOnlyEvaluated<TFrom, T> : Phased<T>,
    IDictionary<int, T>, ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
Public Class PhasedReadOnlyEvaluated(Of TFrom, T) _
    Implements Phased(Of T), IDictionary(Of Integer, T),  _
    ICollection(Of KeyValuePair(Of Integer, T)), IEnumerable(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable
Public Class PhasedReadOnlyEvaluated(Of TFrom, T) _
    Implements Phased(Of T), IDictionary(Of Integer, T),  _
    ICollection(Of KeyValuePair(Of Integer, T)), IEnumerable(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable
generic<typename TFrom, typename T>
public ref class PhasedReadOnlyEvaluated : Phased<T>,
    IDictionary<int, T>, ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
generic<typename TFrom, typename T>
public ref class PhasedReadOnlyEvaluated : Phased<T>,
    IDictionary<int, T>, ICollection<KeyValuePair<int, T>>, IEnumerable<KeyValuePair<int, T>>,
    IEnumerable
Type Parameters
TFrom
The type to convert from.
T
The type fo convert to.
See Also
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Members

PhasedReadOnlyEvaluated TFrom, T Members ElecNetKit Documentation

The PhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Constructors
 | Name | Description
Protected method | PhasedReadOnlyEvaluated TFrom, T | Instantiates a new PhasedReadOnlyEvaluated TFrom, T .
Public method | PhasedReadOnlyEvaluated TFrom, T (Func TFrom, T , Phased TFrom ) | Instantiates a new PhasedReadOnlyEvaluated TFrom, T .
Back to Top
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Add(Int32, T) | Not supported. Always throws a Online NotSupportedException.
Public method | Clear | Not supported. Always throws a Online NotSupportedException.
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Remove(Int32) | Not supported. Always throws a Online NotSupportedException.
Public method | TryGetValue | Gets the value associated with the specified key.
Back to Top
Fields
 | Name | Description
Protected field | basePhased | The backing Phased T .
Protected field | getTransform | The transform that is used to return values of type T from the backing Phased T .
Back to Top
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Public property | Item | Gets or sets the element with the specified key.
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Constructor

PhasedReadOnlyEvaluated TFrom, T Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Protected method | PhasedReadOnlyEvaluated TFrom, T | Instantiates a new PhasedReadOnlyEvaluated TFrom, T .
Public method | PhasedReadOnlyEvaluated TFrom, T (Func TFrom, T , Phased TFrom ) | Instantiates a new PhasedReadOnlyEvaluated TFrom, T .
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
PhasedReadOnlyEvaluated TFrom, T Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Constructor

PhasedReadOnlyEvaluated TFrom, T Constructor ElecNetKit Documentation
Instantiates a new PhasedReadOnlyEvaluated TFrom, T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected PhasedReadOnlyEvaluated()
protected PhasedReadOnlyEvaluated()
Protected Sub New
Protected Sub New
protected:
PhasedReadOnlyEvaluated()
protected:
PhasedReadOnlyEvaluated()
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
PhasedReadOnlyEvaluated TFrom, T  Overload
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Constructor (Func(TFrom, T), Phased(TFrom))

PhasedReadOnlyEvaluated TFrom, T Constructor (Func TFrom, T , Phased TFrom ) ElecNetKit Documentation
Instantiates a new PhasedReadOnlyEvaluated TFrom, T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PhasedReadOnlyEvaluated(
    Func<TFrom, T> getTransform,
    Phased<TFrom> basePhased
)
public PhasedReadOnlyEvaluated(
    Func<TFrom, T> getTransform,
    Phased<TFrom> basePhased
)
Public Sub New ( _
    getTransform As Func(Of TFrom, T), _
    basePhased As Phased(Of TFrom) _
)
Public Sub New ( _
    getTransform As Func(Of TFrom, T), _
    basePhased As Phased(Of TFrom) _
)
public:
PhasedReadOnlyEvaluated(
    Func<TFrom, T>^ getTransform,
    Phased<TFrom>^ basePhased
)
public:
PhasedReadOnlyEvaluated(
    Func<TFrom, T>^ getTransform,
    Phased<TFrom>^ basePhased
)
Parameters
getTransform
Type:   Online System Func  TFrom, T
A function that converts from TFrom to T.
basePhased
Type: ElecNetKit.NetworkModelling.Phasing Phased  TFrom
The backing Phased T .
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
PhasedReadOnlyEvaluated TFrom, T  Overload
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Fields

PhasedReadOnlyEvaluated TFrom, T Fields ElecNetKit Documentation
The PhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Fields
 | Name | Description
Protected field | basePhased | The backing Phased T .
Protected field | getTransform | The transform that is used to return values of type T from the backing Phased T .
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


basePhased Field

PhasedReadOnlyEvaluated TFrom, T basePhased Field ElecNetKit Documentation
The backing Phased T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Phased<TFrom> basePhased
protected Phased<TFrom> basePhased
Protected basePhased As Phased(Of TFrom)
Protected basePhased As Phased(Of TFrom)
protected:
Phased<TFrom>^ basePhased
protected:
Phased<TFrom>^ basePhased
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


getTransform Field

PhasedReadOnlyEvaluated TFrom, T getTransform Field ElecNetKit Documentation
The transform that is used to return values of type T from the backing Phased T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected Func<TFrom, T> getTransform
protected Func<TFrom, T> getTransform
Protected getTransform As Func(Of TFrom, T)
Protected getTransform As Func(Of TFrom, T)
protected:
Func<TFrom, T>^ getTransform
protected:
Func<TFrom, T>^ getTransform
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Methods

PhasedReadOnlyEvaluated TFrom, T Methods ElecNetKit Documentation
The PhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Methods
 | Name | Description
Public method | Add(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Add(Int32, T) | Not supported. Always throws a Online NotSupportedException.
Public method | Clear | Not supported. Always throws a Online NotSupportedException.
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | ContainsKey | Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.
Public method | CopyTo | Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Remove(Int32) | Not supported. Always throws a Online NotSupportedException.
Public method | TryGetValue | Gets the value associated with the specified key.
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method

PhasedReadOnlyEvaluated TFrom, T Add Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Add(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Add(Int32, T) | Not supported. Always throws a Online NotSupportedException.
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
PhasedReadOnlyEvaluated TFrom, T Members
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method (KeyValuePair(Int32, T))

PhasedReadOnlyEvaluated TFrom, T Add Method (KeyValuePair Int32, T ) ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    KeyValuePair<int, T> item
)
public void Add(
    KeyValuePair<int, T> item
)
Public Sub Add ( _
    item As KeyValuePair(Of Integer, T) _
)
Public Sub Add ( _
    item As KeyValuePair(Of Integer, T) _
)
public:
virtual void Add(
    KeyValuePair<int, T> item
) sealed
public:
virtual void Add(
    KeyValuePair<int, T> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, T
Not used.
Implements
  Online ICollection T  Add(T)
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
Add Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method (Int32, T)

PhasedReadOnlyEvaluated TFrom, T Add Method (Int32, T) ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    int key,
    T value
)
public void Add(
    int key,
    T value
)
Public Sub Add ( _
    key As Integer, _
    value As T _
)
Public Sub Add ( _
    key As Integer, _
    value As T _
)
public:
virtual void Add(
    int key,
    T value
) sealed
public:
virtual void Add(
    int key,
    T value
) sealed
Parameters
key
Type:   Online System Int32
Not used.
value
Type: T
Not used.
Implements
  Online IDictionary TKey, TValue  Add(TKey, TValue)
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
Add Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Clear Method

PhasedReadOnlyEvaluated TFrom, T Clear Method ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Clear()
public void Clear()
Public Sub Clear
Public Sub Clear
public:
virtual void Clear() sealed
public:
virtual void Clear() sealed
Implements
  Online ICollection T  Clear
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Contains Method

PhasedReadOnlyEvaluated TFrom, T Contains Method ElecNetKit Documentation
Determines whether the Online ICollection T contains a specific value.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Contains(
    KeyValuePair<int, T> item
)
public bool Contains(
    KeyValuePair<int, T> item
)
Public Function Contains ( _
    item As KeyValuePair(Of Integer, T) _
) As Boolean
Public Function Contains ( _
    item As KeyValuePair(Of Integer, T) _
) As Boolean
public:
virtual bool Contains(
    KeyValuePair<int, T> item
) sealed
public:
virtual bool Contains(
    KeyValuePair<int, T> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, T
The object to locate in the   Online ICollection T .
Return Value
true if item is found in the   Online ICollection T ; otherwise, false.
Implements
  Online ICollection T  Contains(T)
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


ContainsKey Method

PhasedReadOnlyEvaluated TFrom, T ContainsKey Method ElecNetKit Documentation
Determines whether the Online IDictionary TKey, TValue contains an element with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ContainsKey(
    int key
)
public bool ContainsKey(
    int key
)
Public Function ContainsKey ( _
    key As Integer _
) As Boolean
Public Function ContainsKey ( _
    key As Integer _
) As Boolean
public:
virtual bool ContainsKey(
    int key
) sealed
public:
virtual bool ContainsKey(
    int key
) sealed
Parameters
key
Type:   Online System Int32
The key to locate in the   Online IDictionary TKey, TValue .
Return Value
true if the   Online IDictionary TKey, TValue  contains an element with the key; otherwise, false.
Implements
  Online IDictionary TKey, TValue  ContainsKey(TKey)
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CopyTo Method

PhasedReadOnlyEvaluated TFrom, T CopyTo Method ElecNetKit Documentation
Copies the elements of the Online ICollection T to an Online Array, starting at a particular Online Array index.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    KeyValuePair<int, T>[] array,
    int arrayIndex
)
public void CopyTo(
    KeyValuePair<int, T>[] array,
    int arrayIndex
)
Public Sub CopyTo ( _
    array As KeyValuePair(Of Integer, T)(), _
    arrayIndex As Integer _
)
Public Sub CopyTo ( _
    array As KeyValuePair(Of Integer, T)(), _
    arrayIndex As Integer _
)
public:
virtual void CopyTo(
    array<KeyValuePair<int, T>>^ array,
    int arrayIndex
) sealed
public:
virtual void CopyTo(
    array<KeyValuePair<int, T>>^ array,
    int arrayIndex
) sealed
Parameters
array
Type:    Online System.Collections.Generic KeyValuePair    Online Int32, T
The one-dimensional   Online Array that is the destination of the elements copied from   Online ICollection T . The   Online Array must have zero-based indexing.
arrayIndex
Type:   Online System Int32
The zero-based index in array at which copying begins.
Implements
  Online ICollection T  CopyTo( T , Int32)
Exceptions
Exception | Condition
Online System ArgumentNullException | array is null.
Online System ArgumentOutOfRangeException | arrayIndex is less than 0.
Online System ArgumentException | The number of elements in the source Online ICollection T is greater than the available space from arrayIndex to the end of the destination array.
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


GetEnumerator Method

PhasedReadOnlyEvaluated TFrom, T GetEnumerator Method ElecNetKit Documentation
Returns an enumerator that iterates through the collection.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerator<KeyValuePair<int, T>> GetEnumerator()
public IEnumerator<KeyValuePair<int, T>> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of Integer, T))
Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of Integer, T))
public:
virtual IEnumerator<KeyValuePair<int, T>>^ GetEnumerator() sealed
public:
virtual IEnumerator<KeyValuePair<int, T>>^ GetEnumerator() sealed
Return Value
A   Online IEnumerator T  that can be used to iterate through the collection.
Implements
  Online IEnumerable T  GetEnumerator
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method

PhasedReadOnlyEvaluated TFrom, T Remove Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | Remove(KeyValuePair Int32, T ) | Not supported. Always throws a Online NotSupportedException.
Public method | Remove(Int32) | Not supported. Always throws a Online NotSupportedException.
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
PhasedReadOnlyEvaluated TFrom, T Members
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method (KeyValuePair(Int32, T))

PhasedReadOnlyEvaluated TFrom, T Remove Method (KeyValuePair Int32, T ) ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Remove(
    KeyValuePair<int, T> item
)
public bool Remove(
    KeyValuePair<int, T> item
)
Public Function Remove ( _
    item As KeyValuePair(Of Integer, T) _
) As Boolean
Public Function Remove ( _
    item As KeyValuePair(Of Integer, T) _
) As Boolean
public:
virtual bool Remove(
    KeyValuePair<int, T> item
) sealed
public:
virtual bool Remove(
    KeyValuePair<int, T> item
) sealed
Parameters
item
Type:   Online System.Collections.Generic KeyValuePair    Online Int32, T
Not used.
Return Value
Never returns.
Implements
  Online ICollection T  Remove(T)
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
Remove Overload
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method (Int32)

PhasedReadOnlyEvaluated TFrom, T Remove Method (Int32) ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Remove(
    int key
)
public bool Remove(
    int key
)
Public Function Remove ( _
    key As Integer _
) As Boolean
Public Function Remove ( _
    key As Integer _
) As Boolean
public:
virtual bool Remove(
    int key
) sealed
public:
virtual bool Remove(
    int key
) sealed
Parameters
key
Type:   Online System Int32
Not used.
Return Value
Never returns.
Implements
  Online IDictionary TKey, TValue  Remove(TKey)
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
Remove Overload
ElecNetKit.NetworkModelling.Phasing Namespace


TryGetValue Method

PhasedReadOnlyEvaluated TFrom, T TryGetValue Method ElecNetKit Documentation
Gets the value associated with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool TryGetValue(
    int key,
    out T value
)
public bool TryGetValue(
    int key,
    out T value
)
Public Function TryGetValue ( _
    key As Integer, _
    <OutAttribute> ByRef value As T _
) As Boolean
Public Function TryGetValue ( _
    key As Integer, _
    <OutAttribute> ByRef value As T _
) As Boolean
public:
virtual bool TryGetValue(
    int key,
    [OutAttribute] T% value
) sealed
public:
virtual bool TryGetValue(
    int key,
    [OutAttribute] T% value
) sealed
Parameters
key
Type:   Online System Int32
The key whose value to get.
value
Type: T
When this method returns, the value associated with the specified key, if the key is found; otherwise, the default value for the type of the value parameter. This parameter is passed uninitialized.
Return Value
true if the object that implements   Online IDictionary TKey, TValue  contains an element with the specified key; otherwise, false.
Implements
  Online IDictionary TKey, TValue  TryGetValue(TKey, TValue )
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedReadOnlyEvaluated(TFrom, T) Properties

PhasedReadOnlyEvaluated TFrom, T Properties ElecNetKit Documentation
The PhasedReadOnlyEvaluated TFrom, T type exposes the following members.
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Public property | Item | Gets or sets the element with the specified key.
Public property | Keys | Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .
Public property | Values | Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .
Back to Top
See Also
PhasedReadOnlyEvaluated TFrom, T Class
ElecNetKit.NetworkModelling.Phasing Namespace


Count Property

PhasedReadOnlyEvaluated TFrom, T Count Property ElecNetKit Documentation
Gets the number of elements contained in the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Count { get; }
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
Public ReadOnly Property Count As Integer
    Get
public:
virtual property int Count {
    int get () sealed;
}
public:
virtual property int Count {
    int get () sealed;
}
Return Value
The number of elements contained in the   Online ICollection T .
Implements
  Online ICollection T  Count
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


IsReadOnly Property

PhasedReadOnlyEvaluated TFrom, T IsReadOnly Property ElecNetKit Documentation
Gets a value indicating whether the Online ICollection T is read-only.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool IsReadOnly { get; }
public bool IsReadOnly { get; }
Public ReadOnly Property IsReadOnly As Boolean
    Get
Public ReadOnly Property IsReadOnly As Boolean
    Get
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
Return Value
true if the   Online ICollection T  is read-only; otherwise, false.
Implements
  Online ICollection T  IsReadOnly
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Item Property

PhasedReadOnlyEvaluated TFrom, T Item Property ElecNetKit Documentation
Gets or sets the element with the specified key.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public T this[
    int key
] { get; set; }
public T this[
    int key
] { get; set; }
Public Default Property Item ( _
    key As Integer _
) As T
    Get
    Set
Public Default Property Item ( _
    key As Integer _
) As T
    Get
    Set
public:
virtual property T default[int key] {
    T get (int key) sealed;
    void set (int key, T value) sealed;
}
public:
virtual property T default[int key] {
    T get (int key) sealed;
    void set (int key, T value) sealed;
}
Parameters
key
Type:   Online System Int32
The key of the element to get or set.
Return Value
The element with the specified key.
Implements
  Online IDictionary TKey, TValue  Item TKey
Exceptions
Exception | Condition
Online System ArgumentNullException | key is null.
Online System.Collections.Generic KeyNotFoundException | The property is retrieved and key is not found.
Online System NotSupportedException | The property is set and the Online IDictionary TKey, TValue is read-only.
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Keys Property

PhasedReadOnlyEvaluated TFrom, T Keys Property ElecNetKit Documentation
Gets an Online ICollection T containing the keys of the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ICollection<int> Keys { get; }
public ICollection<int> Keys { get; }
Public ReadOnly Property Keys As ICollection(Of Integer)
    Get
Public ReadOnly Property Keys As ICollection(Of Integer)
    Get
public:
virtual property ICollection<int>^ Keys {
    ICollection<int>^ get () sealed;
}
public:
virtual property ICollection<int>^ Keys {
    ICollection<int>^ get () sealed;
}
Return Value
An   Online ICollection T  containing the keys of the object that implements   Online IDictionary TKey, TValue .
Implements
  Online IDictionary TKey, TValue  Keys
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Values Property

PhasedReadOnlyEvaluated TFrom, T Values Property ElecNetKit Documentation
Gets an Online ICollection T containing the values in the Online IDictionary TKey, TValue .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ICollection<T> Values { get; }
public ICollection<T> Values { get; }
Public ReadOnly Property Values As ICollection(Of T)
    Get
Public ReadOnly Property Values As ICollection(Of T)
    Get
public:
virtual property ICollection<T>^ Values {
    ICollection<T>^ get () sealed;
}
public:
virtual property ICollection<T>^ Values {
    ICollection<T>^ get () sealed;
}
Return Value
An   Online ICollection T  containing the values in the object that implements   Online IDictionary TKey, TValue .
Implements
  Online IDictionary TKey, TValue  Values
See Also
PhasedReadOnlyEvaluated TFrom, T  Class
PhasedReadOnlyEvaluated TFrom, T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Class

PhasedValues T Class ElecNetKit Documentation
A value-based type that implements the Phased T interface.
Inheritance Hierarchy
Online System Object
Online System.Collections.Generic Dictionary Online Int32, T
ElecNetKit.NetworkModelling.Phasing PhasedValues T

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class PhasedValues<T> : Dictionary<int, T>,
    Phased<T>, IDictionary<int, T>, ICollection<KeyValuePair<int, T>>,
    IEnumerable<KeyValuePair<int, T>>, IEnumerable
[SerializableAttribute]
public class PhasedValues<T> : Dictionary<int, T>,
    Phased<T>, IDictionary<int, T>, ICollection<KeyValuePair<int, T>>,
    IEnumerable<KeyValuePair<int, T>>, IEnumerable
<SerializableAttribute> _
Public Class PhasedValues(Of T) _
    Inherits Dictionary(Of Integer, T) _
    Implements Phased(Of T), IDictionary(Of Integer, T),  _
    ICollection(Of KeyValuePair(Of Integer, T)), IEnumerable(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable
<SerializableAttribute> _
Public Class PhasedValues(Of T) _
    Inherits Dictionary(Of Integer, T) _
    Implements Phased(Of T), IDictionary(Of Integer, T),  _
    ICollection(Of KeyValuePair(Of Integer, T)), IEnumerable(Of KeyValuePair(Of Integer, T)),  _
    IEnumerable
[SerializableAttribute]
generic<typename T>
public ref class PhasedValues : public Dictionary<int, T>,
    Phased<T>, IDictionary<int, T>, ICollection<KeyValuePair<int, T>>,
    IEnumerable<KeyValuePair<int, T>>, IEnumerable
[SerializableAttribute]
generic<typename T>
public ref class PhasedValues : public Dictionary<int, T>,
    Phased<T>, IDictionary<int, T>, ICollection<KeyValuePair<int, T>>,
    IEnumerable<KeyValuePair<int, T>>, IEnumerable
Type Parameters
T
The type that should have a unique value per phase.
See Also
PhasedValues T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Members

PhasedValues T Members ElecNetKit Documentation

The PhasedValues T type exposes the following members.
Constructors
 | Name | Description
Public method | PhasedValues T | Instantiates a new PhasedValues T .
Protected method | PhasedValues T (SerializationInfo, StreamingContext) | Initializes a new instance of the Online Dictionary TKey, TValue class with serialized data.
Back to Top
Methods
 | Name | Description
Public method | GetObjectData | Implements the Online ISerializable interface and returns the data needed to serialize the Online Dictionary TKey, TValue instance. (Overrides Online Dictionary TKey, TValue GetObjectData(SerializationInfo, StreamingContext).)
Back to Top
See Also
PhasedValues T Class
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Constructor

PhasedValues T Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Public method | PhasedValues T | Instantiates a new PhasedValues T .
Protected method | PhasedValues T (SerializationInfo, StreamingContext) | Initializes a new instance of the Online Dictionary TKey, TValue class with serialized data.
Back to Top
See Also
PhasedValues T Class
PhasedValues T Members
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Constructor

PhasedValues T Constructor ElecNetKit Documentation
Instantiates a new PhasedValues T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PhasedValues()
public PhasedValues()
Public Sub New
Public Sub New
public:
PhasedValues()
public:
PhasedValues()
See Also
PhasedValues T  Class
PhasedValues T  Members
PhasedValues T  Overload
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Constructor (SerializationInfo, StreamingContext)

PhasedValues T Constructor (SerializationInfo, StreamingContext) ElecNetKit Documentation
Initializes a new instance of the Online Dictionary TKey, TValue class with serialized data.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected PhasedValues(
    SerializationInfo info,
    StreamingContext context
)
protected PhasedValues(
    SerializationInfo info,
    StreamingContext context
)
Protected Sub New ( _
    info As SerializationInfo, _
    context As StreamingContext _
)
Protected Sub New ( _
    info As SerializationInfo, _
    context As StreamingContext _
)
protected:
PhasedValues(
    SerializationInfo^ info,
    StreamingContext context
)
protected:
PhasedValues(
    SerializationInfo^ info,
    StreamingContext context
)
Parameters
info
Type:   Online System.Runtime.Serialization SerializationInfo
A   Online SerializationInfo object containing the information required to serialize the   Online Dictionary TKey, TValue .
context
Type:   Online System.Runtime.Serialization StreamingContext
A   Online StreamingContext structure containing the source and destination of the serialized stream associated with the   Online Dictionary TKey, TValue .
See Also
PhasedValues T  Class
PhasedValues T  Members
PhasedValues T  Overload
ElecNetKit.NetworkModelling.Phasing Namespace


PhasedValues(T) Methods

PhasedValues T Methods ElecNetKit Documentation
The PhasedValues T type exposes the following members.
Methods
 | Name | Description
Public method | GetObjectData | Implements the Online ISerializable interface and returns the data needed to serialize the Online Dictionary TKey, TValue instance. (Overrides Online Dictionary TKey, TValue GetObjectData(SerializationInfo, StreamingContext).)
Back to Top
See Also
PhasedValues T Class
ElecNetKit.NetworkModelling.Phasing Namespace


GetObjectData Method

PhasedValues T GetObjectData Method ElecNetKit Documentation
Implements the Online ISerializable interface and returns the data needed to serialize the Online Dictionary TKey, TValue instance.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override void GetObjectData(
    SerializationInfo info,
    StreamingContext context
)
public override void GetObjectData(
    SerializationInfo info,
    StreamingContext context
)
Public Overrides Sub GetObjectData ( _
    info As SerializationInfo, _
    context As StreamingContext _
)
Public Overrides Sub GetObjectData ( _
    info As SerializationInfo, _
    context As StreamingContext _
)
public:
virtual void GetObjectData(
    SerializationInfo^ info,
    StreamingContext context
) override
public:
virtual void GetObjectData(
    SerializationInfo^ info,
    StreamingContext context
) override
Parameters
info
Type:   Online System.Runtime.Serialization SerializationInfo
A   Online SerializationInfo object that contains the information required to serialize the   Online Dictionary TKey, TValue  instance.
context
Type:   Online System.Runtime.Serialization StreamingContext
A   Online StreamingContext structure that contains the source and destination of the serialized stream associated with the   Online Dictionary TKey, TValue  instance.
Implements
  Online ISerializable GetObjectData(SerializationInfo, StreamingContext)
Exceptions
Exception | Condition
Online System ArgumentNullException | info is null.
Online System.Security SecurityException | The caller does not have the required permission.
See Also
PhasedValues T  Class
PhasedValues T  Members
ElecNetKit.NetworkModelling.Phasing Namespace


QueryableCollection(TBase, TTo) Class

QueryableCollection TBase, TTo Class ElecNetKit Documentation
A read-only collection that uses a transform function to transform the individual elements of another collection.
Inheritance Hierarchy
Online System Object
ElecNetKit.NetworkModelling.Phasing QueryableCollection TBase, TTo

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class QueryableCollection<TBase, TTo> : ICollection<TTo>,
    IEnumerable<TTo>, IEnumerable
public class QueryableCollection<TBase, TTo> : ICollection<TTo>,
    IEnumerable<TTo>, IEnumerable
Public Class QueryableCollection(Of TBase, TTo) _
    Implements ICollection(Of TTo), IEnumerable(Of TTo),  _
    IEnumerable
Public Class QueryableCollection(Of TBase, TTo) _
    Implements ICollection(Of TTo), IEnumerable(Of TTo),  _
    IEnumerable
generic<typename TBase, typename TTo>
public ref class QueryableCollection : ICollection<TTo>,
    IEnumerable<TTo>, IEnumerable
generic<typename TBase, typename TTo>
public ref class QueryableCollection : ICollection<TTo>,
    IEnumerable<TTo>, IEnumerable
Type Parameters
TBase
The type of the underlying   Online ICollection T .
TTo
The type of this collection.
See Also
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


QueryableCollection(TBase, TTo) Members

QueryableCollection TBase, TTo Members ElecNetKit Documentation

The QueryableCollection TBase, TTo type exposes the following members.
Constructors
 | Name | Description
Public method | QueryableCollection TBase, TTo | Instantiates a new QueryableCollection TBase, TTo with the specified translation functions and base Online ICollection T .
Back to Top
Methods
 | Name | Description
Public method | Add | Not supported. Always throws a Online NotSupportedException.
Public method | Clear | Not supported. Always throws a Online NotSupportedException.
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | CopyTo | Not supported. Always throws a Online NotSupportedException.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove | Not supported. Always throws a Online NotSupportedException.
Back to Top
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Back to Top
See Also
QueryableCollection TBase, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


QueryableCollection(TBase, TTo) Constructor

QueryableCollection TBase, TTo Constructor ElecNetKit Documentation
Instantiates a new QueryableCollection TBase, TTo with the specified translation functions and base Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public QueryableCollection(
    Func<TBase, TTo> transform,
    ICollection<TBase> theBase
)
public QueryableCollection(
    Func<TBase, TTo> transform,
    ICollection<TBase> theBase
)
Public Sub New ( _
    transform As Func(Of TBase, TTo), _
    theBase As ICollection(Of TBase) _
)
Public Sub New ( _
    transform As Func(Of TBase, TTo), _
    theBase As ICollection(Of TBase) _
)
public:
QueryableCollection(
    Func<TBase, TTo>^ transform,
    ICollection<TBase>^ theBase
)
public:
QueryableCollection(
    Func<TBase, TTo>^ transform,
    ICollection<TBase>^ theBase
)
Parameters
transform
Type:   Online System Func  TBase, TTo
A function that transforms the elements of the base collection to TTo.
theBase
Type:   Online System.Collections.Generic ICollection  TBase
The base collection.
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


QueryableCollection(TBase, TTo) Methods

QueryableCollection TBase, TTo Methods ElecNetKit Documentation
The QueryableCollection TBase, TTo type exposes the following members.
Methods
 | Name | Description
Public method | Add | Not supported. Always throws a Online NotSupportedException.
Public method | Clear | Not supported. Always throws a Online NotSupportedException.
Public method | Contains | Determines whether the Online ICollection T contains a specific value.
Public method | CopyTo | Not supported. Always throws a Online NotSupportedException.
Public method | GetEnumerator | Returns an enumerator that iterates through the collection.
Public method | Remove | Not supported. Always throws a Online NotSupportedException.
Back to Top
See Also
QueryableCollection TBase, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


Add Method

QueryableCollection TBase, TTo Add Method ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    TTo item
)
public void Add(
    TTo item
)
Public Sub Add ( _
    item As TTo _
)
Public Sub Add ( _
    item As TTo _
)
public:
virtual void Add(
    TTo item
) sealed
public:
virtual void Add(
    TTo item
) sealed
Parameters
item
Type: TTo
Not used.
Implements
  Online ICollection T  Add(T)
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Clear Method

QueryableCollection TBase, TTo Clear Method ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Clear()
public void Clear()
Public Sub Clear
Public Sub Clear
public:
virtual void Clear() sealed
public:
virtual void Clear() sealed
Implements
  Online ICollection T  Clear
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Contains Method

QueryableCollection TBase, TTo Contains Method ElecNetKit Documentation
Determines whether the Online ICollection T contains a specific value.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Contains(
    TTo item
)
public bool Contains(
    TTo item
)
Public Function Contains ( _
    item As TTo _
) As Boolean
Public Function Contains ( _
    item As TTo _
) As Boolean
public:
virtual bool Contains(
    TTo item
) sealed
public:
virtual bool Contains(
    TTo item
) sealed
Parameters
item
Type: TTo
The object to locate in the   Online ICollection T .
Return Value
true if item is found in the   Online ICollection T ; otherwise, false.
Implements
  Online ICollection T  Contains(T)
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


CopyTo Method

QueryableCollection TBase, TTo CopyTo Method ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void CopyTo(
    TTo[] array,
    int arrayIndex
)
public void CopyTo(
    TTo[] array,
    int arrayIndex
)
Public Sub CopyTo ( _
    array As TTo(), _
    arrayIndex As Integer _
)
Public Sub CopyTo ( _
    array As TTo(), _
    arrayIndex As Integer _
)
public:
virtual void CopyTo(
    array<TTo>^ array,
    int arrayIndex
) sealed
public:
virtual void CopyTo(
    array<TTo>^ array,
    int arrayIndex
) sealed
Parameters
array
Type:  TTo
Not used.
arrayIndex
Type:   Online System Int32
Not used.
Implements
  Online ICollection T  CopyTo( T , Int32)
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


GetEnumerator Method

QueryableCollection TBase, TTo GetEnumerator Method ElecNetKit Documentation
Returns an enumerator that iterates through the collection.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerator<TTo> GetEnumerator()
public IEnumerator<TTo> GetEnumerator()
Public Function GetEnumerator As IEnumerator(Of TTo)
Public Function GetEnumerator As IEnumerator(Of TTo)
public:
virtual IEnumerator<TTo>^ GetEnumerator() sealed
public:
virtual IEnumerator<TTo>^ GetEnumerator() sealed
Return Value
A   Online IEnumerator T  that can be used to iterate through the collection.
Implements
  Online IEnumerable T  GetEnumerator
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


Remove Method

QueryableCollection TBase, TTo Remove Method ElecNetKit Documentation
Not supported. Always throws a Online NotSupportedException.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool Remove(
    TTo item
)
public bool Remove(
    TTo item
)
Public Function Remove ( _
    item As TTo _
) As Boolean
Public Function Remove ( _
    item As TTo _
) As Boolean
public:
virtual bool Remove(
    TTo item
) sealed
public:
virtual bool Remove(
    TTo item
) sealed
Parameters
item
Type: TTo
Not used.
Return Value
Never returns.
Implements
  Online ICollection T  Remove(T)
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


QueryableCollection(TBase, TTo) Properties

QueryableCollection TBase, TTo Properties ElecNetKit Documentation
The QueryableCollection TBase, TTo type exposes the following members.
Properties
 | Name | Description
Public property | Count | Gets the number of elements contained in the Online ICollection T .
Public property | IsReadOnly | Gets a value indicating whether the Online ICollection T is read-only.
Back to Top
See Also
QueryableCollection TBase, TTo Class
ElecNetKit.NetworkModelling.Phasing Namespace


Count Property

QueryableCollection TBase, TTo Count Property ElecNetKit Documentation
Gets the number of elements contained in the Online ICollection T .

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public int Count { get; }
public int Count { get; }
Public ReadOnly Property Count As Integer
    Get
Public ReadOnly Property Count As Integer
    Get
public:
virtual property int Count {
    int get () sealed;
}
public:
virtual property int Count {
    int get () sealed;
}
Return Value
The number of elements contained in the   Online ICollection T .
Implements
  Online ICollection T  Count
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


IsReadOnly Property

QueryableCollection TBase, TTo IsReadOnly Property ElecNetKit Documentation
Gets a value indicating whether the Online ICollection T is read-only.

Namespace: ElecNetKit.NetworkModelling.Phasing
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool IsReadOnly { get; }
public bool IsReadOnly { get; }
Public ReadOnly Property IsReadOnly As Boolean
    Get
Public ReadOnly Property IsReadOnly As Boolean
    Get
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
public:
virtual property bool IsReadOnly {
    bool get () sealed;
}
Return Value
true if the   Online ICollection T  is read-only; otherwise, false.
Implements
  Online ICollection T  IsReadOnly
See Also
QueryableCollection TBase, TTo  Class
QueryableCollection TBase, TTo  Members
ElecNetKit.NetworkModelling.Phasing Namespace


ElecNetKit.Sensitivities Namespace

ElecNetKit.Sensitivities Namespace ElecNetKit Documentation
The ElecNetKit.Sensitivities namespace defines a set of classes for running perturb-and-observe style experiments, and for obtaining sensitivity information from them.
Classes
 | Class | Description
Public class | ObserveResultsTransform T | A transform that observes and saves data from specific network elements.
Public class | PerturbAndObserveRunner TObserve | Runs perturb-and-observe experiments on electrical network models.
Public class | SensitivityGenerator T | Generates sensitivity information from the values obtained from applying a PerturbAndObserveRunner TObserve to an electrical network model.
Public class | VoltageSensitivityToComplexPowerGenerator | Generates Voltage Sensitivities to changes in P and Q.
Public class | VoltageSensitivityToPQDataSet | Holds a set of sensitivities between two buses.
Remarks
For more information see Perturb-and-Observe Style Experiments and Sensitivity Generation.


ObserveResultsTransform(T) Class

ObserveResultsTransform T Class ElecNetKit Documentation
A transform that observes and saves data from specific network elements.
Inheritance Hierarchy
Online System Object
ElecNetKit.Sensitivities ObserveResultsTransform T

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class ObserveResultsTransform<T> : IResultsTransform
public class ObserveResultsTransform<T> : IResultsTransform
Public Class ObserveResultsTransform(Of T) _
    Implements IResultsTransform
Public Class ObserveResultsTransform(Of T) _
    Implements IResultsTransform
generic<typename T>
public ref class ObserveResultsTransform : IResultsTransform
generic<typename T>
public ref class ObserveResultsTransform : IResultsTransform
Type Parameters
T
The type of data to store about each selected element.
See Also
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


ObserveResultsTransform(T) Members

ObserveResultsTransform T Members ElecNetKit Documentation

The ObserveResultsTransform T type exposes the following members.
Constructors
 | Name | Description
Public method | ObserveResultsTransform T | Instantiates a new ObserveResultsTransform T , with the specified observation targets and observation values.
Back to Top
Methods
 | Name | Description
Public method | PostExperimentHook | Processes the network data after the experiment is run. Stores the requested network data in the WatchedElements property.
Public method | PreExperimentHook | Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.
Back to Top
Properties
 | Name | Description
Public property | ChooseElementsStrategy | A function defining the network elements that should be examined.
Public property | ObserveStrategy | A function that returns a value of type T for each element specified by ChooseElementsStrategy.
Public property | WatchedElements | The data obtained by watching the values specified by ObserveStrategy of the elements specified by ChooseElementsStrategy.
Back to Top
See Also
ObserveResultsTransform T Class
ElecNetKit.Sensitivities Namespace


ObserveResultsTransform(T) Constructor

ObserveResultsTransform T Constructor ElecNetKit Documentation
Instantiates a new ObserveResultsTransform T , with the specified observation targets and observation values.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public ObserveResultsTransform(
    Func<NetworkModel, IEnumerable<NetworkElement>> ChooseElementsStrategy,
    Func<NetworkElement, T> ObserveStrategy
)
public ObserveResultsTransform(
    Func<NetworkModel, IEnumerable<NetworkElement>> ChooseElementsStrategy,
    Func<NetworkElement, T> ObserveStrategy
)
Public Sub New ( _
    ChooseElementsStrategy As Func(Of NetworkModel, IEnumerable(Of NetworkElement)), _
    ObserveStrategy As Func(Of NetworkElement, T) _
)
Public Sub New ( _
    ChooseElementsStrategy As Func(Of NetworkModel, IEnumerable(Of NetworkElement)), _
    ObserveStrategy As Func(Of NetworkElement, T) _
)
public:
ObserveResultsTransform(
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ChooseElementsStrategy,
    Func<NetworkElement^, T>^ ObserveStrategy
)
public:
ObserveResultsTransform(
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ChooseElementsStrategy,
    Func<NetworkElement^, T>^ ObserveStrategy
)
Parameters
ChooseElementsStrategy
Type:   Online System Func  NetworkModel,   Online IEnumerable  NetworkElement
A function defining the network elements that
            should be examined.
ObserveStrategy
Type:   Online System Func  NetworkElement, T
A function that returns a value of type T
            for each element specified by ChooseElementsStrategy.
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


ObserveResultsTransform(T) Methods

ObserveResultsTransform T Methods ElecNetKit Documentation
The ObserveResultsTransform T type exposes the following members.
Methods
 | Name | Description
Public method | PostExperimentHook | Processes the network data after the experiment is run. Stores the requested network data in the WatchedElements property.
Public method | PreExperimentHook | Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.
Back to Top
See Also
ObserveResultsTransform T Class
ElecNetKit.Sensitivities Namespace


PostExperimentHook Method

ObserveResultsTransform T PostExperimentHook Method ElecNetKit Documentation
Processes the network data after the experiment is run. Stores the requested network data in the WatchedElements property.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void PostExperimentHook(
    NetworkModel Network
)
public void PostExperimentHook(
    NetworkModel Network
)
Public Sub PostExperimentHook ( _
    Network As NetworkModel _
)
Public Sub PostExperimentHook ( _
    Network As NetworkModel _
)
public:
virtual void PostExperimentHook(
    NetworkModel^ Network
) sealed
public:
virtual void PostExperimentHook(
    NetworkModel^ Network
) sealed
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The electrical network model, post-experiment.

Implements
IResultsTransform PostExperimentHook(NetworkModel)
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


PreExperimentHook Method

ObserveResultsTransform T PreExperimentHook Method ElecNetKit Documentation
Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void PreExperimentHook(
    NetworkModel Network
)
public void PreExperimentHook(
    NetworkModel Network
)
Public Sub PreExperimentHook ( _
    Network As NetworkModel _
)
Public Sub PreExperimentHook ( _
    Network As NetworkModel _
)
public:
virtual void PreExperimentHook(
    NetworkModel^ Network
) sealed
public:
virtual void PreExperimentHook(
    NetworkModel^ Network
) sealed
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The un-experimented network.
Implements
IResultsTransform PreExperimentHook(NetworkModel)
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


ObserveResultsTransform(T) Properties

ObserveResultsTransform T Properties ElecNetKit Documentation
The ObserveResultsTransform T type exposes the following members.
Properties
 | Name | Description
Public property | ChooseElementsStrategy | A function defining the network elements that should be examined.
Public property | ObserveStrategy | A function that returns a value of type T for each element specified by ChooseElementsStrategy.
Public property | WatchedElements | The data obtained by watching the values specified by ObserveStrategy of the elements specified by ChooseElementsStrategy.
Back to Top
See Also
ObserveResultsTransform T Class
ElecNetKit.Sensitivities Namespace


ChooseElementsStrategy Property

ObserveResultsTransform T ChooseElementsStrategy Property ElecNetKit Documentation
A function defining the network elements that should be examined.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkModel, IEnumerable<NetworkElement>> ChooseElementsStrategy { get; private set; }
public Func<NetworkModel, IEnumerable<NetworkElement>> ChooseElementsStrategy { get; private set; }
Public Property ChooseElementsStrategy As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Private Set
Public Property ChooseElementsStrategy As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Private Set
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ChooseElementsStrategy {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    private: void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ChooseElementsStrategy {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    private: void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


ObserveStrategy Property

ObserveResultsTransform T ObserveStrategy Property ElecNetKit Documentation
A function that returns a value of type T for each element specified by ChooseElementsStrategy.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkElement, T> ObserveStrategy { get; private set; }
public Func<NetworkElement, T> ObserveStrategy { get; private set; }
Public Property ObserveStrategy As Func(Of NetworkElement, T)
    Get
    Private Set
Public Property ObserveStrategy As Func(Of NetworkElement, T)
    Get
    Private Set
public:
property Func<NetworkElement^, T>^ ObserveStrategy {
    Func<NetworkElement^, T>^ get ();
    private: void set (Func<NetworkElement^, T>^ value);
}
public:
property Func<NetworkElement^, T>^ ObserveStrategy {
    Func<NetworkElement^, T>^ get ();
    private: void set (Func<NetworkElement^, T>^ value);
}
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


WatchedElements Property

ObserveResultsTransform T WatchedElements Property ElecNetKit Documentation
The data obtained by watching the values specified by ObserveStrategy of the elements specified by ChooseElementsStrategy.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<Tuple<string, Type>, T> WatchedElements { get; private set; }
public Dictionary<Tuple<string, Type>, T> WatchedElements { get; private set; }
Public Property WatchedElements As Dictionary(Of Tuple(Of String, Type), T)
    Get
    Private Set
Public Property WatchedElements As Dictionary(Of Tuple(Of String, Type), T)
    Get
    Private Set
public:
property Dictionary<Tuple<String^, Type^>^, T>^ WatchedElements {
    Dictionary<Tuple<String^, Type^>^, T>^ get ();
    private: void set (Dictionary<Tuple<String^, Type^>^, T>^ value);
}
public:
property Dictionary<Tuple<String^, Type^>^, T>^ WatchedElements {
    Dictionary<Tuple<String^, Type^>^, T>^ get ();
    private: void set (Dictionary<Tuple<String^, Type^>^, T>^ value);
}
Field Value

            The keys in the   Online Dictionary TKey, TValue  returned by WatchedElements
            are   Online Tuple T1, T2 s, where   Online Item1 is the ID of the element,
            and   Online Item1 is the type of the element.
See Also
ObserveResultsTransform T  Class
ObserveResultsTransform T  Members
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Class

PerturbAndObserveRunner TObserve Class ElecNetKit Documentation
Runs perturb-and-observe experiments on electrical network models.
Inheritance Hierarchy
Online System Object
ElecNetKit.Sensitivities PerturbAndObserveRunner TObserve

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class PerturbAndObserveRunner<TObserve>
public class PerturbAndObserveRunner<TObserve>
Public Class PerturbAndObserveRunner(Of TObserve)
Public Class PerturbAndObserveRunner(Of TObserve)
generic<typename TObserve>
public ref class PerturbAndObserveRunner
generic<typename TObserve>
public ref class PerturbAndObserveRunner
Type Parameters
TObserve
The type of value to observe during experiments.
See Also
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Members

PerturbAndObserveRunner TObserve Members ElecNetKit Documentation

The PerturbAndObserveRunner TObserve type exposes the following members.
Constructors
 | Name | Description
Protected method | PerturbAndObserveRunner TObserve | Instantiates a new PerturbAndObserveRunner TObserve .
Public method | PerturbAndObserveRunner TObserve (ISimulator) | Instantiates a new PerturbAndObserveRunner TObserve .
Back to Top
Methods
 | Name | Description
Public method | RunPerturbAndObserve | Runs the perturb-and-observe experiment.
Back to Top
Properties
 | Name | Description
Public property | AfterValues | A dictionary specifying the observed effect of all perturbations.
Public property | BeforeValues | The set of observed values before any perturbation occurs.
Public property | NetworkFilename | The full path to the master network file to run the perturb-and-observe experiment on.
Public property | ObserveElementSelector | A function that, given a NetworkModel, returns a set of NetworkElements that should have a specific value observed.
Public property | ObserveElementValuesSelector | A function that, given a NetworkElement, returns a value that should be recorded, both before and after the experiment is run.
Public property | PerturbCommands | A set of commands that should be run on the network. These commands will be used as a parameter to Online Format(String, Object ), and as such, should be in format-string notation. The corresponding values to fill in the parameters in these commands will be supplied by PerturbElementValuesSelector.
Public property | PerturbElementSelector | A function that, given a NetworkModel, returns a set of NetworkElements that should be candidates for perturbation.
Public property | PerturbElementValuesSelector | A function that, given a NetworkElement that is to be perturbed, should select a set of values that will be used as the parameters to the format strings given by PerturbCommands.
Public property | PerturbValuesToRecord | A function that, given the set of values specified by PerturbElementValuesSelector, should return a value to be recorded as the perturbation.
Back to Top
See Also
PerturbAndObserveRunner TObserve Class
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Constructor

PerturbAndObserveRunner TObserve Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Protected method | PerturbAndObserveRunner TObserve | Instantiates a new PerturbAndObserveRunner TObserve .
Public method | PerturbAndObserveRunner TObserve (ISimulator) | Instantiates a new PerturbAndObserveRunner TObserve .
Back to Top
See Also
PerturbAndObserveRunner TObserve Class
PerturbAndObserveRunner TObserve Members
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Constructor

PerturbAndObserveRunner TObserve Constructor ElecNetKit Documentation
Instantiates a new PerturbAndObserveRunner TObserve .

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
protected PerturbAndObserveRunner()
protected PerturbAndObserveRunner()
Protected Sub New
Protected Sub New
protected:
PerturbAndObserveRunner()
protected:
PerturbAndObserveRunner()
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
PerturbAndObserveRunner TObserve  Overload
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Constructor (ISimulator)

PerturbAndObserveRunner TObserve Constructor (ISimulator) ElecNetKit Documentation
Instantiates a new PerturbAndObserveRunner TObserve .

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public PerturbAndObserveRunner(
    ISimulator Simulator
)
public PerturbAndObserveRunner(
    ISimulator Simulator
)
Public Sub New ( _
    Simulator As ISimulator _
)
Public Sub New ( _
    Simulator As ISimulator _
)
public:
PerturbAndObserveRunner(
    ISimulator^ Simulator
)
public:
PerturbAndObserveRunner(
    ISimulator^ Simulator
)
Parameters
Simulator
Type: ElecNetKit.Simulator ISimulator
The simulator to use for the perturb-and-observe experiment.
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
PerturbAndObserveRunner TObserve  Overload
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Methods

PerturbAndObserveRunner TObserve Methods ElecNetKit Documentation
The PerturbAndObserveRunner TObserve type exposes the following members.
Methods
 | Name | Description
Public method | RunPerturbAndObserve | Runs the perturb-and-observe experiment.
Back to Top
See Also
PerturbAndObserveRunner TObserve Class
ElecNetKit.Sensitivities Namespace


RunPerturbAndObserve Method

PerturbAndObserveRunner TObserve RunPerturbAndObserve Method ElecNetKit Documentation
Runs the perturb-and-observe experiment.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void RunPerturbAndObserve()
public void RunPerturbAndObserve()
Public Sub RunPerturbAndObserve
Public Sub RunPerturbAndObserve
public:
void RunPerturbAndObserve()
public:
void RunPerturbAndObserve()
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbAndObserveRunner(TObserve) Properties

PerturbAndObserveRunner TObserve Properties ElecNetKit Documentation
The PerturbAndObserveRunner TObserve type exposes the following members.
Properties
 | Name | Description
Public property | AfterValues | A dictionary specifying the observed effect of all perturbations.
Public property | BeforeValues | The set of observed values before any perturbation occurs.
Public property | NetworkFilename | The full path to the master network file to run the perturb-and-observe experiment on.
Public property | ObserveElementSelector | A function that, given a NetworkModel, returns a set of NetworkElements that should have a specific value observed.
Public property | ObserveElementValuesSelector | A function that, given a NetworkElement, returns a value that should be recorded, both before and after the experiment is run.
Public property | PerturbCommands | A set of commands that should be run on the network. These commands will be used as a parameter to Online Format(String, Object ), and as such, should be in format-string notation. The corresponding values to fill in the parameters in these commands will be supplied by PerturbElementValuesSelector.
Public property | PerturbElementSelector | A function that, given a NetworkModel, returns a set of NetworkElements that should be candidates for perturbation.
Public property | PerturbElementValuesSelector | A function that, given a NetworkElement that is to be perturbed, should select a set of values that will be used as the parameters to the format strings given by PerturbCommands.
Public property | PerturbValuesToRecord | A function that, given the set of values specified by PerturbElementValuesSelector, should return a value to be recorded as the perturbation.
Back to Top
See Also
PerturbAndObserveRunner TObserve Class
ElecNetKit.Sensitivities Namespace


AfterValues Property

PerturbAndObserveRunner TObserve AfterValues Property ElecNetKit Documentation
A dictionary specifying the observed effect of all perturbations.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<Tuple<Tuple<string, Type>, Object>, Dictionary<Tuple<string, Type>, TObserve>> AfterValues { get; private set; }
public Dictionary<Tuple<Tuple<string, Type>, Object>, Dictionary<Tuple<string, Type>, TObserve>> AfterValues { get; private set; }
Public Property AfterValues As Dictionary(Of Tuple(Of Tuple(Of String, Type), Object), Dictionary(Of Tuple(Of String, Type), TObserve))
    Get
    Private Set
Public Property AfterValues As Dictionary(Of Tuple(Of Tuple(Of String, Type), Object), Dictionary(Of Tuple(Of String, Type), TObserve))
    Get
    Private Set
public:
property Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ AfterValues {
    Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ get ();
    private: void set (Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ value);
}
public:
property Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ AfterValues {
    Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ get ();
    private: void set (Dictionary<Tuple<Tuple<String^, Type^>^, Object^>^, Dictionary<Tuple<String^, Type^>^, TObserve>^>^ value);
}
Field Value

            The keys of the outer dictionary provided by this property are   Online Tuple T1, T2 s, where
              Online Item1 is a   Online Tuple T1, T2  specifying the ID and type of the perturbing network element, and   Online Item2
            is the set of perturbation values, as specified by PerturbValuesToRecord.
            The keys of the inner dictionary are   Online Tuple T1, T2 s specifying the ID and type of the observed network element.
            The values of the inner dictionary are the values required to be observed by ObserveElementValuesSelector.
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


BeforeValues Property

PerturbAndObserveRunner TObserve BeforeValues Property ElecNetKit Documentation
The set of observed values before any perturbation occurs.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<Tuple<string, Type>, TObserve> BeforeValues { get; private set; }
public Dictionary<Tuple<string, Type>, TObserve> BeforeValues { get; private set; }
Public Property BeforeValues As Dictionary(Of Tuple(Of String, Type), TObserve)
    Get
    Private Set
Public Property BeforeValues As Dictionary(Of Tuple(Of String, Type), TObserve)
    Get
    Private Set
public:
property Dictionary<Tuple<String^, Type^>^, TObserve>^ BeforeValues {
    Dictionary<Tuple<String^, Type^>^, TObserve>^ get ();
    private: void set (Dictionary<Tuple<String^, Type^>^, TObserve>^ value);
}
public:
property Dictionary<Tuple<String^, Type^>^, TObserve>^ BeforeValues {
    Dictionary<Tuple<String^, Type^>^, TObserve>^ get ();
    private: void set (Dictionary<Tuple<String^, Type^>^, TObserve>^ value);
}
Field Value

            The keys of the dictionary provided by this property are   Online Tuple T1, T2 s, where
              Online Item1 is the ID of the observed network element, and   Online Item2
            is the type of the observed network element.
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


NetworkFilename Property

PerturbAndObserveRunner TObserve NetworkFilename Property ElecNetKit Documentation
The full path to the master network file to run the perturb-and-observe experiment on.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string NetworkFilename { get; set; }
public string NetworkFilename { get; set; }
Public Property NetworkFilename As String
    Get
    Set
Public Property NetworkFilename As String
    Get
    Set
public:
property String^ NetworkFilename {
    String^ get ();
    void set (String^ value);
}
public:
property String^ NetworkFilename {
    String^ get ();
    void set (String^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


ObserveElementSelector Property

PerturbAndObserveRunner TObserve ObserveElementSelector Property ElecNetKit Documentation
A function that, given a NetworkModel, returns a set of NetworkElements that should have a specific value observed.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkModel, IEnumerable<NetworkElement>> ObserveElementSelector { get; set; }
public Func<NetworkModel, IEnumerable<NetworkElement>> ObserveElementSelector { get; set; }
Public Property ObserveElementSelector As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Set
Public Property ObserveElementSelector As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Set
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ObserveElementSelector {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ ObserveElementSelector {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


ObserveElementValuesSelector Property

PerturbAndObserveRunner TObserve ObserveElementValuesSelector Property ElecNetKit Documentation
A function that, given a NetworkElement, returns a value that should be recorded, both before and after the experiment is run.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkElement, TObserve> ObserveElementValuesSelector { get; set; }
public Func<NetworkElement, TObserve> ObserveElementValuesSelector { get; set; }
Public Property ObserveElementValuesSelector As Func(Of NetworkElement, TObserve)
    Get
    Set
Public Property ObserveElementValuesSelector As Func(Of NetworkElement, TObserve)
    Get
    Set
public:
property Func<NetworkElement^, TObserve>^ ObserveElementValuesSelector {
    Func<NetworkElement^, TObserve>^ get ();
    void set (Func<NetworkElement^, TObserve>^ value);
}
public:
property Func<NetworkElement^, TObserve>^ ObserveElementValuesSelector {
    Func<NetworkElement^, TObserve>^ get ();
    void set (Func<NetworkElement^, TObserve>^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbCommands Property

PerturbAndObserveRunner TObserve PerturbCommands Property ElecNetKit Documentation
A set of commands that should be run on the network. These commands will be used as a parameter to Online Format(String, Object ), and as such, should be in format-string notation. The corresponding values to fill in the parameters in these commands will be supplied by PerturbElementValuesSelector.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IEnumerable<string> PerturbCommands { get; set; }
public IEnumerable<string> PerturbCommands { get; set; }
Public Property PerturbCommands As IEnumerable(Of String)
    Get
    Set
Public Property PerturbCommands As IEnumerable(Of String)
    Get
    Set
public:
property IEnumerable<String^>^ PerturbCommands {
    IEnumerable<String^>^ get ();
    void set (IEnumerable<String^>^ value);
}
public:
property IEnumerable<String^>^ PerturbCommands {
    IEnumerable<String^>^ get ();
    void set (IEnumerable<String^>^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbElementSelector Property

PerturbAndObserveRunner TObserve PerturbElementSelector Property ElecNetKit Documentation
A function that, given a NetworkModel, returns a set of NetworkElements that should be candidates for perturbation.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkModel, IEnumerable<NetworkElement>> PerturbElementSelector { get; set; }
public Func<NetworkModel, IEnumerable<NetworkElement>> PerturbElementSelector { get; set; }
Public Property PerturbElementSelector As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Set
Public Property PerturbElementSelector As Func(Of NetworkModel, IEnumerable(Of NetworkElement))
    Get
    Set
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ PerturbElementSelector {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
public:
property Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ PerturbElementSelector {
    Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ get ();
    void set (Func<NetworkModel^, IEnumerable<NetworkElement^>^>^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbElementValuesSelector Property

PerturbAndObserveRunner TObserve PerturbElementValuesSelector Property ElecNetKit Documentation
A function that, given a NetworkElement that is to be perturbed, should select a set of values that will be used as the parameters to the format strings given by PerturbCommands.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<NetworkElement, Object[]> PerturbElementValuesSelector { get; set; }
public Func<NetworkElement, Object[]> PerturbElementValuesSelector { get; set; }
Public Property PerturbElementValuesSelector As Func(Of NetworkElement, Object())
    Get
    Set
Public Property PerturbElementValuesSelector As Func(Of NetworkElement, Object())
    Get
    Set
public:
property Func<NetworkElement^, array<Object^>^>^ PerturbElementValuesSelector {
    Func<NetworkElement^, array<Object^>^>^ get ();
    void set (Func<NetworkElement^, array<Object^>^>^ value);
}
public:
property Func<NetworkElement^, array<Object^>^>^ PerturbElementValuesSelector {
    Func<NetworkElement^, array<Object^>^>^ get ();
    void set (Func<NetworkElement^, array<Object^>^>^ value);
}
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


PerturbValuesToRecord Property

PerturbAndObserveRunner TObserve PerturbValuesToRecord Property ElecNetKit Documentation
A function that, given the set of values specified by PerturbElementValuesSelector, should return a value to be recorded as the perturbation.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Object[], Object> PerturbValuesToRecord { get; set; }
public Func<Object[], Object> PerturbValuesToRecord { get; set; }
Public Property PerturbValuesToRecord As Func(Of Object(), Object)
    Get
    Set
Public Property PerturbValuesToRecord As Func(Of Object(), Object)
    Get
    Set
public:
property Func<array<Object^>^, Object^>^ PerturbValuesToRecord {
    Func<array<Object^>^, Object^>^ get ();
    void set (Func<array<Object^>^, Object^>^ value);
}
public:
property Func<array<Object^>^, Object^>^ PerturbValuesToRecord {
    Func<array<Object^>^, Object^>^ get ();
    void set (Func<array<Object^>^, Object^>^ value);
}
Field Value

            Defaults to x => x, that is, to return the complete set of values specified by PerturbElementValuesSelector.
See Also
PerturbAndObserveRunner TObserve  Class
PerturbAndObserveRunner TObserve  Members
ElecNetKit.Sensitivities Namespace


SensitivityGenerator(T) Class

SensitivityGenerator T Class ElecNetKit Documentation
Generates sensitivity information from the values obtained from applying a PerturbAndObserveRunner TObserve to an electrical network model.
Inheritance Hierarchy
Online System Object
ElecNetKit.Sensitivities SensitivityGenerator T

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class SensitivityGenerator<T>
public class SensitivityGenerator<T>
Public Class SensitivityGenerator(Of T)
Public Class SensitivityGenerator(Of T)
generic<typename T>
public ref class SensitivityGenerator
generic<typename T>
public ref class SensitivityGenerator
Type Parameters
T
The generic type parameter of the PerturbAndObserveRunner TObserve
            to determine sensitivities from.
Remarks
The SensitivityGenerator T  class uses perturb-and-observe
            measurements to obtain the rate of change of a given parameter relative to another parameter.
            This is done by applying a RecordedPerturbationSelector to obtain a numerical value
            for the perturbation, and a ResultSelector to obtain a numerical value for
            the parameter in question both before and after experimentation. The sensitivity is then determined
            by the formula

View Colorized Copy to Clipboard Print
Sensitivity = (ValueAfterExperiment - ValueBeforeExperiment) / PerturbationAmount;
Sensitivity = (ValueAfterExperiment - ValueBeforeExperiment) / PerturbationAmount;

            Both RecordedPerturbationSelector and ResultSelector should return
            values that are convertible to   Online Double.
See Also
SensitivityGenerator T  Members
ElecNetKit.Sensitivities Namespace


SensitivityGenerator(T) Members

SensitivityGenerator T Members ElecNetKit Documentation

The SensitivityGenerator T type exposes the following members.
Constructors
 | Name | Description
Public method | SensitivityGenerator T | Initializes a new instance of the SensitivityGenerator T class
Back to Top
Methods
 | Name | Description
Public method | GenerateSensitivities | Generate sensitivities from the results of RunPerturbAndObserve , and using the selection functions ResultSelector and RecordedPerturbationSelector.
Back to Top
Properties
 | Name | Description
Public property | RecordedPerturbationSelector | Maps the perturbations stored in the keys of AfterValues to single objects that are convertible to Online Double.
Public property | ResultSelector | Maps the results stored in BeforeValues and the values of AfterValues to a single object that is convertible to Online Double.
Back to Top
See Also
SensitivityGenerator T Class
ElecNetKit.Sensitivities Namespace


SensitivityGenerator(T) Constructor

SensitivityGenerator T Constructor ElecNetKit Documentation
Initializes a new instance of the SensitivityGenerator T class

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public SensitivityGenerator()
public SensitivityGenerator()
Public Sub New
Public Sub New
public:
SensitivityGenerator()
public:
SensitivityGenerator()
See Also
SensitivityGenerator T  Class
SensitivityGenerator T  Members
ElecNetKit.Sensitivities Namespace


SensitivityGenerator(T) Methods

SensitivityGenerator T Methods ElecNetKit Documentation
The SensitivityGenerator T type exposes the following members.
Methods
 | Name | Description
Public method | GenerateSensitivities | Generate sensitivities from the results of RunPerturbAndObserve , and using the selection functions ResultSelector and RecordedPerturbationSelector.
Back to Top
See Also
SensitivityGenerator T Class
ElecNetKit.Sensitivities Namespace


GenerateSensitivities Method

SensitivityGenerator T GenerateSensitivities Method ElecNetKit Documentation
Generate sensitivities from the results of RunPerturbAndObserve , and using the selection functions ResultSelector and RecordedPerturbationSelector.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TwinKeyDictionary<string, string, double> GenerateSensitivities(
    PerturbAndObserveRunner<T> perturbAndObserveRunner
)
public TwinKeyDictionary<string, string, double> GenerateSensitivities(
    PerturbAndObserveRunner<T> perturbAndObserveRunner
)
Public Function GenerateSensitivities ( _
    perturbAndObserveRunner As PerturbAndObserveRunner(Of T) _
) As TwinKeyDictionary(Of String, String, Double)
Public Function GenerateSensitivities ( _
    perturbAndObserveRunner As PerturbAndObserveRunner(Of T) _
) As TwinKeyDictionary(Of String, String, Double)
public:
TwinKeyDictionary<String^, String^, double>^ GenerateSensitivities(
    PerturbAndObserveRunner<T>^ perturbAndObserveRunner
)
public:
TwinKeyDictionary<String^, String^, double>^ GenerateSensitivities(
    PerturbAndObserveRunner<T>^ perturbAndObserveRunner
)
Parameters
perturbAndObserveRunner
Type: ElecNetKit.Sensitivities PerturbAndObserveRunner  T
The PerturbAndObserveRunner TObserve  to determine sensitivities
            from.
Return Value
A twin-key dictionary with each value representing the sensitivity of the specified value at the Y-element
            to changes in the perturbed value at the X-element.
See Also
SensitivityGenerator T  Class
SensitivityGenerator T  Members
ElecNetKit.Sensitivities Namespace


SensitivityGenerator(T) Properties

SensitivityGenerator T Properties ElecNetKit Documentation
The SensitivityGenerator T type exposes the following members.
Properties
 | Name | Description
Public property | RecordedPerturbationSelector | Maps the perturbations stored in the keys of AfterValues to single objects that are convertible to Online Double.
Public property | ResultSelector | Maps the results stored in BeforeValues and the values of AfterValues to a single object that is convertible to Online Double.
Back to Top
See Also
SensitivityGenerator T Class
ElecNetKit.Sensitivities Namespace


RecordedPerturbationSelector Property

SensitivityGenerator T RecordedPerturbationSelector Property ElecNetKit Documentation
Maps the perturbations stored in the keys of AfterValues to single objects that are convertible to Online Double.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<Object, Object> RecordedPerturbationSelector { get; set; }
public Func<Object, Object> RecordedPerturbationSelector { get; set; }
Public Property RecordedPerturbationSelector As Func(Of Object, Object)
    Get
    Set
Public Property RecordedPerturbationSelector As Func(Of Object, Object)
    Get
    Set
public:
property Func<Object^, Object^>^ RecordedPerturbationSelector {
    Func<Object^, Object^>^ get ();
    void set (Func<Object^, Object^>^ value);
}
public:
property Func<Object^, Object^>^ RecordedPerturbationSelector {
    Func<Object^, Object^>^ get ();
    void set (Func<Object^, Object^>^ value);
}
See Also
SensitivityGenerator T  Class
SensitivityGenerator T  Members
ElecNetKit.Sensitivities Namespace


ResultSelector Property

SensitivityGenerator T ResultSelector Property ElecNetKit Documentation
Maps the results stored in BeforeValues and the values of AfterValues to a single object that is convertible to Online Double.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Func<T, Object> ResultSelector { get; set; }
public Func<T, Object> ResultSelector { get; set; }
Public Property ResultSelector As Func(Of T, Object)
    Get
    Set
Public Property ResultSelector As Func(Of T, Object)
    Get
    Set
public:
property Func<T, Object^>^ ResultSelector {
    Func<T, Object^>^ get ();
    void set (Func<T, Object^>^ value);
}
public:
property Func<T, Object^>^ ResultSelector {
    Func<T, Object^>^ get ();
    void set (Func<T, Object^>^ value);
}
See Also
SensitivityGenerator T  Class
SensitivityGenerator T  Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToComplexPowerGenerator Class

VoltageSensitivityToComplexPowerGenerator Class ElecNetKit Documentation
Generates Voltage Sensitivities to changes in P and Q.
Inheritance Hierarchy
Online System Object
ElecNetKit.Sensitivities VoltageSensitivityToComplexPowerGenerator

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class VoltageSensitivityToComplexPowerGenerator
public class VoltageSensitivityToComplexPowerGenerator
Public Class VoltageSensitivityToComplexPowerGenerator
Public Class VoltageSensitivityToComplexPowerGenerator
public ref class VoltageSensitivityToComplexPowerGenerator
public ref class VoltageSensitivityToComplexPowerGenerator
See Also
VoltageSensitivityToComplexPowerGenerator Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToComplexPowerGenerator Members

VoltageSensitivityToComplexPowerGenerator Members ElecNetKit Documentation

The VoltageSensitivityToComplexPowerGenerator type exposes the following members.
Constructors
 | Name | Description
Public method | VoltageSensitivityToComplexPowerGenerator | Initializes a new instance of the VoltageSensitivityToComplexPowerGenerator class
Back to Top
Methods
Name | Description
GetVoltageSensitivityToComplexPower | Generates Voltage Sensitivities to changes in P and Q at each load bus on the network.
Back to Top
See Also
VoltageSensitivityToComplexPowerGenerator Class
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToComplexPowerGenerator Constructor

VoltageSensitivityToComplexPowerGenerator Constructor ElecNetKit Documentation
Initializes a new instance of the VoltageSensitivityToComplexPowerGenerator class

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public VoltageSensitivityToComplexPowerGenerator()
public VoltageSensitivityToComplexPowerGenerator()
Public Sub New
Public Sub New
public:
VoltageSensitivityToComplexPowerGenerator()
public:
VoltageSensitivityToComplexPowerGenerator()
See Also
VoltageSensitivityToComplexPowerGenerator Class
VoltageSensitivityToComplexPowerGenerator Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToComplexPowerGenerator Methods

VoltageSensitivityToComplexPowerGenerator Methods ElecNetKit Documentation
The VoltageSensitivityToComplexPowerGenerator type exposes the following members.
Methods
Name | Description
GetVoltageSensitivityToComplexPower | Generates Voltage Sensitivities to changes in P and Q at each load bus on the network.
Back to Top
See Also
VoltageSensitivityToComplexPowerGenerator Class
ElecNetKit.Sensitivities Namespace


GetVoltageSensitivityToComplexPower Method

VoltageSensitivityToComplexPowerGenerator GetVoltageSensitivityToComplexPower Method ElecNetKit Documentation
Generates Voltage Sensitivities to changes in P and Q at each load bus on the network.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static TwinKeyDictionary<string, string, VoltageSensitivityToPQDataSet> GetVoltageSensitivityToComplexPower(
    ISimulator Simulator,
    string NetworkMasterFile,
    string CommandString,
    double PerturbationFrac
)
public static TwinKeyDictionary<string, string, VoltageSensitivityToPQDataSet> GetVoltageSensitivityToComplexPower(
    ISimulator Simulator,
    string NetworkMasterFile,
    string CommandString,
    double PerturbationFrac
)
Public Shared Function GetVoltageSensitivityToComplexPower ( _
    Simulator As ISimulator, _
    NetworkMasterFile As String, _
    CommandString As String, _
    PerturbationFrac As Double _
) As TwinKeyDictionary(Of String, String, VoltageSensitivityToPQDataSet)
Public Shared Function GetVoltageSensitivityToComplexPower ( _
    Simulator As ISimulator, _
    NetworkMasterFile As String, _
    CommandString As String, _
    PerturbationFrac As Double _
) As TwinKeyDictionary(Of String, String, VoltageSensitivityToPQDataSet)
public:
static TwinKeyDictionary<String^, String^, VoltageSensitivityToPQDataSet^>^ GetVoltageSensitivityToComplexPower(
    ISimulator^ Simulator,
    String^ NetworkMasterFile,
    String^ CommandString,
    double PerturbationFrac
)
public:
static TwinKeyDictionary<String^, String^, VoltageSensitivityToPQDataSet^>^ GetVoltageSensitivityToComplexPower(
    ISimulator^ Simulator,
    String^ NetworkMasterFile,
    String^ CommandString,
    double PerturbationFrac
)
Parameters
Simulator
Type: ElecNetKit.Simulator ISimulator
The simulator to use for the generation of sensitivities.
NetworkMasterFile
Type:   Online System String
The file path of the Network to calculate sensitivities for.
CommandString
Type:   Online System String
A command for issuing perturbations. The command should be
            compatible with   Online Format(String,  Object )-style format strings, and should
            use {0} to represent a random ID, {1} to represent the bus that perturbation should occur
            on, {2} to represent a kW quantity to perturb by and {3} to represent a kVAr quantity to
            perturb by.

Examples

            As an example, the following string specifies a new generator for perturbation in OpenDSS syntax:

View Colorized Copy to Clipboard Print
"new Generator.{0} bus1={1} phases=3 model=1 status=fixed kV=11 Vminpu=0.9 Vmaxpu=1.1 kW={2} kvAR={3}"
"new Generator.{0} bus1={1} phases=3 model=1 status=fixed kV=11 Vminpu=0.9 Vmaxpu=1.1 kW={2} kvAR={3}"
PerturbationFrac
Type:   Online System Double
The fraction of average load size to perturb by.
Return Value
A 2-axis dictionary, in which the X-axis represents the source bus, the Y-axis represents the affected bus,
            and the values are an index of sensitivity information.
Remarks

            This is a convenience class that uses the functionality supplied by
            SensitivityGenerator T  and PerturbAndObserveRunner TObserve .
            For other kinds of sensitivities, you may wish to use these classes directly.
See Also
VoltageSensitivityToComplexPowerGenerator Class
VoltageSensitivityToComplexPowerGenerator Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToPQDataSet Class

VoltageSensitivityToPQDataSet Class ElecNetKit Documentation
Holds a set of sensitivities between two buses.
Inheritance Hierarchy
Online System Object
ElecNetKit.Sensitivities VoltageSensitivityToPQDataSet

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class VoltageSensitivityToPQDataSet
[SerializableAttribute]
public class VoltageSensitivityToPQDataSet
<SerializableAttribute> _
Public Class VoltageSensitivityToPQDataSet
<SerializableAttribute> _
Public Class VoltageSensitivityToPQDataSet
[SerializableAttribute]
public ref class VoltageSensitivityToPQDataSet
[SerializableAttribute]
public ref class VoltageSensitivityToPQDataSet
See Also
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToPQDataSet Members

VoltageSensitivityToPQDataSet Members ElecNetKit Documentation

The VoltageSensitivityToPQDataSet type exposes the following members.
Constructors
 | Name | Description
Public method | VoltageSensitivityToPQDataSet | Initializes a new instance of the VoltageSensitivityToPQDataSet class
Back to Top
Properties
 | Name | Description
Public property | dd_dP | Change in Voltage angle (radians) with respect to change in three-phase Power.
Public property | dd_dQ | Change in Voltage angle (radians) with respect to change in three-phase Reactive Power.
Public property | dV_dP | Change in Voltage (single phase) with respect to change in three-phase Power.
Public property | dV_dQ | Change in Voltage (single phase) with respect to change in three-phase Reactive Power.
Back to Top
See Also
VoltageSensitivityToPQDataSet Class
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToPQDataSet Constructor

VoltageSensitivityToPQDataSet Constructor ElecNetKit Documentation
Initializes a new instance of the VoltageSensitivityToPQDataSet class

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public VoltageSensitivityToPQDataSet()
public VoltageSensitivityToPQDataSet()
Public Sub New
Public Sub New
public:
VoltageSensitivityToPQDataSet()
public:
VoltageSensitivityToPQDataSet()
See Also
VoltageSensitivityToPQDataSet Class
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


VoltageSensitivityToPQDataSet Properties

VoltageSensitivityToPQDataSet Properties ElecNetKit Documentation
The VoltageSensitivityToPQDataSet type exposes the following members.
Properties
 | Name | Description
Public property | dd_dP | Change in Voltage angle (radians) with respect to change in three-phase Power.
Public property | dd_dQ | Change in Voltage angle (radians) with respect to change in three-phase Reactive Power.
Public property | dV_dP | Change in Voltage (single phase) with respect to change in three-phase Power.
Public property | dV_dQ | Change in Voltage (single phase) with respect to change in three-phase Reactive Power.
Back to Top
See Also
VoltageSensitivityToPQDataSet Class
ElecNetKit.Sensitivities Namespace


dd_dP Property

VoltageSensitivityToPQDataSet dd_dP Property ElecNetKit Documentation
Change in Voltage angle (radians) with respect to change in three-phase Power.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double dd_dP { get; set; }
public double dd_dP { get; set; }
Public Property dd_dP As Double
    Get
    Set
Public Property dd_dP As Double
    Get
    Set
public:
property double dd_dP {
    double get ();
    void set (double value);
}
public:
property double dd_dP {
    double get ();
    void set (double value);
}
See Also
VoltageSensitivityToPQDataSet Class
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


dd_dQ Property

VoltageSensitivityToPQDataSet dd_dQ Property ElecNetKit Documentation
Change in Voltage angle (radians) with respect to change in three-phase Reactive Power.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double dd_dQ { get; set; }
public double dd_dQ { get; set; }
Public Property dd_dQ As Double
    Get
    Set
Public Property dd_dQ As Double
    Get
    Set
public:
property double dd_dQ {
    double get ();
    void set (double value);
}
public:
property double dd_dQ {
    double get ();
    void set (double value);
}
See Also
VoltageSensitivityToPQDataSet Class
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


dV_dP Property

VoltageSensitivityToPQDataSet dV_dP Property ElecNetKit Documentation
Change in Voltage (single phase) with respect to change in three-phase Power.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double dV_dP { get; set; }
public double dV_dP { get; set; }
Public Property dV_dP As Double
    Get
    Set
Public Property dV_dP As Double
    Get
    Set
public:
property double dV_dP {
    double get ();
    void set (double value);
}
public:
property double dV_dP {
    double get ();
    void set (double value);
}
See Also
VoltageSensitivityToPQDataSet Class
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


dV_dQ Property

VoltageSensitivityToPQDataSet dV_dQ Property ElecNetKit Documentation
Change in Voltage (single phase) with respect to change in three-phase Reactive Power.

Namespace: ElecNetKit.Sensitivities
Assembly: ElecNetKit.Sensitivities (in ElecNetKit.Sensitivities.dll) Version: 1.1.4771.27372 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double dV_dQ { get; set; }
public double dV_dQ { get; set; }
Public Property dV_dQ As Double
    Get
    Set
Public Property dV_dQ As Double
    Get
    Set
public:
property double dV_dQ {
    double get ();
    void set (double value);
}
public:
property double dV_dQ {
    double get ();
    void set (double value);
}
See Also
VoltageSensitivityToPQDataSet Class
VoltageSensitivityToPQDataSet Members
ElecNetKit.Sensitivities Namespace


ElecNetKit.Simulator Namespace

ElecNetKit.Simulator Namespace ElecNetKit Documentation
The ElecNetKit.Simulator namespace defines a set of classes for controlling simulation, and managing external simulator integration.
Classes
 | Class | Description
Public class | NetworkController | A class that governs the production of a network model, experimenting on the network model and transforming the results (all as requested). Capable of working with any ISimulator, and will automatically detect and use any available simulator in the /ElecNetKitExtensions subfolder of the entry assembly ( Online GetEntryAssembly )'s location.
Interfaces
 | Interface | Description
Public interface | ISimulator | Defines an electrical network simulator. Simulators must be able to run textual commands and return network models.


ISimulator Interface

ISimulator Interface ElecNetKit Documentation
Defines an electrical network simulator. Simulators must be able to run textual commands and return network models.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface ISimulator
public interface ISimulator
Public Interface ISimulator
Public Interface ISimulator
public interface class ISimulator
public interface class ISimulator
Examples

            For an example implemention, see the ElecNetKit.Engines.OpenDSS assembly.
See Also
ISimulator Members
ElecNetKit.Simulator Namespace


ISimulator Members

ISimulator Members ElecNetKit Documentation

The ISimulator type exposes the following members.
Methods
 | Name | Description
Public method | GetNetworkModel | Finalises all experiment commands, solves and retrieves all results and returns a NetworkModel, characterising the electrical network.
Public method | PrepareNetwork | Signals that the ISimulator should load a network model from filename, ready to be returned as a NetworkModel or experimented upon.
Public method | RunCommand | Run a single command through the simulator text interface.
Back to Top
See Also
ISimulator Interface
ElecNetKit.Simulator Namespace


ISimulator Methods

ISimulator Methods ElecNetKit Documentation
The ISimulator type exposes the following members.
Methods
 | Name | Description
Public method | GetNetworkModel | Finalises all experiment commands, solves and retrieves all results and returns a NetworkModel, characterising the electrical network.
Public method | PrepareNetwork | Signals that the ISimulator should load a network model from filename, ready to be returned as a NetworkModel or experimented upon.
Public method | RunCommand | Run a single command through the simulator text interface.
Back to Top
See Also
ISimulator Interface
ElecNetKit.Simulator Namespace


GetNetworkModel Method

ISimulator GetNetworkModel Method ElecNetKit Documentation
Finalises all experiment commands, solves and retrieves all results and returns a NetworkModel, characterising the electrical network.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
NetworkModel GetNetworkModel()
NetworkModel GetNetworkModel()
Function GetNetworkModel As NetworkModel
Function GetNetworkModel As NetworkModel
NetworkModel^ GetNetworkModel()
NetworkModel^ GetNetworkModel()
Return Value
The complete electrical network model.
See Also
ISimulator Interface
ISimulator Members
ElecNetKit.Simulator Namespace


PrepareNetwork Method

ISimulator PrepareNetwork Method ElecNetKit Documentation
Signals that the ISimulator should load a network model from filename, ready to be returned as a NetworkModel or experimented upon.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void PrepareNetwork(
    string filename
)
void PrepareNetwork(
    string filename
)
Sub PrepareNetwork ( _
    filename As String _
)
Sub PrepareNetwork ( _
    filename As String _
)
void PrepareNetwork(
    String^ filename
)
void PrepareNetwork(
    String^ filename
)
Parameters
filename
Type:   Online System String
The filename of the network to prepare.
See Also
ISimulator Interface
ISimulator Members
ElecNetKit.Simulator Namespace


RunCommand Method

ISimulator RunCommand Method ElecNetKit Documentation
Run a single command through the simulator text interface.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void RunCommand(
    string command
)
void RunCommand(
    string command
)
Sub RunCommand ( _
    command As String _
)
Sub RunCommand ( _
    command As String _
)
void RunCommand(
    String^ command
)
void RunCommand(
    String^ command
)
Parameters
command
Type:   Online System String
The command to run.
See Also
ISimulator Interface
ISimulator Members
ElecNetKit.Simulator Namespace


NetworkController Class

NetworkController Class ElecNetKit Documentation
A class that governs the production of a network model, experimenting on the network model and transforming the results (all as requested). Capable of working with any ISimulator, and will automatically detect and use any available simulator in the /ElecNetKitExtensions subfolder of the entry assembly ( Online GetEntryAssembly )'s location.
Inheritance Hierarchy
Online System Object
ElecNetKit.Simulator NetworkController

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class NetworkController
public class NetworkController
Public Class NetworkController
Public Class NetworkController
public ref class NetworkController
public ref class NetworkController
See Also
NetworkController Members
ElecNetKit.Simulator Namespace


NetworkController Members

NetworkController Members ElecNetKit Documentation

The NetworkController type exposes the following members.
Constructors
 | Name | Description
Public method | NetworkController | Instantiates a NetworkController using the provided simulator.
Back to Top
Methods
 | Name | Description
Public method | ClearNetworkCache | Forces the pre-experiment network to be recalculated.
Public method | Execute | Runs the simulation, and an experiment (IExperimentor, if specified), and applies a results transform (IResultsTransform, if specified). After simulation has been run, the network can be retrieved for plotting/analysis.
Back to Top
Properties
 | Name | Description
Public property | CacheNetwork | A flag indicating, if set, that the NetworkController should only ever obtain the pre-experiment network from the simulator once. Default value is true.
Public property | ExperimentDriver | The particular experiment that will be applied to the network.
Public property | Network | The simulated network. Only avaiable once Execute() has been called.
Public property | NetworkFilename | The filename corresponding to a stored network model. The network model should define the network but not (necessarily) solve anything.
Public property | ResultsTransformer | The IResultsTransform to be used in the experiment.
Back to Top
See Also
NetworkController Class
ElecNetKit.Simulator Namespace


NetworkController Constructor

NetworkController Constructor ElecNetKit Documentation
Instantiates a NetworkController using the provided simulator.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkController(
    ISimulator sim
)
public NetworkController(
    ISimulator sim
)
Public Sub New ( _
    sim As ISimulator _
)
Public Sub New ( _
    sim As ISimulator _
)
public:
NetworkController(
    ISimulator^ sim
)
public:
NetworkController(
    ISimulator^ sim
)
Parameters
sim
Type: ElecNetKit.Simulator ISimulator
The simulator object to use for simulations.
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


NetworkController Methods

NetworkController Methods ElecNetKit Documentation
The NetworkController type exposes the following members.
Methods
 | Name | Description
Public method | ClearNetworkCache | Forces the pre-experiment network to be recalculated.
Public method | Execute | Runs the simulation, and an experiment (IExperimentor, if specified), and applies a results transform (IResultsTransform, if specified). After simulation has been run, the network can be retrieved for plotting/analysis.
Back to Top
See Also
NetworkController Class
ElecNetKit.Simulator Namespace


ClearNetworkCache Method

NetworkController ClearNetworkCache Method ElecNetKit Documentation
Forces the pre-experiment network to be recalculated.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ClearNetworkCache()
public void ClearNetworkCache()
Public Sub ClearNetworkCache
Public Sub ClearNetworkCache
public:
void ClearNetworkCache()
public:
void ClearNetworkCache()
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


Execute Method

NetworkController Execute Method ElecNetKit Documentation
Runs the simulation, and an experiment (IExperimentor, if specified), and applies a results transform (IResultsTransform, if specified). After simulation has been run, the network can be retrieved for plotting/analysis.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Execute()
public void Execute()
Public Sub Execute
Public Sub Execute
public:
void Execute()
public:
void Execute()
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


NetworkController Properties

NetworkController Properties ElecNetKit Documentation
The NetworkController type exposes the following members.
Properties
 | Name | Description
Public property | CacheNetwork | A flag indicating, if set, that the NetworkController should only ever obtain the pre-experiment network from the simulator once. Default value is true.
Public property | ExperimentDriver | The particular experiment that will be applied to the network.
Public property | Network | The simulated network. Only avaiable once Execute() has been called.
Public property | NetworkFilename | The filename corresponding to a stored network model. The network model should define the network but not (necessarily) solve anything.
Public property | ResultsTransformer | The IResultsTransform to be used in the experiment.
Back to Top
See Also
NetworkController Class
ElecNetKit.Simulator Namespace


CacheNetwork Property

NetworkController CacheNetwork Property ElecNetKit Documentation
A flag indicating, if set, that the NetworkController should only ever obtain the pre-experiment network from the simulator once. Default value is true.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool CacheNetwork { get; set; }
public bool CacheNetwork { get; set; }
Public Property CacheNetwork As Boolean
    Get
    Set
Public Property CacheNetwork As Boolean
    Get
    Set
public:
property bool CacheNetwork {
    bool get ();
    void set (bool value);
}
public:
property bool CacheNetwork {
    bool get ();
    void set (bool value);
}
Remarks
Note that setting CacheNetwork to true will
            not persist the modifications made after experimentation. CacheNetwork
            is only designed to be used for performance improvement. If you wish to
            combine multiple experiments into one, use ChainExperimentor
            instead.

See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


ExperimentDriver Property

NetworkController ExperimentDriver Property ElecNetKit Documentation
The particular experiment that will be applied to the network.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IExperimentor ExperimentDriver { get; set; }
public IExperimentor ExperimentDriver { get; set; }
Public Property ExperimentDriver As IExperimentor
    Get
    Set
Public Property ExperimentDriver As IExperimentor
    Get
    Set
public:
property IExperimentor^ ExperimentDriver {
    IExperimentor^ get ();
    void set (IExperimentor^ value);
}
public:
property IExperimentor^ ExperimentDriver {
    IExperimentor^ get ();
    void set (IExperimentor^ value);
}
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


Network Property

NetworkController Network Property ElecNetKit Documentation
The simulated network. Only avaiable once Execute() has been called.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NetworkModel Network { get; protected set; }
public NetworkModel Network { get; protected set; }
Public Property Network As NetworkModel
    Get
    Protected Set
Public Property Network As NetworkModel
    Get
    Protected Set
public:
property NetworkModel^ Network {
    NetworkModel^ get ();
    protected: void set (NetworkModel^ value);
}
public:
property NetworkModel^ Network {
    NetworkModel^ get ();
    protected: void set (NetworkModel^ value);
}
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


NetworkFilename Property

NetworkController NetworkFilename Property ElecNetKit Documentation
The filename corresponding to a stored network model. The network model should define the network but not (necessarily) solve anything.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public string NetworkFilename { get; set; }
public string NetworkFilename { get; set; }
Public Property NetworkFilename As String
    Get
    Set
Public Property NetworkFilename As String
    Get
    Set
public:
property String^ NetworkFilename {
    String^ get ();
    void set (String^ value);
}
public:
property String^ NetworkFilename {
    String^ get ();
    void set (String^ value);
}
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


ResultsTransformer Property

NetworkController ResultsTransformer Property ElecNetKit Documentation
The IResultsTransform to be used in the experiment.

Namespace: ElecNetKit.Simulator
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public IResultsTransform ResultsTransformer { get; set; }
public IResultsTransform ResultsTransformer { get; set; }
Public Property ResultsTransformer As IResultsTransform
    Get
    Set
Public Property ResultsTransformer As IResultsTransform
    Get
    Set
public:
property IResultsTransform^ ResultsTransformer {
    IResultsTransform^ get ();
    void set (IResultsTransform^ value);
}
public:
property IResultsTransform^ ResultsTransformer {
    IResultsTransform^ get ();
    void set (IResultsTransform^ value);
}
See Also
NetworkController Class
NetworkController Members
ElecNetKit.Simulator Namespace


ElecNetKit.Transform Namespace

ElecNetKit.Transform Namespace ElecNetKit Documentation
The ElecNetKit.Transform namespace contains interfaces and classes associated with transforming results from network experiments.
Classes
 | Class | Description
Public class | DifferenceTransform | Measures the change in voltage magnitudes and phases between a pre- and post- experiment network. Saves the computed differences back into the final NetworkModel for processing, traversing or graphing.
Interfaces
 | Interface | Description
Public interface | IResultsTransform | Classes that implement IResultsTransform are used for observing and modifying the electrical network model pre- and post- experiment. They meaningfully reinterpret the results obtained by experimentation in order to be better visualised or stored.


DifferenceTransform Class

DifferenceTransform Class ElecNetKit Documentation
Measures the change in voltage magnitudes and phases between a pre- and post- experiment network. Saves the computed differences back into the final NetworkModel for processing, traversing or graphing.
Inheritance Hierarchy
Online System Object
ElecNetKit.Transform DifferenceTransform

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class DifferenceTransform : IResultsTransform
public class DifferenceTransform : IResultsTransform
Public Class DifferenceTransform _
    Implements IResultsTransform
Public Class DifferenceTransform _
    Implements IResultsTransform
public ref class DifferenceTransform : IResultsTransform
public ref class DifferenceTransform : IResultsTransform
See Also
DifferenceTransform Members
ElecNetKit.Transform Namespace


DifferenceTransform Members

DifferenceTransform Members ElecNetKit Documentation

The DifferenceTransform type exposes the following members.
Constructors
 | Name | Description
Public method | DifferenceTransform | Initializes a new instance of the DifferenceTransform class
Back to Top
Methods
 | Name | Description
Public method | PostExperimentHook | Subtracts old bus voltage magnitudes from new bus voltage magnitudes. Note that this will screw around with the phases due to subtraction of magnitudes, not of complex vectors.
Public method | PreExperimentHook | Store original bus voltage magnitudes by BusID in oldVoltages. See PreExperimentHook(NetworkModel) for how this fits into the system.
Back to Top
See Also
DifferenceTransform Class
ElecNetKit.Transform Namespace


DifferenceTransform Constructor

DifferenceTransform Constructor ElecNetKit Documentation
Initializes a new instance of the DifferenceTransform class

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public DifferenceTransform()
public DifferenceTransform()
Public Sub New
Public Sub New
public:
DifferenceTransform()
public:
DifferenceTransform()
See Also
DifferenceTransform Class
DifferenceTransform Members
ElecNetKit.Transform Namespace


DifferenceTransform Methods

DifferenceTransform Methods ElecNetKit Documentation
The DifferenceTransform type exposes the following members.
Methods
 | Name | Description
Public method | PostExperimentHook | Subtracts old bus voltage magnitudes from new bus voltage magnitudes. Note that this will screw around with the phases due to subtraction of magnitudes, not of complex vectors.
Public method | PreExperimentHook | Store original bus voltage magnitudes by BusID in oldVoltages. See PreExperimentHook(NetworkModel) for how this fits into the system.
Back to Top
See Also
DifferenceTransform Class
ElecNetKit.Transform Namespace


PostExperimentHook Method

DifferenceTransform PostExperimentHook Method ElecNetKit Documentation
Subtracts old bus voltage magnitudes from new bus voltage magnitudes. Note that this will screw around with the phases due to subtraction of magnitudes, not of complex vectors.

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void PostExperimentHook(
    NetworkModel Network
)
public void PostExperimentHook(
    NetworkModel Network
)
Public Sub PostExperimentHook ( _
    Network As NetworkModel _
)
Public Sub PostExperimentHook ( _
    Network As NetworkModel _
)
public:
virtual void PostExperimentHook(
    NetworkModel^ Network
) sealed
public:
virtual void PostExperimentHook(
    NetworkModel^ Network
) sealed
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The network to transform.
Implements
IResultsTransform PostExperimentHook(NetworkModel)
See Also
DifferenceTransform Class
DifferenceTransform Members
ElecNetKit.Transform Namespace


PreExperimentHook Method

DifferenceTransform PreExperimentHook Method ElecNetKit Documentation
Store original bus voltage magnitudes by BusID in oldVoltages. See PreExperimentHook(NetworkModel) for how this fits into the system.

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void PreExperimentHook(
    NetworkModel Network
)
public void PreExperimentHook(
    NetworkModel Network
)
Public Sub PreExperimentHook ( _
    Network As NetworkModel _
)
Public Sub PreExperimentHook ( _
    Network As NetworkModel _
)
public:
virtual void PreExperimentHook(
    NetworkModel^ Network
) sealed
public:
virtual void PreExperimentHook(
    NetworkModel^ Network
) sealed
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The original, unexperimented network.
Implements
IResultsTransform PreExperimentHook(NetworkModel)
See Also
DifferenceTransform Class
DifferenceTransform Members
ElecNetKit.Transform Namespace


IResultsTransform Interface

IResultsTransform Interface ElecNetKit Documentation
Classes that implement IResultsTransform are used for observing and modifying the electrical network model pre- and post- experiment. They meaningfully reinterpret the results obtained by experimentation in order to be better visualised or stored.

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public interface IResultsTransform
public interface IResultsTransform
Public Interface IResultsTransform
Public Interface IResultsTransform
public interface class IResultsTransform
public interface class IResultsTransform
Examples
For an example implementation, see
            DifferenceTransform.
See Also
IResultsTransform Members
ElecNetKit.Transform Namespace


IResultsTransform Members

IResultsTransform Members ElecNetKit Documentation

The IResultsTransform type exposes the following members.
Methods
 | Name | Description
Public method | PostExperimentHook | Called by a NetworkController after experiment commands are run. Implementors should meaningfully measure or modify the NetworkModel to enable better analysis of results.
Public method | PreExperimentHook | Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.
Back to Top
See Also
IResultsTransform Interface
ElecNetKit.Transform Namespace


IResultsTransform Methods

IResultsTransform Methods ElecNetKit Documentation
The IResultsTransform type exposes the following members.
Methods
 | Name | Description
Public method | PostExperimentHook | Called by a NetworkController after experiment commands are run. Implementors should meaningfully measure or modify the NetworkModel to enable better analysis of results.
Public method | PreExperimentHook | Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.
Back to Top
See Also
IResultsTransform Interface
ElecNetKit.Transform Namespace


PostExperimentHook Method

IResultsTransform PostExperimentHook Method ElecNetKit Documentation
Called by a NetworkController after experiment commands are run. Implementors should meaningfully measure or modify the NetworkModel to enable better analysis of results.

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void PostExperimentHook(
    NetworkModel Network
)
void PostExperimentHook(
    NetworkModel Network
)
Sub PostExperimentHook ( _
    Network As NetworkModel _
)
Sub PostExperimentHook ( _
    Network As NetworkModel _
)
void PostExperimentHook(
    NetworkModel^ Network
)
void PostExperimentHook(
    NetworkModel^ Network
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The electrical network model, post-experiment.

See Also
IResultsTransform Interface
IResultsTransform Members
ElecNetKit.Transform Namespace


PreExperimentHook Method

IResultsTransform PreExperimentHook Method ElecNetKit Documentation
Called by a NetworkController before experiment commands are run, providing the IResultsTransform with a chance to measure or manipulate network parameters before experiment.

Namespace: ElecNetKit.Transform
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
void PreExperimentHook(
    NetworkModel Network
)
void PreExperimentHook(
    NetworkModel Network
)
Sub PreExperimentHook ( _
    Network As NetworkModel _
)
Sub PreExperimentHook ( _
    Network As NetworkModel _
)
void PreExperimentHook(
    NetworkModel^ Network
)
void PreExperimentHook(
    NetworkModel^ Network
)
Parameters
Network
Type: ElecNetKit.NetworkModelling NetworkModel
The un-experimented network.
See Also
IResultsTransform Interface
IResultsTransform Members
ElecNetKit.Transform Namespace


ElecNetKit.Util Namespace

ElecNetKit.Util Namespace ElecNetKit Documentation
Defines a few bells and whistles that are used throughout ElecNetKit and might be useful in potential applications.
Classes
 | Class | Description
Public class | Limits | Automatically determines the minimum and maximum values for a data set. Manual limits (LimitMin and LimitMax) can also be specified, and then values can be scaled from the Auto-space to the Manual-space, and vice-versa.
Public class | NormalDist | A Normal Distribution. Generates normally-distributed random data from a mean and a standard deviation.
Public class | TwinKeyDictionary TKeyX, TKeyY, TValue | A Twin-Key dictionary, useful for working with tables of data, such as sensitivities. Can index by either key or both. Could also be interpreted as a sparse matrix with flexible types for the rows and cols.


Limits Class

Limits Class ElecNetKit Documentation
Automatically determines the minimum and maximum values for a data set. Manual limits (LimitMin and LimitMax) can also be specified, and then values can be scaled from the Auto-space to the Manual-space, and vice-versa.
Inheritance Hierarchy
Online System Object
ElecNetKit.Util Limits

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public class Limits
public class Limits
Public Class Limits
Public Class Limits
public ref class Limits
public ref class Limits
See Also
Limits Members
ElecNetKit.Util Namespace


Limits Members

Limits Members ElecNetKit Documentation

The Limits type exposes the following members.
Constructors
 | Name | Description
Public method | Limits | Instantiates a new Limits.
Back to Top
Methods
 | Name | Description
Public method | AutoDataReset | Resets the Auto limits.
Public method | ProcessData(IEnumerable Double ) | Processes a set of data.
Public method | ProcessData(Double) | Processes a single data point.
Public method | ValueScaledToLimits | Scales a value from the Auto-limits space to the manual-limits space.
Public method | ValueUnscaledFromLimits | Unscales a value from the manual/custom space to the auto-space
Back to Top
Properties
 | Name | Description
Public property | AutoMax | Returns the automatically determined maximum value of the processed data.
Public property | AutoMin | Returns the automatically determined minimum value of the processed data.
Public property | Count | Returns the number of data points processed by the Limits.
Public property | LimitMax | A custom maximum for scaling values in the auto-space to a custom space.
Public property | LimitMin | A custom minimum for scaling values in the auto-space to a custom space.
Back to Top
See Also
Limits Class
ElecNetKit.Util Namespace


Limits Constructor

Limits Constructor ElecNetKit Documentation
Instantiates a new Limits.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Limits()
public Limits()
Public Sub New
Public Sub New
public:
Limits()
public:
Limits()
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


Limits Methods

Limits Methods ElecNetKit Documentation
The Limits type exposes the following members.
Methods
 | Name | Description
Public method | AutoDataReset | Resets the Auto limits.
Public method | ProcessData(IEnumerable Double ) | Processes a set of data.
Public method | ProcessData(Double) | Processes a single data point.
Public method | ValueScaledToLimits | Scales a value from the Auto-limits space to the manual-limits space.
Public method | ValueUnscaledFromLimits | Unscales a value from the manual/custom space to the auto-space
Back to Top
See Also
Limits Class
ElecNetKit.Util Namespace


AutoDataReset Method

Limits AutoDataReset Method ElecNetKit Documentation
Resets the Auto limits.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void AutoDataReset()
public void AutoDataReset()
Public Sub AutoDataReset
Public Sub AutoDataReset
public:
void AutoDataReset()
public:
void AutoDataReset()
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


ProcessData Method

Limits ProcessData Method ElecNetKit Documentation
Overload List
 | Name | Description
Public method | ProcessData(IEnumerable Double ) | Processes a set of data.
Public method | ProcessData(Double) | Processes a single data point.
Back to Top
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


ProcessData Method (IEnumerable(Double))

Limits ProcessData Method (IEnumerable Double ) ElecNetKit Documentation
Processes a set of data.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    IEnumerable<double> values
)
public void ProcessData(
    IEnumerable<double> values
)
Public Sub ProcessData ( _
    values As IEnumerable(Of Double) _
)
Public Sub ProcessData ( _
    values As IEnumerable(Of Double) _
)
public:
void ProcessData(
    IEnumerable<double>^ values
)
public:
void ProcessData(
    IEnumerable<double>^ values
)
Parameters
values
Type:   Online System.Collections.Generic IEnumerable    Online Double
A set of data to consider into the limits.
See Also
Limits Class
Limits Members
ProcessData Overload
ElecNetKit.Util Namespace


ProcessData Method (Double)

Limits ProcessData Method (Double) ElecNetKit Documentation
Processes a single data point.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void ProcessData(
    double value
)
public void ProcessData(
    double value
)
Public Sub ProcessData ( _
    value As Double _
)
Public Sub ProcessData ( _
    value As Double _
)
public:
void ProcessData(
    double value
)
public:
void ProcessData(
    double value
)
Parameters
value
Type:   Online System Double
A piece of data to consider into the limits.
See Also
Limits Class
Limits Members
ProcessData Overload
ElecNetKit.Util Namespace


ValueScaledToLimits Method

Limits ValueScaledToLimits Method ElecNetKit Documentation
Scales a value from the Auto-limits space to the manual-limits space.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double ValueScaledToLimits(
    double value
)
public double ValueScaledToLimits(
    double value
)
Public Function ValueScaledToLimits ( _
    value As Double _
) As Double
Public Function ValueScaledToLimits ( _
    value As Double _
) As Double
public:
double ValueScaledToLimits(
    double value
)
public:
double ValueScaledToLimits(
    double value
)
Parameters
value
Type:   Online System Double
A value in the auto-limits space, in the interval [AutoMin,AutoMax].
Return Value
A value the same percentage of the way through the interval [LimitMin,LimitMax].
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


ValueUnscaledFromLimits Method

Limits ValueUnscaledFromLimits Method ElecNetKit Documentation
Unscales a value from the manual/custom space to the auto-space

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double ValueUnscaledFromLimits(
    double p
)
public double ValueUnscaledFromLimits(
    double p
)
Public Function ValueUnscaledFromLimits ( _
    p As Double _
) As Double
Public Function ValueUnscaledFromLimits ( _
    p As Double _
) As Double
public:
double ValueUnscaledFromLimits(
    double p
)
public:
double ValueUnscaledFromLimits(
    double p
)
Parameters
p
Type:   Online System Double
A value in the manual/custom space, in the interval [LimitMin,LimitMax]
Return Value
A value the same percentage of the way through the interval [AutoMin,AutoMax].
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


Limits Properties

Limits Properties ElecNetKit Documentation
The Limits type exposes the following members.
Properties
 | Name | Description
Public property | AutoMax | Returns the automatically determined maximum value of the processed data.
Public property | AutoMin | Returns the automatically determined minimum value of the processed data.
Public property | Count | Returns the number of data points processed by the Limits.
Public property | LimitMax | A custom maximum for scaling values in the auto-space to a custom space.
Public property | LimitMin | A custom minimum for scaling values in the auto-space to a custom space.
Back to Top
See Also
Limits Class
ElecNetKit.Util Namespace


AutoMax Property

Limits AutoMax Property ElecNetKit Documentation
Returns the automatically determined maximum value of the processed data.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double AutoMax { get; private set; }
public double AutoMax { get; private set; }
Public Property AutoMax As Double
    Get
    Private Set
Public Property AutoMax As Double
    Get
    Private Set
public:
property double AutoMax {
    double get ();
    private: void set (double value);
}
public:
property double AutoMax {
    double get ();
    private: void set (double value);
}
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


AutoMin Property

Limits AutoMin Property ElecNetKit Documentation
Returns the automatically determined minimum value of the processed data.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double AutoMin { get; private set; }
public double AutoMin { get; private set; }
Public Property AutoMin As Double
    Get
    Private Set
Public Property AutoMin As Double
    Get
    Private Set
public:
property double AutoMin {
    double get ();
    private: void set (double value);
}
public:
property double AutoMin {
    double get ();
    private: void set (double value);
}
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


Count Property

Limits Count Property ElecNetKit Documentation
Returns the number of data points processed by the Limits.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double Count { get; private set; }
public double Count { get; private set; }
Public Property Count As Double
    Get
    Private Set
Public Property Count As Double
    Get
    Private Set
public:
property double Count {
    double get ();
    private: void set (double value);
}
public:
property double Count {
    double get ();
    private: void set (double value);
}
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


LimitMax Property

Limits LimitMax Property ElecNetKit Documentation
A custom maximum for scaling values in the auto-space to a custom space.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double LimitMax { get; set; }
public double LimitMax { get; set; }
Public Property LimitMax As Double
    Get
    Set
Public Property LimitMax As Double
    Get
    Set
public:
property double LimitMax {
    double get ();
    void set (double value);
}
public:
property double LimitMax {
    double get ();
    void set (double value);
}
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


LimitMin Property

Limits LimitMin Property ElecNetKit Documentation
A custom minimum for scaling values in the auto-space to a custom space.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double LimitMin { get; set; }
public double LimitMin { get; set; }
Public Property LimitMin As Double
    Get
    Set
Public Property LimitMin As Double
    Get
    Set
public:
property double LimitMin {
    double get ();
    void set (double value);
}
public:
property double LimitMin {
    double get ();
    void set (double value);
}
See Also
Limits Class
Limits Members
ElecNetKit.Util Namespace


NormalDist Class

NormalDist Class ElecNetKit Documentation
A Normal Distribution. Generates normally-distributed random data from a mean and a standard deviation.
Inheritance Hierarchy
Online System Object
ElecNetKit.Util NormalDist

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class NormalDist
[SerializableAttribute]
public class NormalDist
<SerializableAttribute> _
Public Class NormalDist
<SerializableAttribute> _
Public Class NormalDist
[SerializableAttribute]
public ref class NormalDist
[SerializableAttribute]
public ref class NormalDist
See Also
NormalDist Members
ElecNetKit.Util Namespace


NormalDist Members

NormalDist Members ElecNetKit Documentation

The NormalDist type exposes the following members.
Constructors
 | Name | Description
Public method | NormalDist | Instantiates a new Normal Distribution, with Mean = 0 and Std Dev = 1.
Public method | NormalDist(IEnumerable Double ) | Instantiates a new Normal Distribution. Fits a Normal Distribution based on an array of data.
Public method | NormalDist(Double, Double) | Instantiates a new Normal Distribution.
Back to Top
Methods
 | Name | Description
Public method | GetNextValue | Obtains the next random value from the distribution with the given μ and σ.
 | GetZ | Generates a random value for the N(0,1) distribution.
Public method | ToString | Converts to String. (Overrides Online Object ToString .)
Back to Top
Properties
 | Name | Description
Public property | Mean | The Mean of the normally distributed data (μ).
Public property | StdDev | The Standard Deviation of the normally distributed data (σ).
Public property | Variance | The variance of the normally distributed data (σ²).
Back to Top
See Also
NormalDist Class
ElecNetKit.Util Namespace


NormalDist Constructor

NormalDist Constructor ElecNetKit Documentation
Overload List
 | Name | Description
Public method | NormalDist | Instantiates a new Normal Distribution, with Mean = 0 and Std Dev = 1.
Public method | NormalDist(IEnumerable Double ) | Instantiates a new Normal Distribution. Fits a Normal Distribution based on an array of data.
Public method | NormalDist(Double, Double) | Instantiates a new Normal Distribution.
Back to Top
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


NormalDist Constructor

NormalDist Constructor ElecNetKit Documentation
Instantiates a new Normal Distribution, with Mean = 0 and Std Dev = 1.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NormalDist()
public NormalDist()
Public Sub New
Public Sub New
public:
NormalDist()
public:
NormalDist()
See Also
NormalDist Class
NormalDist Members
NormalDist Overload
ElecNetKit.Util Namespace


NormalDist Constructor (IEnumerable(Double))

NormalDist Constructor (IEnumerable Double ) ElecNetKit Documentation
Instantiates a new Normal Distribution. Fits a Normal Distribution based on an array of data.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NormalDist(
    IEnumerable<double> data
)
public NormalDist(
    IEnumerable<double> data
)
Public Sub New ( _
    data As IEnumerable(Of Double) _
)
Public Sub New ( _
    data As IEnumerable(Of Double) _
)
public:
NormalDist(
    IEnumerable<double>^ data
)
public:
NormalDist(
    IEnumerable<double>^ data
)
Parameters
data
Type:   Online System.Collections.Generic IEnumerable    Online Double
The data to fit the Normal Distribution to.
See Also
NormalDist Class
NormalDist Members
NormalDist Overload
ElecNetKit.Util Namespace


NormalDist Constructor (Double, Double)

NormalDist Constructor (Double, Double) ElecNetKit Documentation
Instantiates a new Normal Distribution.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public NormalDist(
    double Mean,
    double StdDev
)
public NormalDist(
    double Mean,
    double StdDev
)
Public Sub New ( _
    Mean As Double, _
    StdDev As Double _
)
Public Sub New ( _
    Mean As Double, _
    StdDev As Double _
)
public:
NormalDist(
    double Mean,
    double StdDev
)
public:
NormalDist(
    double Mean,
    double StdDev
)
Parameters
Mean
Type:   Online System Double
The Mean (μ) of the distribution.
StdDev
Type:   Online System Double
The Standard Deviation (σ) of the distribution.
See Also
NormalDist Class
NormalDist Members
NormalDist Overload
ElecNetKit.Util Namespace


NormalDist Methods

NormalDist Methods ElecNetKit Documentation
The NormalDist type exposes the following members.
Methods
 | Name | Description
Public method | GetNextValue | Obtains the next random value from the distribution with the given μ and σ.
 | GetZ | Generates a random value for the N(0,1) distribution.
Public method | ToString | Converts to String. (Overrides Online Object ToString .)
Back to Top
See Also
NormalDist Class
ElecNetKit.Util Namespace


GetNextValue Method

NormalDist GetNextValue Method ElecNetKit Documentation
Obtains the next random value from the distribution with the given μ and σ.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double GetNextValue()
public double GetNextValue()
Public Function GetNextValue As Double
Public Function GetNextValue As Double
public:
double GetNextValue()
public:
double GetNextValue()
Return Value
A random value from this distribution.
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


GetZ Method

NormalDist GetZ Method ElecNetKit Documentation
Generates a random value for the N(0,1) distribution.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public static double GetZ()
public static double GetZ()
Public Shared Function GetZ As Double
Public Shared Function GetZ As Double
public:
static double GetZ()
public:
static double GetZ()
Return Value
A random value from the N(0,1) distribution.
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


ToString Method

NormalDist ToString Method ElecNetKit Documentation
Converts to String.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public override string ToString()
public override string ToString()
Public Overrides Function ToString As String
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
public:
virtual String^ ToString() override
Return Value
A string representation of the normal distribution.
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


NormalDist Properties

NormalDist Properties ElecNetKit Documentation
The NormalDist type exposes the following members.
Properties
 | Name | Description
Public property | Mean | The Mean of the normally distributed data (μ).
Public property | StdDev | The Standard Deviation of the normally distributed data (σ).
Public property | Variance | The variance of the normally distributed data (σ²).
Back to Top
See Also
NormalDist Class
ElecNetKit.Util Namespace


Mean Property

NormalDist Mean Property ElecNetKit Documentation
The Mean of the normally distributed data (μ).

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double Mean { get; set; }
public double Mean { get; set; }
Public Property Mean As Double
    Get
    Set
Public Property Mean As Double
    Get
    Set
public:
property double Mean {
    double get ();
    void set (double value);
}
public:
property double Mean {
    double get ();
    void set (double value);
}
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


StdDev Property

NormalDist StdDev Property ElecNetKit Documentation
The Standard Deviation of the normally distributed data (σ).

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double StdDev { get; set; }
public double StdDev { get; set; }
Public Property StdDev As Double
    Get
    Set
Public Property StdDev As Double
    Get
    Set
public:
property double StdDev {
    double get ();
    void set (double value);
}
public:
property double StdDev {
    double get ();
    void set (double value);
}
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


Variance Property

NormalDist Variance Property ElecNetKit Documentation
The variance of the normally distributed data (σ²).

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public double Variance { get; set; }
public double Variance { get; set; }
Public Property Variance As Double
    Get
    Set
Public Property Variance As Double
    Get
    Set
public:
property double Variance {
    double get ();
    void set (double value);
}
public:
property double Variance {
    double get ();
    void set (double value);
}
See Also
NormalDist Class
NormalDist Members
ElecNetKit.Util Namespace


TwinKeyDictionary(TKeyX, TKeyY, TValue) Class

TwinKeyDictionary TKeyX, TKeyY, TValue Class ElecNetKit Documentation
A Twin-Key dictionary, useful for working with tables of data, such as sensitivities. Can index by either key or both. Could also be interpreted as a sparse matrix with flexible types for the rows and cols.
Inheritance Hierarchy
Online System Object
ElecNetKit.Util TwinKeyDictionary TKeyX, TKeyY, TValue

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
[SerializableAttribute]
public class TwinKeyDictionary<TKeyX, TKeyY, TValue> : IDeserializationCallback
[SerializableAttribute]
public class TwinKeyDictionary<TKeyX, TKeyY, TValue> : IDeserializationCallback
<SerializableAttribute> _
Public Class TwinKeyDictionary(Of TKeyX, TKeyY, TValue) _
    Implements IDeserializationCallback
<SerializableAttribute> _
Public Class TwinKeyDictionary(Of TKeyX, TKeyY, TValue) _
    Implements IDeserializationCallback
[SerializableAttribute]
generic<typename TKeyX, typename TKeyY, typename TValue>
public ref class TwinKeyDictionary : IDeserializationCallback
[SerializableAttribute]
generic<typename TKeyX, typename TKeyY, typename TValue>
public ref class TwinKeyDictionary : IDeserializationCallback
Type Parameters
TKeyX
One type to index on.
TKeyY
The other type to index on.
TValue
The type of the value.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


TwinKeyDictionary(TKeyX, TKeyY, TValue) Members

TwinKeyDictionary TKeyX, TKeyY, TValue Members ElecNetKit Documentation

The TwinKeyDictionary TKeyX, TKeyY, TValue type exposes the following members.
Constructors
 | Name | Description
Public method | TwinKeyDictionary TKeyX, TKeyY, TValue | Instantiate a new dictionary.
Back to Top
Methods
 | Name | Description
Public method | Add | Add a new entry to the table.
Public method | ContainsKey | Tests whether the dictionary contains a key at the specified XY location.
Public method | ContainsKeyX | Tests whether a row exists in the dictionary.
Public method | ContainsKeyY | Tests whether a column exists in the dictionary.
Public method | Merge | Imports the entries from otherDictionary into this dictionary.
Public method | MergeX | Merges in values from a dictionary of dictionaries.
Public method | MergeY | Merges in values from a dictionary of dictionaries.
Public method | OnDeserialization | Rebuilds index after deserialisation.
Public method | Remove | Remove the table entry at (X,Y).
Back to Top
Properties
 | Name | Description
Public property | MapX | Access the TwinKeyDictionary first by Row.
Public property | MapY | Access the TwinKeyDictionary first by Column.
Back to Top
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue Class
ElecNetKit.Util Namespace


TwinKeyDictionary(TKeyX, TKeyY, TValue) Constructor

TwinKeyDictionary TKeyX, TKeyY, TValue Constructor ElecNetKit Documentation
Instantiate a new dictionary.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public TwinKeyDictionary()
public TwinKeyDictionary()
Public Sub New
Public Sub New
public:
TwinKeyDictionary()
public:
TwinKeyDictionary()
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


TwinKeyDictionary(TKeyX, TKeyY, TValue) Methods

TwinKeyDictionary TKeyX, TKeyY, TValue Methods ElecNetKit Documentation
The TwinKeyDictionary TKeyX, TKeyY, TValue type exposes the following members.
Methods
 | Name | Description
Public method | Add | Add a new entry to the table.
Public method | ContainsKey | Tests whether the dictionary contains a key at the specified XY location.
Public method | ContainsKeyX | Tests whether a row exists in the dictionary.
Public method | ContainsKeyY | Tests whether a column exists in the dictionary.
Public method | Merge | Imports the entries from otherDictionary into this dictionary.
Public method | MergeX | Merges in values from a dictionary of dictionaries.
Public method | MergeY | Merges in values from a dictionary of dictionaries.
Public method | OnDeserialization | Rebuilds index after deserialisation.
Public method | Remove | Remove the table entry at (X,Y).
Back to Top
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue Class
ElecNetKit.Util Namespace


Add Method

TwinKeyDictionary TKeyX, TKeyY, TValue Add Method ElecNetKit Documentation
Add a new entry to the table.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Add(
    TKeyX keyX,
    TKeyY keyY,
    TValue value
)
public void Add(
    TKeyX keyX,
    TKeyY keyY,
    TValue value
)
Public Sub Add ( _
    keyX As TKeyX, _
    keyY As TKeyY, _
    value As TValue _
)
Public Sub Add ( _
    keyX As TKeyX, _
    keyY As TKeyY, _
    value As TValue _
)
public:
void Add(
    TKeyX keyX,
    TKeyY keyY,
    TValue value
)
public:
void Add(
    TKeyX keyX,
    TKeyY keyY,
    TValue value
)
Parameters
keyX
Type: TKeyX
The X parameter.
keyY
Type: TKeyY
The Y parameter.
value
Type: TValue
The value to store at (X,Y).
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


ContainsKey Method

TwinKeyDictionary TKeyX, TKeyY, TValue ContainsKey Method ElecNetKit Documentation
Tests whether the dictionary contains a key at the specified XY location.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ContainsKey(
    TKeyX keyX,
    TKeyY keyY
)
public bool ContainsKey(
    TKeyX keyX,
    TKeyY keyY
)
Public Function ContainsKey ( _
    keyX As TKeyX, _
    keyY As TKeyY _
) As Boolean
Public Function ContainsKey ( _
    keyX As TKeyX, _
    keyY As TKeyY _
) As Boolean
public:
bool ContainsKey(
    TKeyX keyX,
    TKeyY keyY
)
public:
bool ContainsKey(
    TKeyX keyX,
    TKeyY keyY
)
Parameters
keyX
Type: TKeyX
The row to look in.
keyY
Type: TKeyY
The column to look in.
Return Value
True if the key exists.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


ContainsKeyX Method

TwinKeyDictionary TKeyX, TKeyY, TValue ContainsKeyX Method ElecNetKit Documentation
Tests whether a row exists in the dictionary.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ContainsKeyX(
    TKeyX keyX
)
public bool ContainsKeyX(
    TKeyX keyX
)
Public Function ContainsKeyX ( _
    keyX As TKeyX _
) As Boolean
Public Function ContainsKeyX ( _
    keyX As TKeyX _
) As Boolean
public:
bool ContainsKeyX(
    TKeyX keyX
)
public:
bool ContainsKeyX(
    TKeyX keyX
)
Parameters
keyX
Type: TKeyX
The row to test existence of.
Return Value
True if the row exists.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


ContainsKeyY Method

TwinKeyDictionary TKeyX, TKeyY, TValue ContainsKeyY Method ElecNetKit Documentation
Tests whether a column exists in the dictionary.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public bool ContainsKeyY(
    TKeyY keyY
)
public bool ContainsKeyY(
    TKeyY keyY
)
Public Function ContainsKeyY ( _
    keyY As TKeyY _
) As Boolean
Public Function ContainsKeyY ( _
    keyY As TKeyY _
) As Boolean
public:
bool ContainsKeyY(
    TKeyY keyY
)
public:
bool ContainsKeyY(
    TKeyY keyY
)
Parameters
keyY
Type: TKeyY
The key of the column to test for.
Return Value
True if the column exists.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


Merge Method

TwinKeyDictionary TKeyX, TKeyY, TValue Merge Method ElecNetKit Documentation
Imports the entries from otherDictionary into this dictionary.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Merge(
    TwinKeyDictionary<TKeyX, TKeyY, TValue> otherDictionary
)
public void Merge(
    TwinKeyDictionary<TKeyX, TKeyY, TValue> otherDictionary
)
Public Sub Merge ( _
    otherDictionary As TwinKeyDictionary(Of TKeyX, TKeyY, TValue) _
)
Public Sub Merge ( _
    otherDictionary As TwinKeyDictionary(Of TKeyX, TKeyY, TValue) _
)
public:
void Merge(
    TwinKeyDictionary<TKeyX, TKeyY, TValue>^ otherDictionary
)
public:
void Merge(
    TwinKeyDictionary<TKeyX, TKeyY, TValue>^ otherDictionary
)
Parameters
otherDictionary
Type: ElecNetKit.Util TwinKeyDictionary  TKeyX, TKeyY, TValue
The other dictionary to merge entries from.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


MergeX Method

TwinKeyDictionary TKeyX, TKeyY, TValue MergeX Method ElecNetKit Documentation
Merges in values from a dictionary of dictionaries.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MergeX(
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>> otherDictionary
)
public void MergeX(
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>> otherDictionary
)
Public Sub MergeX ( _
    otherDictionary As Dictionary(Of TKeyX, Dictionary(Of TKeyY, TValue)) _
)
Public Sub MergeX ( _
    otherDictionary As Dictionary(Of TKeyX, Dictionary(Of TKeyY, TValue)) _
)
public:
void MergeX(
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ otherDictionary
)
public:
void MergeX(
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ otherDictionary
)
Parameters
otherDictionary
Type:   Online System.Collections.Generic Dictionary  TKeyX,   Online Dictionary  TKeyY, TValue
The dictionary to merge in.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


MergeY Method

TwinKeyDictionary TKeyX, TKeyY, TValue MergeY Method ElecNetKit Documentation
Merges in values from a dictionary of dictionaries.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void MergeY(
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>> otherDictionary
)
public void MergeY(
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>> otherDictionary
)
Public Sub MergeY ( _
    otherDictionary As Dictionary(Of TKeyY, Dictionary(Of TKeyX, TValue)) _
)
Public Sub MergeY ( _
    otherDictionary As Dictionary(Of TKeyY, Dictionary(Of TKeyX, TValue)) _
)
public:
void MergeY(
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ otherDictionary
)
public:
void MergeY(
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ otherDictionary
)
Parameters
otherDictionary
Type:   Online System.Collections.Generic Dictionary  TKeyY,   Online Dictionary  TKeyX, TValue
The dictionary to merge in.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


OnDeserialization Method

TwinKeyDictionary TKeyX, TKeyY, TValue OnDeserialization Method ElecNetKit Documentation
Rebuilds index after deserialisation.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void OnDeserialization(
    Object sender
)
public void OnDeserialization(
    Object sender
)
Public Sub OnDeserialization ( _
    sender As Object _
)
Public Sub OnDeserialization ( _
    sender As Object _
)
public:
virtual void OnDeserialization(
    Object^ sender
) sealed
public:
virtual void OnDeserialization(
    Object^ sender
) sealed
Parameters
sender
Type:   Online System Object
Not used or implemented.
Implements
  Online IDeserializationCallback OnDeserialization(Object)
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


Remove Method

TwinKeyDictionary TKeyX, TKeyY, TValue Remove Method ElecNetKit Documentation
Remove the table entry at (X,Y).

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public void Remove(
    TKeyX keyX,
    TKeyY keyY
)
public void Remove(
    TKeyX keyX,
    TKeyY keyY
)
Public Sub Remove ( _
    keyX As TKeyX, _
    keyY As TKeyY _
)
Public Sub Remove ( _
    keyX As TKeyX, _
    keyY As TKeyY _
)
public:
void Remove(
    TKeyX keyX,
    TKeyY keyY
)
public:
void Remove(
    TKeyX keyX,
    TKeyY keyY
)
Parameters
keyX
Type: TKeyX
The X location of the value to remove.
keyY
Type: TKeyY
The Y location of the value to remove.
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


TwinKeyDictionary(TKeyX, TKeyY, TValue) Properties

TwinKeyDictionary TKeyX, TKeyY, TValue Properties ElecNetKit Documentation
The TwinKeyDictionary TKeyX, TKeyY, TValue type exposes the following members.
Properties
 | Name | Description
Public property | MapX | Access the TwinKeyDictionary first by Row.
Public property | MapY | Access the TwinKeyDictionary first by Column.
Back to Top
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue Class
ElecNetKit.Util Namespace


MapX Property

TwinKeyDictionary TKeyX, TKeyY, TValue MapX Property ElecNetKit Documentation
Access the TwinKeyDictionary first by Row.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<TKeyX, Dictionary<TKeyY, TValue>> MapX { get; }
public Dictionary<TKeyX, Dictionary<TKeyY, TValue>> MapX { get; }
Public ReadOnly Property MapX As Dictionary(Of TKeyX, Dictionary(Of TKeyY, TValue))
    Get
Public ReadOnly Property MapX As Dictionary(Of TKeyX, Dictionary(Of TKeyY, TValue))
    Get
public:
property Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ MapX {
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ get ();
}
public:
property Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ MapX {
    Dictionary<TKeyX, Dictionary<TKeyY, TValue>^>^ get ();
}
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace


MapY Property

TwinKeyDictionary TKeyX, TKeyY, TValue MapY Property ElecNetKit Documentation
Access the TwinKeyDictionary first by Column.

Namespace: ElecNetKit.Util
Assembly: ElecNetKit.Core (in ElecNetKit.Core.dll) Version: 1.1.4771.27370 (1.1.0.0)
Syntax
C#
VB
C++
F#
View Colorized Copy to Clipboard Print
public Dictionary<TKeyY, Dictionary<TKeyX, TValue>> MapY { get; }
public Dictionary<TKeyY, Dictionary<TKeyX, TValue>> MapY { get; }
Public ReadOnly Property MapY As Dictionary(Of TKeyY, Dictionary(Of TKeyX, TValue))
    Get
Public ReadOnly Property MapY As Dictionary(Of TKeyY, Dictionary(Of TKeyX, TValue))
    Get
public:
property Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ MapY {
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ get ();
}
public:
property Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ MapY {
    Dictionary<TKeyY, Dictionary<TKeyX, TValue>^>^ get ();
}
See Also
TwinKeyDictionary TKeyX, TKeyY, TValue  Class
TwinKeyDictionary TKeyX, TKeyY, TValue  Members
ElecNetKit.Util Namespace